/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;


import com.autentia.tnt.businessobject.AccountEntryGroup;
import com.autentia.tnt.dao.DataAccException;
import com.autentia.tnt.dao.IDataAccessObject;
import com.autentia.tnt.dao.SearchCriteria;
import com.autentia.tnt.dao.SortCriteria;
import com.autentia.tnt.util.SpringUtils;

public class AccountEntryGroupDAO extends HibernateManagerBase<AccountEntryGroup> {

/* accountEntryGroup - generated by stajanov (do not edit/delete) */
  /** Logger */
  private static final Log log = LogFactory.getLog(AccountEntryGroupDAO.class);

  /**
   * Get default AccountEntryGroupDAO as defined in Spring's configuration file.
   * @return the default singleton AccountEntryGroupDAO
   */
  public static AccountEntryGroupDAO getDefault()
  {
    return (AccountEntryGroupDAO)SpringUtils.getSpringBean("daoAccountEntryGroup");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public AccountEntryGroupDAO(){
    super(false);
  }

  /** 
   * Retrieve a AccountEntryGroup object from database given its id
   * @param id primary key of AccountEntryGroup object
   * @return the AccountEntryGroup object identified by the id
   * @throws DataAccException on error
   */
  public AccountEntryGroup getById( int id ) throws DataAccException {
    return super.getByPk(AccountEntryGroup.class,id);
  }

  /** 
   * Get all AccountEntryGroup objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing AccountEntryGroup objects
   * @throws DataAccException on error
   */
  public List<AccountEntryGroup> search( SortCriteria crit ) throws DataAccException {
    return super.list(AccountEntryGroup.class,crit);
  }

  /** 
   * Get specified AccountEntryGroup objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with AccountEntryGroup objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<AccountEntryGroup> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(AccountEntryGroup.class,search,sort);
  }

  /** 
   * Insert a new AccountEntryGroup object in database
   * @param dao the AccountEntryGroup object to insert
   * @throws DataAccException on error
   */
  public void insert(AccountEntryGroup dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing AccountEntryGroup object in database
   * @param dao the AccountEntryGroup object to update
   * @throws DataAccException on error
   */
  public void update(AccountEntryGroup dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing AccountEntryGroup object in database
   * @param dao the AccountEntryGroup object to update
   * @throws DataAccException on error
   */
  public void delete(AccountEntryGroup dao) throws DataAccException {
    super.delete(dao,dao.getId());
  }
/* accountEntryGroup - generated by stajanov (do not edit/delete) */
}
