/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.autentia.tnt.businessobject.Account;
import com.autentia.tnt.businessobject.AccountEntryType;
import com.autentia.tnt.dao.DataAccException;
import com.autentia.tnt.dao.IDataAccessObject;
import com.autentia.tnt.dao.SearchCriteria;
import com.autentia.tnt.dao.SortCriteria;
import com.autentia.tnt.util.SpringUtils;


public class AccountEntryTypeDAO extends HibernateManagerBase<AccountEntryType> {

/* accountEntryType - generated by stajanov (do not edit/delete) */



  /** Logger */
  private static final Log log = LogFactory.getLog(AccountEntryTypeDAO.class);

  /**
   * Get default AccountEntryTypeDAO as defined in Spring's configuration file.
   * @return the default singleton AccountEntryTypeDAO
   */
  public static AccountEntryTypeDAO getDefault()
  {
    return (AccountEntryTypeDAO)SpringUtils.getSpringBean("daoAccountEntryType");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public AccountEntryTypeDAO(){
    super(false);
  }

  /** 
   * Retrieve a AccountEntryType object from database given its id
   * @param id primary key of AccountEntryType object
   * @return the AccountEntryType object identified by the id
   * @throws DataAccException on error
   */
  public AccountEntryType getById( int id ) throws DataAccException {
    return super.getByPk(AccountEntryType.class,id);
  }

  /** 
   * Get all AccountEntryType objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing AccountEntryType objects
   * @throws DataAccException on error
   */
  public List<AccountEntryType> search( SortCriteria crit ) throws DataAccException {
    return super.list(AccountEntryType.class,crit);
  }

  /** 
   * Get specified AccountEntryType objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with AccountEntryType objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<AccountEntryType> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(AccountEntryType.class,search,sort);
  }

  /** 
   * Insert a new AccountEntryType object in database
   * @param dao the AccountEntryType object to insert
   * @throws DataAccException on error
   */
  public void insert(AccountEntryType dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing AccountEntryType object in database
   * @param dao the AccountEntryType object to update
   * @throws DataAccException on error
   */
  public void update(AccountEntryType dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing AccountEntryType object in database
   * @param dao the AccountEntryType object to update
   * @throws DataAccException on error
   */
  public void delete(AccountEntryType dao) throws DataAccException {
    super.delete(dao,dao.getId());
  }

/* accountEntryType - generated by stajanov (do not edit/delete) */
}
