/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import com.autentia.tnt.businessobject.*;
import com.autentia.tnt.dao.*;
import com.autentia.tnt.util.SpringUtils;

import java.util.*;
import org.apache.commons.logging.*;

/**
 * DAO for Activity objects.
 * @author stajanov code generator
 */
public class ActivityDAO extends HibernateManagerBase<Activity> 
{
/* activity - generated by stajanov (do not edit/delete) */



  /** Logger */
  private static final Log log = LogFactory.getLog(ActivityDAO.class);

  /**
   * Get default ActivityDAO as defined in Spring's configuration file.
   * @return the default singleton ActivityDAO
   */
  public static ActivityDAO getDefault()
  {
    return (ActivityDAO)SpringUtils.getSpringBean("daoActivity");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public ActivityDAO(){
    super(false);
  }

  /** 
   * Retrieve a Activity object from database given its id
   * @param id primary key of Activity object
   * @return the Activity object identified by the id
   * @throws DataAccException on error
   */
  public Activity getById( int id ) throws DataAccException {
    return super.getByPk(Activity.class,id);
  }

  /** 
   * Get all Activity objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing Activity objects
   * @throws DataAccException on error
   */
  public List<Activity> search( SortCriteria crit ) throws DataAccException {
    return super.list(Activity.class,crit);
  }

  /** 
   * Get specified Activity objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with Activity objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<Activity> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(Activity.class,search,sort);
  }

  /** 
   * Insert a new Activity object in database
   * @param dao the Activity object to insert
   * @throws DataAccException on error
   */
  public void insert(Activity dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing Activity object in database
   * @param dao the Activity object to update
   * @throws DataAccException on error
   */
  public void update(Activity dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing Activity object in database
   * @param dao the Activity object to update
   * @throws DataAccException on error
   */
 
  public void delete(Activity dao) throws DataAccException {
    super.delete(new Activity(),dao.getId());
  }

/* activity - generated by stajanov (do not edit/delete) */
}
