/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import com.autentia.tnt.businessobject.*;
import com.autentia.tnt.dao.*;
import com.autentia.tnt.util.SpringUtils;

import java.util.*;
import org.apache.commons.logging.*;

/**
 * DAO for Activity objects.
 * @author stajanov code generator
 */
public class ActivityFileDAO extends HibernateManagerBase<ActivityFile> 
{
/* ActivityFile - generated by stajanov (do not edit/delete) */



  /** Logger */
  private static final Log log = LogFactory.getLog(ActivityFileDAO.class);

  /**
   * Get default ActivityFileDAO as defined in Spring's configuration file.
   * @return the default singleton ActivityFileDAO
   */
  public static ActivityFileDAO getDefault()
  {
    return (ActivityFileDAO)SpringUtils.getSpringBean("daoActivityFile");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public ActivityFileDAO(){
    super(false);
  }

  /** 
   * Retrieve a ActivityFile object from database given its id
   * @param id primary key of ActivityFile object
   * @return the ActivityFile object identified by the id
   * @throws DataAccException on error
   */
  public ActivityFile getById( int id ) throws DataAccException {
    return super.getByPk(ActivityFile.class,id);
  }

  /** 
   * Get all ActivityFile objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing ActivityFile objects
   * @throws DataAccException on error
   */
  public List<ActivityFile> search( SortCriteria crit ) throws DataAccException {
    return super.list(ActivityFile.class,crit);
  }

  /** 
   * Get specified ActivityFile objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with ActivityFile objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<ActivityFile> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(ActivityFile.class,search,sort);
  }

  /** 
   * Insert a new ActivityFile object in database
   * @param dao the ActivityFile object to insert
   * @throws DataAccException on error
   */
  public void insert(ActivityFile dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing ActivityFile object in database
   * @param dao the ActivityFile object to update
   * @throws DataAccException on error
   */
  public void update(ActivityFile dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing ActivityFile object in database
   * @param dao the ActivityFile object to update
   * @throws DataAccException on error
   */
 
  public void delete(ActivityFile dao) throws DataAccException {
    super.delete(new ActivityFile(),dao.getId());
  }

/* ActivityFile - generated by stajanov (do not edit/delete) */
}
