/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import com.autentia.tnt.businessobject.*;
import com.autentia.tnt.dao.*;
import com.autentia.tnt.util.SpringUtils;

import java.util.*;
import org.apache.commons.logging.*;

/**
 * DAO for BulletinBoard objects.
 * @author stajanov code generator
 */
public class AdminHolidayDAO extends HibernateManagerBase<AdminHoliday> 
{
/* adminHoliday - generated by stajanov (do not edit/delete) */



  /** Logger */
  private static final Log log = LogFactory.getLog(AdminHolidayDAO.class);

  /**
   * Get default AdminHolidayDAO as defined in Spring's configuration file.
   * @return the default singleton AdminHolidayDAO
   */
  public static AdminHolidayDAO getDefault()
  {
    return (AdminHolidayDAO)SpringUtils.getSpringBean("daoAdminHoliday");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public AdminHolidayDAO(){
    super(false);
  }

  /** 
   * Retrieve a AdminHoliday object from database given its id
   * @param id primary key of AdminHoliday object
   * @return the AdminHoliday object identified by the id
   * @throws DataAccException on error
   */
  public AdminHoliday getById( int id ) throws DataAccException {
    return super.getByPk(AdminHoliday.class,id);
  }

  /** 
   * Get all AdminHoliday objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing AdminHoliday objects
   * @throws DataAccException on error
   */
  public List<AdminHoliday> search( SortCriteria crit ) throws DataAccException {
    return super.list(AdminHoliday.class,crit);
  }

  /** 
   * Get specified AdminHoliday objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with AdminHoliday objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<AdminHoliday> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(AdminHoliday.class,search,sort);
  }

  /** 
   * Insert a new AdminHoliday object in database
   * @param dao the AdminHoliday object to insert
   * @throws DataAccException on error
   */
  public void insert(AdminHoliday dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing AdminHoliday object in database
   * @param dao the AdminHoliday object to update
   * @throws DataAccException on error
   */
  public void update(AdminHoliday dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing AdminHoliday object in database
   * @param dao the AdminHoliday object to update
   * @throws DataAccException on error
   */
  public void delete(AdminHoliday dao) throws DataAccException {
    super.delete(dao,dao.getId());
  }

/* adminHoliday - generated by stajanov (do not edit/delete) */
}
