/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import com.autentia.tnt.businessobject.*;
import com.autentia.tnt.dao.*;
import com.autentia.tnt.util.SpringUtils;

import java.util.*;
import org.apache.commons.logging.*;

/**
 * DAO for BulletinBoard objects.
 * @author stajanov code generator
 */
public class BookDAO extends HibernateManagerBase<Book> 
{
/* book - generated by stajanov (do not edit/delete) */



  /** Logger */
  private static final Log log = LogFactory.getLog(BookDAO.class);

  /**
   * Get default BookDAO as defined in Spring's configuration file.
   * @return the default singleton BookDAO
   */
  public static BookDAO getDefault()
  {
    return (BookDAO)SpringUtils.getSpringBean("daoBook");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public BookDAO(){
    super(false);
  }

  /** 
   * Retrieve a Book object from database given its id
   * @param id primary key of Book object
   * @return the Book object identified by the id
   * @throws DataAccException on error
   */
  public Book getById( int id ) throws DataAccException {
    return super.getByPk(Book.class,id);
  }

  /** 
   * Get all Book objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing Book objects
   * @throws DataAccException on error
   */
  public List<Book> search( SortCriteria crit ) throws DataAccException {
    return super.list(Book.class,crit);
  }

  /** 
   * Get specified Book objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with Book objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<Book> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(Book.class,search,sort);
  }

  /** 
   * Insert a new Book object in database
   * @param dao the Book object to insert
   * @throws DataAccException on error
   */
  public void insert(Book dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing Book object in database
   * @param dao the Book object to update
   * @throws DataAccException on error
   */
  public void update(Book dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing Book object in database
   * @param dao the Book object to update
   * @throws DataAccException on error
   */
  public void delete(Book dao) throws DataAccException {
    super.delete(dao,dao.getId());
  }

/* book - generated by stajanov (do not edit/delete) */
}
