/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.autentia.tnt.businessobject.CommissioningFile;
import com.autentia.tnt.dao.DataAccException;
import com.autentia.tnt.dao.SearchCriteria;
import com.autentia.tnt.dao.SortCriteria;
import com.autentia.tnt.util.SpringUtils;

/* creditTitle - generated by stajanov (do not edit/delete) */


public class CommissioningFileDAO extends HibernateManagerBase<CommissioningFile> {
  /** Logger */
  private static final Log log = LogFactory.getLog(CommissioningFileDAO.class);

  /**
   * Get default CommissioningFileDAO as defined in Spring's configuration file.
   * @return the default singleton CommissioningFileDAO
   */
  public static CommissioningFileDAO getDefault()
  {
    return (CommissioningFileDAO)SpringUtils.getSpringBean("daoCommissioningFile");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public CommissioningFileDAO(){
    super(false);
  }

  /** 
   * Retrieve a CommissioningFile object from database given its id
   * @param id primary key of CommissioningFile object
   * @return the CommissioningFile object identified by the id
   * @throws DataAccException on error
   */
  public CommissioningFile getById( int id ) throws DataAccException {
    return super.getByPk(CommissioningFile.class,id);
  }

  /** 
   * Get all CommissioningFile objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing CommissioningFile objects
   * @throws DataAccException on error
   */
  public List<CommissioningFile> search( SortCriteria crit ) throws DataAccException {
    return super.list(CommissioningFile.class,crit);
  }

  /** 
   * Get specified CommissioningFile objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with CommissioningFile objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<CommissioningFile> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(CommissioningFile.class,search,sort);
  }

  /** 
   * Insert a new CommissioningFile object in database
   * @param dao the CommissioningFile object to insert
   * @throws DataAccException on error
   */
  public void insert(CommissioningFile dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing CommissioningFile object in database
   * @param dao the CommissioningFile object to update
   * @throws DataAccException on error
   */
  public void update(CommissioningFile dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing CommissioningFile object in database
   * @param dao the CommissioningFile object to update
   * @throws DataAccException on error
   */
  public void delete(CommissioningFile dao) throws DataAccException {
    super.delete(dao,dao.getId());
  }

/* creditTitle - generated by stajanov (do not edit/delete) */
}