/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.autentia.tnt.businessobject.CommissioningPaymentData;
import com.autentia.tnt.dao.DataAccException;
import com.autentia.tnt.dao.SearchCriteria;
import com.autentia.tnt.dao.SortCriteria;
import com.autentia.tnt.util.SpringUtils;

/* creditTitle - generated by stajanov (do not edit/delete) */


public class CommissioningPaymentDataDAO extends HibernateManagerBase<CommissioningPaymentData> {
  /** Logger */
  private static final Log log = LogFactory.getLog(CommissioningPaymentDataDAO.class);

  /**
   * Get default CommissioningPaymentDataDAO as defined in Spring's configuration file.
   * @return the default singleton CommissioningPaymentDataDAO
   */
  public static CommissioningPaymentDataDAO getDefault()
  {
    return (CommissioningPaymentDataDAO)SpringUtils.getSpringBean("daoCommissioningPaymentData");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public CommissioningPaymentDataDAO(){
    super(false);
  }

  /** 
   * Retrieve a CommissioningPaymentData object from database given its id
   * @param id primary key of CommissioningPaymentData object
   * @return the CommissioningPaymentData object identified by the id
   * @throws DataAccException on error
   */
  public CommissioningPaymentData getById( int id ) throws DataAccException {
    return super.getByPk(CommissioningPaymentData.class,id);
  }

  /** 
   * Get all CommissioningPaymentData objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing CommissioningPaymentData objects
   * @throws DataAccException on error
   */
  public List<CommissioningPaymentData> search( SortCriteria crit ) throws DataAccException {
    return super.list(CommissioningPaymentData.class,crit);
  }

  /** 
   * Get specified CommissioningPaymentData objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with CommissioningPaymentData objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<CommissioningPaymentData> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(CommissioningPaymentData.class,search,sort);
  }

  /** 
   * Insert a new CommissioningPaymentData object in database
   * @param dao the CommissioningPaymentData object to insert
   * @throws DataAccException on error
   */
  public void insert(CommissioningPaymentData dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing CommissioningPaymentData object in database
   * @param dao the CommissioningPaymentData object to update
   * @throws DataAccException on error
   */
  public void update(CommissioningPaymentData dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing CommissioningPaymentData object in database
   * @param dao the CommissioningPaymentData object to update
   * @throws DataAccException on error
   */
  public void delete(CommissioningPaymentData dao) throws DataAccException {
    super.delete(dao,dao.getId());
  }

/* creditTitle - generated by stajanov (do not edit/delete) */
}