/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;


import com.autentia.tnt.businessobject.Frequency;
import com.autentia.tnt.dao.DataAccException;
import com.autentia.tnt.dao.IDataAccessObject;
import com.autentia.tnt.dao.SearchCriteria;
import com.autentia.tnt.dao.SortCriteria;
import com.autentia.tnt.util.SpringUtils;

public class FrequencyDAO extends HibernateManagerBase<Frequency> { 


/* Frequency - generated by stajanov (do not edit/delete) */
  /** Logger */
  private static final Log log = LogFactory.getLog(FrequencyDAO.class);

  /**
   * Get default FrequencyDAO as defined in Spring's configuration file.
   * @return the default singleton FrequencyDAO
   */
  public static FrequencyDAO getDefault()
  {
    return (FrequencyDAO)SpringUtils.getSpringBean("daoFrequency");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public FrequencyDAO(){
    super(false);
  }

  /** 
   * Retrieve a Frequency object from database given its id
   * @param id primary key of Frequency object
   * @return the Frequency object identified by the id
   * @throws DataAccException on error
   */
  public Frequency getById( int id ) throws DataAccException {
    return super.getByPk(Frequency.class,id);
  }

  /** 
   * Get all Frequency objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing Frequency objects
   * @throws DataAccException on error
   */
  public List<Frequency> search( SortCriteria crit ) throws DataAccException {
    return super.list(Frequency.class,crit);
  }

  /** 
   * Get specified Frequency objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with Frequency objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<Frequency> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(Frequency.class,search,sort);
  }

  /** 
   * Insert a new Frequency object in database
   * @param dao the Frequency object to insert
   * @throws DataAccException on error
   */
  public void insert(Frequency dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing Frequency object in database
   * @param dao the Frequency object to update
   * @throws DataAccException on error
   */
  public void update(Frequency dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing Frequency object in database
   * @param dao the Frequency object to update
   * @throws DataAccException on error
   */
  public void delete(Frequency dao) throws DataAccException {
    super.delete(dao,dao.getId());
  }
/* Frequency - generated by stajanov (do not edit/delete) */
}
