/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import com.autentia.tnt.businessobject.*;
import com.autentia.tnt.dao.*;
import com.autentia.tnt.util.SpringUtils;

import java.util.*;
import org.apache.commons.logging.*;

/**
 * DAO for Magazine objects.
 * @author stajanov code generator
 */
public class MagazineDAO extends HibernateManagerBase<Magazine> 
{
/* magazine - generated by stajanov (do not edit/delete) */



  /** Logger */
  private static final Log log = LogFactory.getLog(MagazineDAO.class);

  /**
   * Get default MagazineDAO as defined in Spring's configuration file.
   * @return the default singleton MagazineDAO
   */
  public static MagazineDAO getDefault()
  {
    return (MagazineDAO)SpringUtils.getSpringBean("daoMagazine");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public MagazineDAO(){
    super(false);
  }

  /** 
   * Retrieve a Magazine object from database given its id
   * @param id primary key of Magazine object
   * @return the Magazine object identified by the id
   * @throws DataAccException on error
   */
  public Magazine getById( int id ) throws DataAccException {
    return super.getByPk(Magazine.class,id);
  }

  /** 
   * Get all Magazine objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing Magazine objects
   * @throws DataAccException on error
   */
  public List<Magazine> search( SortCriteria crit ) throws DataAccException {
    return super.list(Magazine.class,crit);
  }

  /** 
   * Get specified Magazine objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with Magazine objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<Magazine> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(Magazine.class,search,sort);
  }

  /** 
   * Insert a new Magazine object in database
   * @param dao the Magazine object to insert
   * @throws DataAccException on error
   */
  public void insert(Magazine dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing Magazine object in database
   * @param dao the Magazine object to update
   * @throws DataAccException on error
   */
  public void update(Magazine dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing Magazine object in database
   * @param dao the Magazine object to update
   * @throws DataAccException on error
   */
  public void delete(Magazine dao) throws DataAccException {
    super.delete(dao,dao.getId());
  }

/* magazine - generated by stajanov (do not edit/delete) */
}
