/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import com.autentia.tnt.businessobject.*;
import com.autentia.tnt.dao.*;
import com.autentia.tnt.util.SpringUtils;

import java.util.*;
import org.apache.commons.logging.*;

/**
 * DAO for Objective objects.
 * @author stajanov code generator
 */
public class ObjectiveDAO extends HibernateManagerBase<Objective> 
{
/* objective - generated by stajanov (do not edit/delete) */
  /** Logger */
  private static final Log log = LogFactory.getLog(ObjectiveDAO.class);

  /**
   * Get default ObjectiveDAO as defined in Spring's configuration file.
   * @return the default singleton ObjectiveDAO
   */
  public static ObjectiveDAO getDefault()
  {
    return (ObjectiveDAO)SpringUtils.getSpringBean("daoObjective");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public ObjectiveDAO(){
    super(false);
  }

  /** 
   * Retrieve a Objective object from database given its id
   * @param id primary key of Objective object
   * @return the Objective object identified by the id
   * @throws DataAccException on error
   */
  public Objective getById( int id ) throws DataAccException {
    return super.getByPk(Objective.class,id);
  }

  /** 
   * Get all Objective objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing Objective objects
   * @throws DataAccException on error
   */
  public List<Objective> search( SortCriteria crit ) throws DataAccException {
    return super.list(Objective.class,crit);
  }

  /** 
   * Get specified Objective objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with Objective objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<Objective> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(Objective.class,search,sort);
  }

  /** 
   * Insert a new Objective object in database
   * @param dao the Objective object to insert
   * @throws DataAccException on error
   */
  public void insert(Objective dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing Objective object in database
   * @param dao the Objective object to update
   * @throws DataAccException on error
   */
  public void update(Objective dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing Objective object in database
   * @param dao the Objective object to update
   * @throws DataAccException on error
   */
  public void delete(Objective dao) throws DataAccException {
    super.delete(dao,dao.getId());
  }
/* objective - generated by stajanov (do not edit/delete) */
}
