/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.autentia.tnt.businessobject.Offer;
import com.autentia.tnt.businessobject.OfferCost;
import com.autentia.tnt.dao.DataAccException;
import com.autentia.tnt.dao.IDataAccessObject;
import com.autentia.tnt.dao.SearchCriteria;
import com.autentia.tnt.dao.SortCriteria;
import com.autentia.tnt.util.SpringUtils;


public class OfferCostDAO extends HibernateManagerBase<OfferCost> 
{


/* OfferCost - generated by stajanov (do not edit/delete) */
  /** Logger */
  private static final Log log = LogFactory.getLog(OfferCostDAO.class);

  /**
   * Get default OfferCostDAO as defined in Spring's configuration file.
   * @return the default singleton OfferCostDAO
   */
  public static OfferCostDAO getDefault()
  {
    return (OfferCostDAO)SpringUtils.getSpringBean("daoOfferCost");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public OfferCostDAO(){
    super(false);
  }

  /** 
   * Retrieve a OfferCost object from database given its id
   * @param id primary key of OfferCost object
   * @return the OfferCost object identified by the id
   * @throws DataAccException on error
   */
  public OfferCost getById( int id ) throws DataAccException {
    return super.getByPk(OfferCost.class,id);
  }

  /** 
   * Get all OfferCost objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing OfferCost objects
   * @throws DataAccException on error
   */
  public List<OfferCost> search( SortCriteria crit ) throws DataAccException {
    return super.list(OfferCost.class,crit);
  }

  /** 
   * Get specified OfferCost objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with OfferCost objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<OfferCost> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(OfferCost.class,search,sort);
  }

  /** 
   * Insert a new OfferCost object in database
   * @param dao the OfferCost object to insert
   * @throws DataAccException on error
   */
  public void insert(OfferCost dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing OfferCost object in database
   * @param dao the OfferCost object to update
   * @throws DataAccException on error
   */
  public void update(OfferCost dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing OfferCost object in database
   * @param dao the OfferCost object to update
   * @throws DataAccException on error
   */
  public void delete(OfferCost dao) throws DataAccException {
    super.delete(dao,dao.getId());
  }
/* OfferCost - generated by stajanov (do not edit/delete) */

}
