/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.autentia.tnt.businessobject.OfferRole;
import com.autentia.tnt.dao.DataAccException;
import com.autentia.tnt.dao.IDataAccessObject;
import com.autentia.tnt.dao.SearchCriteria;
import com.autentia.tnt.dao.SortCriteria;
import com.autentia.tnt.util.SpringUtils;


public class OfferRoleDAO extends HibernateManagerBase<OfferRole> 
{

/* OfferRole - generated by stajanov (do not edit/delete) */
  /** Logger */
  private static final Log log = LogFactory.getLog(OfferRoleDAO.class);

  /**
   * Get default OfferRoleDAO as defined in Spring's configuration file.
   * @return the default singleton OfferRoleDAO
   */
  public static OfferRoleDAO getDefault()
  {
    return (OfferRoleDAO)SpringUtils.getSpringBean("daoOfferRole");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public OfferRoleDAO(){
    super(false);
  }

  /** 
   * Retrieve a OfferRole object from database given its id
   * @param id primary key of OfferRole object
   * @return the OfferRole object identified by the id
   * @throws DataAccException on error
   */
  public OfferRole getById( int id ) throws DataAccException {
    return super.getByPk(OfferRole.class,id);
  }

  /** 
   * Get all OfferRole objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing OfferRole objects
   * @throws DataAccException on error
   */
  public List<OfferRole> search( SortCriteria crit ) throws DataAccException {
    return super.list(OfferRole.class,crit);
  }

  /** 
   * Get specified OfferRole objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with OfferRole objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<OfferRole> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(OfferRole.class,search,sort);
  }

  /** 
   * Insert a new OfferRole object in database
   * @param dao the OfferRole object to insert
   * @throws DataAccException on error
   */
  public void insert(OfferRole dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing OfferRole object in database
   * @param dao the OfferRole object to update
   * @throws DataAccException on error
   */
  public void update(OfferRole dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing OfferRole object in database
   * @param dao the OfferRole object to update
   * @throws DataAccException on error
   */
  public void delete(OfferRole dao) throws DataAccException {
    super.delete(dao,dao.getId());
  }
/* OfferRole - generated by stajanov (do not edit/delete) */

  
}
