/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import com.autentia.tnt.businessobject.*;
import com.autentia.tnt.dao.*;
import com.autentia.tnt.dao.search.ProjectSearch;
import com.autentia.tnt.util.SpringUtils;

import java.util.*;
import org.apache.commons.logging.*;

/**
 * DAO for ProjectCost objects.
 * @author stajanov code generator
 */
public class ProjectCostDAO extends HibernateManagerBase<ProjectCost> 
{
/* projectCost - generated by stajanov (do not edit/delete) */
  /** Logger */
  private static final Log log = LogFactory.getLog(ProjectCostDAO.class);

  /**
   * Get default ProjectCostDAO as defined in Spring's configuration file.
   * @return the default singleton ProjectCostDAO
   */
  public static ProjectCostDAO getDefault()
  {
    return (ProjectCostDAO)SpringUtils.getSpringBean("daoProjectCost");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public ProjectCostDAO(){
    super(false);
  }

  /** 
   * Retrieve a ProjectCost object from database given its id
   * @param id primary key of ProjectCost object
   * @return the ProjectCost object identified by the id
   * @throws DataAccException on error
   */
  public ProjectCost getById( int id ) throws DataAccException {
    return super.getByPk(ProjectCost.class,id);
  }

  /** 
   * Get all ProjectCost objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing ProjectCost objects
   * @throws DataAccException on error
   */
  public List<ProjectCost> search( SortCriteria crit ) throws DataAccException {
    return super.list(ProjectCost.class,crit);
  }

  /** 
   * Get specified ProjectCost objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with ProjectCost objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<ProjectCost> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(ProjectCost.class,search,sort);
  }

  /** 
   * Insert a new ProjectCost object in database
   * @param dao the ProjectCost object to insert
   * @throws DataAccException on error
   */
  public void insert(ProjectCost dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing ProjectCost object in database
   * @param dao the ProjectCost object to update
   * @throws DataAccException on error
   */
  public void update(ProjectCost dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing ProjectCost object in database
   * @param dao the ProjectCost object to update
   * @throws DataAccException on error
   */
  public void delete(ProjectCost dao) throws DataAccException {
    super.delete(dao,dao.getId());
  }
/* projectCost - generated by stajanov (do not edit/delete) */
}
