/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import com.autentia.tnt.businessobject.*;
import com.autentia.tnt.dao.*;
import com.autentia.tnt.util.SpringUtils;

import java.util.*;
import org.apache.commons.logging.*;

/**
 * DAO for BulletinBoard objects.
 * @author stajanov code generator
 */
public class RequestHolidayDAO extends HibernateManagerBase<RequestHoliday> 
{
/* requestHoliday - generated by stajanov (do not edit/delete) */



  /** Logger */
  private static final Log log = LogFactory.getLog(RequestHolidayDAO.class);

  /**
   * Get default RequestHolidayDAO as defined in Spring's configuration file.
   * @return the default singleton RequestHolidayDAO
   */
  public static RequestHolidayDAO getDefault()
  {
    return (RequestHolidayDAO)SpringUtils.getSpringBean("daoRequestHoliday");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public RequestHolidayDAO(){
    super(false);
  }

  /** 
   * Retrieve a RequestHoliday object from database given its id
   * @param id primary key of RequestHoliday object
   * @return the RequestHoliday object identified by the id
   * @throws DataAccException on error
   */
  public RequestHoliday getById( int id ) throws DataAccException {
    return super.getByPk(RequestHoliday.class,id);
  }

  /** 
   * Get all RequestHoliday objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing RequestHoliday objects
   * @throws DataAccException on error
   */
  public List<RequestHoliday> search( SortCriteria crit ) throws DataAccException {
    return super.list(RequestHoliday.class,crit);
  }

  /** 
   * Get specified RequestHoliday objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with RequestHoliday objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<RequestHoliday> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(RequestHoliday.class,search,sort);
  }

  /** 
   * Insert a new RequestHoliday object in database
   * @param dao the RequestHoliday object to insert
   * @throws DataAccException on error
   */
  public void insert(RequestHoliday dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing RequestHoliday object in database
   * @param dao the RequestHoliday object to update
   * @throws DataAccException on error
   */
  public void update(RequestHoliday dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing RequestHoliday object in database
   * @param dao the RequestHoliday object to update
   * @throws DataAccException on error
   */
  public void delete(RequestHoliday dao) throws DataAccException {
    super.delete(dao,dao.getId());
  }

/* requestHoliday - generated by stajanov (do not edit/delete) */
}
