/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import com.autentia.tnt.businessobject.*;
import com.autentia.tnt.dao.*;
import com.autentia.tnt.util.SpringUtils;

import java.util.*;
import org.apache.commons.logging.*;

/**
 * DAO for Role objects.
 * @author stajanov code generator
 */
public class RoleDAO extends HibernateManagerBase<Role> 
{
  
/* role - generated by stajanov (do not edit/delete) */
  /** Logger */
  private static final Log log = LogFactory.getLog(RoleDAO.class);

  /**
   * Get default RoleDAO as defined in Spring's configuration file.
   * @return the default singleton RoleDAO
   */
  public static RoleDAO getDefault()
  {
    return (RoleDAO)SpringUtils.getSpringBean("daoRole");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public RoleDAO(){
    super(false);
  }

  /** 
   * Retrieve a Role object from database given its id
   * @param id primary key of Role object
   * @return the Role object identified by the id
   * @throws DataAccException on error
   */
  public Role getById( int id ) throws DataAccException {
    return super.getByPk(Role.class,id);
  }

  /** 
   * Get all Role objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing Role objects
   * @throws DataAccException on error
   */
  public List<Role> search( SortCriteria crit ) throws DataAccException {
    return super.list(Role.class,crit);
  }

  /** 
   * Get specified Role objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with Role objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<Role> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(Role.class,search,sort);
  }

  /** 
   * Insert a new Role object in database
   * @param dao the Role object to insert
   * @throws DataAccException on error
   */
  public void insert(Role dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing Role object in database
   * @param dao the Role object to update
   * @throws DataAccException on error
   */
  public void update(Role dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing Role object in database
   * @param dao the Role object to update
   * @throws DataAccException on error
   */
  public void delete(Role dao) throws DataAccException {
    super.delete(dao,dao.getId());
  }
/* role - generated by stajanov (do not edit/delete) */
}
