/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import com.autentia.tnt.businessobject.*;
import com.autentia.tnt.dao.*;
import com.autentia.tnt.dao.search.TutorialSearch;
import com.autentia.tnt.util.SpringUtils;

import java.util.*;
import org.apache.commons.logging.*;

/**
 * DAO for Tutorial objects.
 * @author stajanov code generator
 */
public class TutorialDAO extends HibernateManagerBase<Tutorial> 
{
/* tutorial - generated by stajanov (do not edit/delete) */



  /** Logger */
  private static final Log log = LogFactory.getLog(TutorialDAO.class);

  /**
   * Get default TutorialDAO as defined in Spring's configuration file.
   * @return the default singleton TutorialDAO
   */
  public static TutorialDAO getDefault()
  {
    return (TutorialDAO)SpringUtils.getSpringBean("daoTutorial");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public TutorialDAO(){
    super(false);
  }

  /** 
   * Retrieve a Tutorial object from database given its id
   * @param id primary key of Tutorial object
   * @return the Tutorial object identified by the id
   * @throws DataAccException on error
   */
  public Tutorial getById( int id ) throws DataAccException {
    return super.getByPk(Tutorial.class,id);
  }

  /** 
   * Get all Tutorial objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing Tutorial objects
   * @throws DataAccException on error
   */
  public List<Tutorial> search( SortCriteria crit ) throws DataAccException {
    return super.list(Tutorial.class,crit);
  }

  /** 
   * Get specified Tutorial objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with Tutorial objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<Tutorial> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(Tutorial.class,search,sort);
  }

  /** 
   * Insert a new Tutorial object in database
   * @param dao the Tutorial object to insert
   * @throws DataAccException on error
   */
  public void insert(Tutorial dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing Tutorial object in database
   * @param dao the Tutorial object to update
   * @throws DataAccException on error
   */
  public void update(Tutorial dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing Tutorial object in database
   * @param dao the Tutorial object to update
   * @throws DataAccException on error
   */
  public void delete(Tutorial dao) throws DataAccException {
    super.delete(dao,dao.getId());
  }

/* tutorial - generated by stajanov (do not edit/delete) */

  /** 
   * Get all Tutorial objects for one user sorted by the given criteria
   * @param user the user whose tutorials are searched for
   * @param crit the sorting criteria
   * @return a list with all existing Tutorial objects
   * @throws DataAccException on error
   */
  public List<Tutorial> searchByUser( User user, SortCriteria crit ) throws DataAccException {
    TutorialSearch s = new TutorialSearch();
    s.setUser(user);
    return search(s,crit);
  }
}
