/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.hibernate;

import com.autentia.tnt.businessobject.*;
import com.autentia.tnt.dao.*;
import com.autentia.tnt.util.SpringUtils;

import java.util.*;
import org.apache.commons.logging.*;

/**
 * DAO for UserCategory objects.
 * @author stajanov code generator
 */
public class UserCategoryDAO extends HibernateManagerBase<UserCategory> 
{
/* userCategory - generated by stajanov (do not edit/delete) */



  /** Logger */
  private static final Log log = LogFactory.getLog(UserCategoryDAO.class);

  /**
   * Get default UserCategoryDAO as defined in Spring's configuration file.
   * @return the default singleton UserCategoryDAO
   */
  public static UserCategoryDAO getDefault()
  {
    return (UserCategoryDAO)SpringUtils.getSpringBean("daoUserCategory");
  }

 /** 
   * Constructor
   * @deprecated do not construct DAOs alone: use Spring's declared beans
   */
  public UserCategoryDAO(){
    super(false);
  }

  /** 
   * Retrieve a UserCategory object from database given its id
   * @param id primary key of UserCategory object
   * @return the UserCategory object identified by the id
   * @throws DataAccException on error
   */
  public UserCategory getById( int id ) throws DataAccException {
    return super.getByPk(UserCategory.class,id);
  }

  /** 
   * Get all UserCategory objects from database sorted by the given criteria
   * @param crit the sorting criteria
   * @return a list with all existing UserCategory objects
   * @throws DataAccException on error
   */
  public List<UserCategory> search( SortCriteria crit ) throws DataAccException {
    return super.list(UserCategory.class,crit);
  }

  /** 
   * Get specified UserCategory objects from database sorted by the given criteria
   * @param search search criteria
   * @param sort the sorting criteria
   * @return a list with UserCategory objects matching the search criteria
   * @throws DataAccException on error
   */
  public List<UserCategory> search(SearchCriteria search, SortCriteria sort) throws DataAccException {
    return super.search(UserCategory.class,search,sort);
  }

  /** 
   * Insert a new UserCategory object in database
   * @param dao the UserCategory object to insert
   * @throws DataAccException on error
   */
  public void insert(UserCategory dao) throws DataAccException {
    super.insert(dao);
  }

  /** 
   * Update an existing UserCategory object in database
   * @param dao the UserCategory object to update
   * @throws DataAccException on error
   */
  public void update(UserCategory dao) throws DataAccException {
    super.update(dao,dao.getId());
  }

  /** 
   * Delete an existing UserCategory object in database
   * @param dao the UserCategory object to update
   * @throws DataAccException on error
   */
  public void delete(UserCategory dao) throws DataAccException {
    super.delete(dao,dao.getId());
  }

/* userCategory - generated by stajanov (do not edit/delete) */
}
