/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.search;

import java.util.*;
import java.math.*;

import org.hibernate.type.*;

import com.autentia.tnt.businessobject.*;
import com.autentia.tnt.dao.*;

/**
 * Class to search for AccountEntryType objects
 * @author stajanov code generator
 */
public class AccountEntryTypeSearch extends SearchCriteria
{
/* generated by stajanov (do not edit/delete) */















  @Override
  public String getHQL() {
    StringBuilder ret = new StringBuilder();
    int iArgNum = 0;
            
    
  
        
    if( isNameSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getName()==null ){
	ret.append( "name is NULL" );
      } else {
	ret.append( "name like :arg"+(iArgNum++) );
      }
    }

              
    
  
        
    if( isObservationsSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getObservations()==null ){
	ret.append( "observations is NULL" );
      } else {
	ret.append( "observations = :arg"+(iArgNum++) );
      }
    }

              
    
  
        
    if( isCustomizableIdSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getCustomizableId()==null ){
	ret.append( "customizableId is NULL" );
      } else {
	ret.append( "customizableId = :arg"+(iArgNum++) );
      }
    }

              
    
  
        
    if( isOwnerIdSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getOwnerId()==null ){
	ret.append( "ownerId is NULL" );
      } else {
	ret.append( "ownerId = :arg"+(iArgNum++) );
      }
    }

              
    
  
        
    if( isDepartmentIdSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getDepartmentId()==null ){
	ret.append( "departmentId is NULL" );
      } else {
	ret.append( "departmentId = :arg"+(iArgNum++) );
      }
    }

              
    
      if( isStartInsertDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startInsertDate == null ){
        ret.append( "insertDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "insertDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndInsertDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endInsertDate == null ){
        ret.append( "insertDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "insertDate<=:arg"+(iArgNum++) );
      }
    }

              
    
      if( isStartUpdateDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startUpdateDate == null ){
        ret.append( "updateDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "updateDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndUpdateDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endUpdateDate == null ){
        ret.append( "updateDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "updateDate<=:arg"+(iArgNum++) );
      }
    }

                  
    
  
        
    if( isGroupSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getGroup()==null ){
	ret.append( "group is NULL" );
      } else {
	ret.append( "group = :arg"+(iArgNum++) );
      }
    }

              
    
  
        
    if( isParentSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getParent()==null ){
	ret.append( "parent is NULL" );
      } else {
	ret.append( "parent = :arg"+(iArgNum++) );
      }
    }

                  customGetHQL(ret,iArgNum);
    return ret.toString();
  }

  @Override
  public Object[] getArguments(){
    ArrayList<Object> ret = new ArrayList<Object>();
            
  
      if( isNameSet() && getName()!=null ){
        ret.add( name );
    }

              
  
      if( isObservationsSet() && getObservations()!=null ){
        ret.add( observations );
    }

              
  
      if( isCustomizableIdSet() && getCustomizableId()!=null ){
        ret.add( customizableId );
    }

              
  
      if( isOwnerIdSet() && getOwnerId()!=null ){
        ret.add( ownerId );
    }

              
  
      if( isDepartmentIdSet() && getDepartmentId()!=null ){
        ret.add( departmentId );
    }

              
  
      if( isStartInsertDateSet() ){
        ret.add( startInsertDate );
    }
    if( isEndInsertDateSet() ){
        ret.add( endInsertDate );
    }

              
  
      if( isStartUpdateDateSet() ){
        ret.add( startUpdateDate );
    }
    if( isEndUpdateDateSet() ){
        ret.add( endUpdateDate );
    }

                  
  
      if( isGroupSet() && getGroup()!=null ){
        ret.add( group );
    }

              
  
      if( isParentSet() && getParent()!=null ){
        ret.add( parent );
    }

                  customGetArguments(ret);
    return ret.toArray();
  }

  @Override
  public void reset(){
            
  
      unsetName();
  
              
  
      unsetObservations();
  
              
  
      unsetCustomizableId();
  
              
  
      unsetOwnerId();
  
              
  
      unsetDepartmentId();
  
              
  
      unsetStartInsertDate();
    unsetEndInsertDate();

              
  
      unsetStartUpdateDate();
    unsetEndUpdateDate();

                  
  
      unsetGroup();
  
              
  
      unsetParent();
  
                  customReset();
  }
    
  @Override
  public String toString() {
    StringBuilder ret = new StringBuilder();
    ret.append("AccountEntryTypeSearch{");
            
  
  
          if( isNameSet() ){
          ret.append( "(name" );
          ret.append( "="+name );
          ret.append( ")" );
      }

    
              
  
  
          if( isObservationsSet() ){
          ret.append( "(observations" );
          ret.append( "="+observations );
          ret.append( ")" );
      }

    
              
  
  
          if( isCustomizableIdSet() ){
          ret.append( "(customizableId" );
          ret.append( "="+customizableId );
          ret.append( ")" );
      }

    
              
  
  
          if( isOwnerIdSet() ){
          ret.append( "(ownerId" );
          ret.append( "="+ownerId );
          ret.append( ")" );
      }

    
              
  
  
          if( isDepartmentIdSet() ){
          ret.append( "(departmentId" );
          ret.append( "="+departmentId );
          ret.append( ")" );
      }

    
              
  
  
    if( isStartInsertDateSet() ){
        ret.append( "(startInsertDate" );
        ret.append( "="+startInsertDate );
        ret.append( ")" );
    }
    if( isEndInsertDateSet() ){
        ret.append( "(endInsertDate" );
        ret.append( "="+endInsertDate );
        ret.append( ")" );
    }

              
  
  
    if( isStartUpdateDateSet() ){
        ret.append( "(startUpdateDate" );
        ret.append( "="+startUpdateDate );
        ret.append( ")" );
    }
    if( isEndUpdateDateSet() ){
        ret.append( "(endUpdateDate" );
        ret.append( "="+endUpdateDate );
        ret.append( ")" );
    }

                  
  
  
          if( isGroupSet() ){
          ret.append( "(group" );
          ret.append( "="+group );
          ret.append( ")" );
      }

    
              
  
  
          if( isParentSet() ){
          ret.append( "(parent" );
          ret.append( "="+parent );
          ret.append( ")" );
      }

    
                  customToString(ret);
    ret.append("}");
    return ret.toString();
  }

  // Getters and setters
        
  
  
    
    
    public boolean isNameSet(){
        return nameSet;
    }
    public String getName(){
        return name;
    }
    public void setName( String name ){
        this.name = name;
        this.nameSet = true;
    }
    public void unsetName(){
        this.nameSet = false;
    }
          
  
  
    
    
    public boolean isObservationsSet(){
        return observationsSet;
    }
    public String getObservations(){
        return observations;
    }
    public void setObservations( String observations ){
        this.observations = observations;
        this.observationsSet = true;
    }
    public void unsetObservations(){
        this.observationsSet = false;
    }
          
  
  
    
    
    public boolean isCustomizableIdSet(){
        return customizableIdSet;
    }
    public Integer getCustomizableId(){
        return customizableId;
    }
    public void setCustomizableId( Integer customizableId ){
        this.customizableId = customizableId;
        this.customizableIdSet = true;
    }
    public void unsetCustomizableId(){
        this.customizableIdSet = false;
    }
          
  
  
    
    
    public boolean isOwnerIdSet(){
        return ownerIdSet;
    }
    public Integer getOwnerId(){
        return ownerId;
    }
    public void setOwnerId( Integer ownerId ){
        this.ownerId = ownerId;
        this.ownerIdSet = true;
    }
    public void unsetOwnerId(){
        this.ownerIdSet = false;
    }
          
  
  
    
    
    public boolean isDepartmentIdSet(){
        return departmentIdSet;
    }
    public Integer getDepartmentId(){
        return departmentId;
    }
    public void setDepartmentId( Integer departmentId ){
        this.departmentId = departmentId;
        this.departmentIdSet = true;
    }
    public void unsetDepartmentId(){
        this.departmentIdSet = false;
    }
          
  
  
    public boolean isStartInsertDateSet(){
        return startInsertDateSet;
    }
    public Date getStartInsertDate(){
        return startInsertDate;
    }
    public void setStartInsertDate( Date startInsertDate ){
        this.startInsertDate = startInsertDate;
        this.startInsertDateSet = true;
    }
    public void unsetStartInsertDate(){
        this.startInsertDateSet = false;
    }
    public boolean isEndInsertDateSet(){
        return endInsertDateSet;
    }
    public Date getEndInsertDate(){
        return endInsertDate;
    }
    public void setEndInsertDate( Date endInsertDate ){
        this.endInsertDate = endInsertDate;
        this.endInsertDateSet = true;
    }
    public void unsetEndInsertDate(){
        this.endInsertDateSet = false;
    }

          
  
  
    public boolean isStartUpdateDateSet(){
        return startUpdateDateSet;
    }
    public Date getStartUpdateDate(){
        return startUpdateDate;
    }
    public void setStartUpdateDate( Date startUpdateDate ){
        this.startUpdateDate = startUpdateDate;
        this.startUpdateDateSet = true;
    }
    public void unsetStartUpdateDate(){
        this.startUpdateDateSet = false;
    }
    public boolean isEndUpdateDateSet(){
        return endUpdateDateSet;
    }
    public Date getEndUpdateDate(){
        return endUpdateDate;
    }
    public void setEndUpdateDate( Date endUpdateDate ){
        this.endUpdateDate = endUpdateDate;
        this.endUpdateDateSet = true;
    }
    public void unsetEndUpdateDate(){
        this.endUpdateDateSet = false;
    }

            
  
  
    
    
    public boolean isGroupSet(){
        return groupSet;
    }
    public AccountEntryGroup getGroup(){
        return group;
    }
    public void setGroup( AccountEntryGroup group ){
        this.group = group;
        this.groupSet = true;
    }
    public void unsetGroup(){
        this.groupSet = false;
    }
          
  
  
    
    
    public boolean isParentSet(){
        return parentSet;
    }
    public AccountEntryType getParent(){
        return parent;
    }
    public void setParent( AccountEntryType parent ){
        this.parent = parent;
        this.parentSet = true;
    }
    public void unsetParent(){
        this.parentSet = false;
    }
        
  // Fields
        
  
      private boolean nameSet;
        private String name;

          
  
      private boolean observationsSet;
        private String observations;

          
  
      private boolean customizableIdSet;
        private Integer customizableId;

          
  
      private boolean ownerIdSet;
        private Integer ownerId;

          
  
      private boolean departmentIdSet;
        private Integer departmentId;

          
  
      private boolean startInsertDateSet;
        private Date startInsertDate;
    private boolean endInsertDateSet;
        private Date endInsertDate;

          
  
      private boolean startUpdateDateSet;
        private Date startUpdateDate;
    private boolean endUpdateDateSet;
        private Date endUpdateDate;

            
  
      private boolean groupSet;
        private AccountEntryGroup group;
  
          
  
      private boolean parentSet;
        private AccountEntryType parent;
  
        
  // Returns if there are a search condition active
  public boolean isSearchActive() {
    return customIsSearchActive()||nameSet||observationsSet||customizableIdSet||ownerIdSet||departmentIdSet||startInsertDateSet||endInsertDateSet||startUpdateDateSet||endUpdateDateSet||groupSet||parentSet;
  }


/* generated by stajanov (do not edit/delete) */
	private int differentId;
	private boolean differentIdSet;

	public void setDifferentId( int id )
	{
		this.differentId = id;
		this.differentIdSet = true;
	}

	public boolean isDifferentIdSet()
	{
		return differentIdSet;
	}
	
	public void unsetDifferentId()
	{
		this.differentIdSet = false;
	}

	private void customGetHQL(StringBuilder ret, int iArgNum)
	{
		if ( isDifferentIdSet() )
		{
			ret.append( (ret.length()==0) ? "WHERE " : " AND " );
			ret.append( "id <> :arg"+(iArgNum++) );
		}
	}

	private void customGetArguments(ArrayList ret)
	{
		if ( isDifferentIdSet() )
		{
			ret.add( differentId );
		}
	}

	private void customReset()
	{
		unsetDifferentId();
	}

	private void customToString(StringBuilder ret)
	{
    if( isDifferentIdSet() ){
        ret.append( "(differentIdSet" );
        ret.append( "="+differentIdSet );
        ret.append( ")" );
    }
	}

	private boolean customIsSearchActive()
	{
		return differentIdSet;
	}
}
