/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.search;

import java.util.*;
import java.math.*;

import org.hibernate.type.*;

import com.autentia.tnt.businessobject.*;
import com.autentia.tnt.dao.*;

/**
 * Class to search for BillBreakDown objects
 * @author stajanov code generator
 */
public class BillBreakDownSearch extends SearchCriteria 
{
/* generated by stajanov (do not edit/delete) */














  @Override
  public String getHQL() {
    StringBuilder ret = new StringBuilder();
    int iArgNum = 0;
            
      
    
    if( isConceptSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getConcept()==null ){
	ret.append( "concept is NULL" );
      } else {
	ret.append( "concept = :arg"+(iArgNum++) );
      }
    }

              
      
    
    if( isUnitsSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getUnits()==null ){
	ret.append( "units is NULL" );
      } else {
	ret.append( "units = :arg"+(iArgNum++) );
      }
    }

              
      
    
    if( isAmountSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getAmount()==null ){
	ret.append( "amount is NULL" );
      } else {
	ret.append( "amount = :arg"+(iArgNum++) );
      }
    }

              
      
    
    if( isIvaSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getIva()==null ){
	ret.append( "iva is NULL" );
      } else {
	ret.append( "iva = :arg"+(iArgNum++) );
      }
    }

              
      
    
    if( isOwnerIdSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getOwnerId()==null ){
	ret.append( "ownerId is NULL" );
      } else {
	ret.append( "ownerId = :arg"+(iArgNum++) );
      }
    }

              
      
    
    if( isDepartmentIdSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getDepartmentId()==null ){
	ret.append( "departmentId is NULL" );
      } else {
	ret.append( "departmentId = :arg"+(iArgNum++) );
      }
    }

              
      if( isStartInsertDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startInsertDate == null ){
        ret.append( "insertDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "insertDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndInsertDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endInsertDate == null ){
        ret.append( "insertDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "insertDate<=:arg"+(iArgNum++) );
      }
    }

              
      if( isStartUpdateDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startUpdateDate == null ){
        ret.append( "updateDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "updateDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndUpdateDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endUpdateDate == null ){
        ret.append( "updateDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "updateDate<=:arg"+(iArgNum++) );
      }
    }

                  
      
    
    if( isBillSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getBill()==null ){
	ret.append( "bill is NULL" );
      } else {
	ret.append( "bill = :arg"+(iArgNum++) );
      }
    }

                  customGetHQL(ret,iArgNum);
    return ret.toString();
  }

  @Override
  public Object[] getArguments(){
    ArrayList<Object> ret = new ArrayList<Object>();
          
      if( isConceptSet() && getConcept()!=null ){
        ret.add( concept );
    }

            
      if( isUnitsSet() && getUnits()!=null ){
        ret.add( units );
    }

            
      if( isAmountSet() && getAmount()!=null ){
        ret.add( amount );
    }

            
      if( isIvaSet() && getIva()!=null ){
        ret.add( iva );
    }

            
      if( isOwnerIdSet() && getOwnerId()!=null ){
        ret.add( ownerId );
    }

            
      if( isDepartmentIdSet() && getDepartmentId()!=null ){
        ret.add( departmentId );
    }

            
      if( isStartInsertDateSet() ){
        ret.add( startInsertDate );
    }
    if( isEndInsertDateSet() ){
        ret.add( endInsertDate );
    }

            
      if( isStartUpdateDateSet() ){
        ret.add( startUpdateDate );
    }
    if( isEndUpdateDateSet() ){
        ret.add( endUpdateDate );
    }

                
      if( isBillSet() && getBill()!=null ){
        ret.add( bill );
    }

                  customGetArguments(ret);
    return ret.toArray();
  }

  @Override
  public void reset(){
          
      unsetConcept();
  
            
      unsetUnits();
  
            
      unsetAmount();
  
            
      unsetIva();
  
            
      unsetOwnerId();
  
            
      unsetDepartmentId();
  
            
      unsetStartInsertDate();
    unsetEndInsertDate();

            
      unsetStartUpdateDate();
    unsetEndUpdateDate();

                
      unsetBill();
  
                  customReset();
  }
    
  @Override
  public String toString() {
    StringBuilder ret = new StringBuilder();
    ret.append("BillBreakDownSearch{");
          
  
          if( isConceptSet() ){
          ret.append( "(concept" );
          ret.append( "="+concept );
          ret.append( ")" );
      }

    
            
  
          if( isUnitsSet() ){
          ret.append( "(units" );
          ret.append( "="+units );
          ret.append( ")" );
      }

    
            
  
          if( isAmountSet() ){
          ret.append( "(amount" );
          ret.append( "="+amount );
          ret.append( ")" );
      }

    
            
  
          if( isIvaSet() ){
          ret.append( "(iva" );
          ret.append( "="+iva );
          ret.append( ")" );
      }

    
            
  
          if( isOwnerIdSet() ){
          ret.append( "(ownerId" );
          ret.append( "="+ownerId );
          ret.append( ")" );
      }

    
            
  
          if( isDepartmentIdSet() ){
          ret.append( "(departmentId" );
          ret.append( "="+departmentId );
          ret.append( ")" );
      }

    
            
  
    if( isStartInsertDateSet() ){
        ret.append( "(startInsertDate" );
        ret.append( "="+startInsertDate );
        ret.append( ")" );
    }
    if( isEndInsertDateSet() ){
        ret.append( "(endInsertDate" );
        ret.append( "="+endInsertDate );
        ret.append( ")" );
    }

            
  
    if( isStartUpdateDateSet() ){
        ret.append( "(startUpdateDate" );
        ret.append( "="+startUpdateDate );
        ret.append( ")" );
    }
    if( isEndUpdateDateSet() ){
        ret.append( "(endUpdateDate" );
        ret.append( "="+endUpdateDate );
        ret.append( ")" );
    }

                
  
          if( isBillSet() ){
          ret.append( "(bill" );
          ret.append( "="+bill );
          ret.append( ")" );
      }

    
                  customToString(ret);
    ret.append("}");
    return ret.toString();
  }

  // Getters and setters
      
  
    
    
    public boolean isConceptSet(){
        return conceptSet;
    }
    public String getConcept(){
        return concept;
    }
    public void setConcept( String concept ){
        this.concept = concept;
        this.conceptSet = true;
    }
    public void unsetConcept(){
        this.conceptSet = false;
    }
        
  
    
    
    public boolean isUnitsSet(){
        return unitsSet;
    }
    public BigDecimal getUnits(){
        return units;
    }
    public void setUnits( BigDecimal units ){
        this.units = units;
        this.unitsSet = true;
    }
    public void unsetUnits(){
        this.unitsSet = false;
    }
        
  
    
    
    public boolean isAmountSet(){
        return amountSet;
    }
    public BigDecimal getAmount(){
        return amount;
    }
    public void setAmount( BigDecimal amount ){
        this.amount = amount;
        this.amountSet = true;
    }
    public void unsetAmount(){
        this.amountSet = false;
    }
        
  
    
    
    public boolean isIvaSet(){
        return ivaSet;
    }
    public BigDecimal getIva(){
        return iva;
    }
    public void setIva( BigDecimal iva ){
        this.iva = iva;
        this.ivaSet = true;
    }
    public void unsetIva(){
        this.ivaSet = false;
    }
        
  
    
    
    public boolean isOwnerIdSet(){
        return ownerIdSet;
    }
    public Integer getOwnerId(){
        return ownerId;
    }
    public void setOwnerId( Integer ownerId ){
        this.ownerId = ownerId;
        this.ownerIdSet = true;
    }
    public void unsetOwnerId(){
        this.ownerIdSet = false;
    }
        
  
    
    
    public boolean isDepartmentIdSet(){
        return departmentIdSet;
    }
    public Integer getDepartmentId(){
        return departmentId;
    }
    public void setDepartmentId( Integer departmentId ){
        this.departmentId = departmentId;
        this.departmentIdSet = true;
    }
    public void unsetDepartmentId(){
        this.departmentIdSet = false;
    }
        
  
    public boolean isStartInsertDateSet(){
        return startInsertDateSet;
    }
    public Date getStartInsertDate(){
        return startInsertDate;
    }
    public void setStartInsertDate( Date startInsertDate ){
        this.startInsertDate = startInsertDate;
        this.startInsertDateSet = true;
    }
    public void unsetStartInsertDate(){
        this.startInsertDateSet = false;
    }
    public boolean isEndInsertDateSet(){
        return endInsertDateSet;
    }
    public Date getEndInsertDate(){
        return endInsertDate;
    }
    public void setEndInsertDate( Date endInsertDate ){
        this.endInsertDate = endInsertDate;
        this.endInsertDateSet = true;
    }
    public void unsetEndInsertDate(){
        this.endInsertDateSet = false;
    }

        
  
    public boolean isStartUpdateDateSet(){
        return startUpdateDateSet;
    }
    public Date getStartUpdateDate(){
        return startUpdateDate;
    }
    public void setStartUpdateDate( Date startUpdateDate ){
        this.startUpdateDate = startUpdateDate;
        this.startUpdateDateSet = true;
    }
    public void unsetStartUpdateDate(){
        this.startUpdateDateSet = false;
    }
    public boolean isEndUpdateDateSet(){
        return endUpdateDateSet;
    }
    public Date getEndUpdateDate(){
        return endUpdateDate;
    }
    public void setEndUpdateDate( Date endUpdateDate ){
        this.endUpdateDate = endUpdateDate;
        this.endUpdateDateSet = true;
    }
    public void unsetEndUpdateDate(){
        this.endUpdateDateSet = false;
    }

          
  
    
    
    public boolean isBillSet(){
        return billSet;
    }
    public Bill getBill(){
        return bill;
    }
    public void setBill( Bill bill ){
        this.bill = bill;
        this.billSet = true;
    }
    public void unsetBill(){
        this.billSet = false;
    }
        
  // Fields
      
      private boolean conceptSet;
        private String concept;

        
      private boolean unitsSet;
        private BigDecimal units;

        
      private boolean amountSet;
        private BigDecimal amount;

        
      private boolean ivaSet;
        private BigDecimal iva;

        
      private boolean ownerIdSet;
        private Integer ownerId;

        
      private boolean departmentIdSet;
        private Integer departmentId;

        
      private boolean startInsertDateSet;
        private Date startInsertDate;
    private boolean endInsertDateSet;
        private Date endInsertDate;

        
      private boolean startUpdateDateSet;
        private Date startUpdateDate;
    private boolean endUpdateDateSet;
        private Date endUpdateDate;

          
      private boolean billSet;
        private Bill bill;
  
        
  // Returns if there are a search condition active
  public boolean isSearchActive() {
    return customIsSearchActive()||conceptSet||unitsSet||amountSet||ivaSet||ownerIdSet||departmentIdSet||startInsertDateSet||endInsertDateSet||startUpdateDateSet||endUpdateDateSet||billSet;
  }

/* generated by stajanov (do not edit/delete) */
	private void customGetHQL(StringBuilder ret, int iArgNum)
	{
	}

	private boolean customIsSearchActive()
	{
		return false;
	}

	private void customToString(StringBuilder ret)
	{
	}

	private void customReset()
	{
	}

	private void customGetArguments(ArrayList ret)
	{
	}
}
