/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */














package com.autentia.tnt.dao.search;

import java.util.*;
import java.math.*;

import org.hibernate.type.*;

import com.autentia.tnt.businessobject.*;
import com.autentia.tnt.dao.*;

/**
 * Class to search for Book objects
 * @author stajanov code generator
 */
public class BookSearch extends SearchCriteria 
{
/* generated by stajanov (do not edit/delete) */















  @Override
  public String getHQL() {
    StringBuilder ret = new StringBuilder();
    int iArgNum = 0;
            
    
  
        
    if( isNameSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getName()==null ){
	ret.append( "name is NULL" );
      } else {
	ret.append( "name like :arg"+(iArgNum++) );
      }
    }

              
    
  
        
    if( isAuthorSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getAuthor()==null ){
	ret.append( "author is NULL" );
      } else {
	ret.append( "author like :arg"+(iArgNum++) );
      }
    }

              
    
  
        
    if( isISBNSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getISBN()==null ){
	ret.append( "ISBN is NULL" );
      } else {
	ret.append( "ISBN = :arg"+(iArgNum++) );
      }
    }

              
    
  
        
    if( isURLSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getURL()==null ){
	ret.append( "URL is NULL" );
      } else {
	ret.append( "URL = :arg"+(iArgNum++) );
      }
    }

              
    
  
        
    if( isPriceSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getPrice()==null ){
	ret.append( "price is NULL" );
      } else {
	ret.append( "price = :arg"+(iArgNum++) );
      }
    }

              
    
      if( isStartPurchaseDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startPurchaseDate == null ){
        ret.append( "purchaseDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "purchaseDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndPurchaseDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endPurchaseDate == null ){
        ret.append( "purchaseDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "purchaseDate<=:arg"+(iArgNum++) );
      }
    }

              
    
  
        
    if( isOwnerIdSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getOwnerId()==null ){
	ret.append( "ownerId is NULL" );
      } else {
	ret.append( "ownerId = :arg"+(iArgNum++) );
      }
    }

              
    
  
        
    if( isDepartmentIdSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getDepartmentId()==null ){
	ret.append( "departmentId is NULL" );
      } else {
	ret.append( "departmentId = :arg"+(iArgNum++) );
      }
    }

              
    
      if( isStartInsertDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startInsertDate == null ){
        ret.append( "insertDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "insertDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndInsertDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endInsertDate == null ){
        ret.append( "insertDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "insertDate<=:arg"+(iArgNum++) );
      }
    }

              
    
      if( isStartUpdateDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startUpdateDate == null ){
        ret.append( "updateDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "updateDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndUpdateDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endUpdateDate == null ){
        ret.append( "updateDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "updateDate<=:arg"+(iArgNum++) );
      }
    }

                  
    
  
        
    if( isLentToSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getLentTo()==null ){
	ret.append( "lentTo is NULL" );
      } else {
	ret.append( "lentTo = :arg"+(iArgNum++) );
      }
    }

                  customGetHQL(ret,iArgNum);
    return ret.toString();
  }

  @Override
  public Object[] getArguments(){
    ArrayList<Object> ret = new ArrayList<Object>();
            
  
      if( isNameSet() && getName()!=null ){
        ret.add( name );
    }

              
  
      if( isAuthorSet() && getAuthor()!=null ){
        ret.add( author );
    }

              
  
      if( isISBNSet() && getISBN()!=null ){
        ret.add( ISBN );
    }

              
  
      if( isURLSet() && getURL()!=null ){
        ret.add( URL );
    }

              
  
      if( isPriceSet() && getPrice()!=null ){
        ret.add( price );
    }

              
  
      if( isStartPurchaseDateSet() ){
        ret.add( startPurchaseDate );
    }
    if( isEndPurchaseDateSet() ){
        ret.add( endPurchaseDate );
    }

              
  
      if( isOwnerIdSet() && getOwnerId()!=null ){
        ret.add( ownerId );
    }

              
  
      if( isDepartmentIdSet() && getDepartmentId()!=null ){
        ret.add( departmentId );
    }

              
  
      if( isStartInsertDateSet() ){
        ret.add( startInsertDate );
    }
    if( isEndInsertDateSet() ){
        ret.add( endInsertDate );
    }

              
  
      if( isStartUpdateDateSet() ){
        ret.add( startUpdateDate );
    }
    if( isEndUpdateDateSet() ){
        ret.add( endUpdateDate );
    }

                  
  
      if( isLentToSet() && getLentTo()!=null ){
        ret.add( lentTo );
    }

                  customGetArguments(ret);
    return ret.toArray();
  }

  @Override
  public void reset(){
            
  
      unsetName();
  
              
  
      unsetAuthor();
  
              
  
      unsetISBN();
  
              
  
      unsetURL();
  
              
  
      unsetPrice();
  
              
  
      unsetStartPurchaseDate();
    unsetEndPurchaseDate();

              
  
      unsetOwnerId();
  
              
  
      unsetDepartmentId();
  
              
  
      unsetStartInsertDate();
    unsetEndInsertDate();

              
  
      unsetStartUpdateDate();
    unsetEndUpdateDate();

                  
  
      unsetLentTo();
  
                  customReset();
  }
    
  @Override
  public String toString() {
    StringBuilder ret = new StringBuilder();
    ret.append("BookSearch{");
            
  
  
          if( isNameSet() ){
          ret.append( "(name" );
          ret.append( "="+name );
          ret.append( ")" );
      }

    
              
  
  
          if( isAuthorSet() ){
          ret.append( "(author" );
          ret.append( "="+author );
          ret.append( ")" );
      }

    
              
  
  
          if( isISBNSet() ){
          ret.append( "(ISBN" );
          ret.append( "="+ISBN );
          ret.append( ")" );
      }

    
              
  
  
          if( isURLSet() ){
          ret.append( "(URL" );
          ret.append( "="+URL );
          ret.append( ")" );
      }

    
              
  
  
          if( isPriceSet() ){
          ret.append( "(price" );
          ret.append( "="+price );
          ret.append( ")" );
      }

    
              
  
  
    if( isStartPurchaseDateSet() ){
        ret.append( "(startPurchaseDate" );
        ret.append( "="+startPurchaseDate );
        ret.append( ")" );
    }
    if( isEndPurchaseDateSet() ){
        ret.append( "(endPurchaseDate" );
        ret.append( "="+endPurchaseDate );
        ret.append( ")" );
    }

              
  
  
          if( isOwnerIdSet() ){
          ret.append( "(ownerId" );
          ret.append( "="+ownerId );
          ret.append( ")" );
      }

    
              
  
  
          if( isDepartmentIdSet() ){
          ret.append( "(departmentId" );
          ret.append( "="+departmentId );
          ret.append( ")" );
      }

    
              
  
  
    if( isStartInsertDateSet() ){
        ret.append( "(startInsertDate" );
        ret.append( "="+startInsertDate );
        ret.append( ")" );
    }
    if( isEndInsertDateSet() ){
        ret.append( "(endInsertDate" );
        ret.append( "="+endInsertDate );
        ret.append( ")" );
    }

              
  
  
    if( isStartUpdateDateSet() ){
        ret.append( "(startUpdateDate" );
        ret.append( "="+startUpdateDate );
        ret.append( ")" );
    }
    if( isEndUpdateDateSet() ){
        ret.append( "(endUpdateDate" );
        ret.append( "="+endUpdateDate );
        ret.append( ")" );
    }

                  
  
  
          if( isLentToSet() ){
          ret.append( "(lentTo" );
          ret.append( "="+lentTo );
          ret.append( ")" );
      }

    
                  customToString(ret);
    ret.append("}");
    return ret.toString();
  }

  // Getters and setters
        
  
  
    
    
    public boolean isNameSet(){
        return nameSet;
    }
    public String getName(){
        return name;
    }
    public void setName( String name ){
        this.name = name;
        this.nameSet = true;
    }
    public void unsetName(){
        this.nameSet = false;
    }
          
  
  
    
    
    public boolean isAuthorSet(){
        return authorSet;
    }
    public String getAuthor(){
        return author;
    }
    public void setAuthor( String author ){
        this.author = author;
        this.authorSet = true;
    }
    public void unsetAuthor(){
        this.authorSet = false;
    }
          
  
  
    
    
    public boolean isISBNSet(){
        return ISBNSet;
    }
    public String getISBN(){
        return ISBN;
    }
    public void setISBN( String ISBN ){
        this.ISBN = ISBN;
        this.ISBNSet = true;
    }
    public void unsetISBN(){
        this.ISBNSet = false;
    }
          
  
  
    
    
    public boolean isURLSet(){
        return URLSet;
    }
    public String getURL(){
        return URL;
    }
    public void setURL( String URL ){
        this.URL = URL;
        this.URLSet = true;
    }
    public void unsetURL(){
        this.URLSet = false;
    }
          
  
  
    
    
    public boolean isPriceSet(){
        return priceSet;
    }
    public BigDecimal getPrice(){
        return price;
    }
    public void setPrice( BigDecimal price ){
        this.price = price;
        this.priceSet = true;
    }
    public void unsetPrice(){
        this.priceSet = false;
    }
          
  
  
    public boolean isStartPurchaseDateSet(){
        return startPurchaseDateSet;
    }
    public Date getStartPurchaseDate(){
        return startPurchaseDate;
    }
    public void setStartPurchaseDate( Date startPurchaseDate ){
        this.startPurchaseDate = startPurchaseDate;
        this.startPurchaseDateSet = true;
    }
    public void unsetStartPurchaseDate(){
        this.startPurchaseDateSet = false;
    }
    public boolean isEndPurchaseDateSet(){
        return endPurchaseDateSet;
    }
    public Date getEndPurchaseDate(){
        return endPurchaseDate;
    }
    public void setEndPurchaseDate( Date endPurchaseDate ){
        this.endPurchaseDate = endPurchaseDate;
        this.endPurchaseDateSet = true;
    }
    public void unsetEndPurchaseDate(){
        this.endPurchaseDateSet = false;
    }

          
  
  
    
    
    public boolean isOwnerIdSet(){
        return ownerIdSet;
    }
    public Integer getOwnerId(){
        return ownerId;
    }
    public void setOwnerId( Integer ownerId ){
        this.ownerId = ownerId;
        this.ownerIdSet = true;
    }
    public void unsetOwnerId(){
        this.ownerIdSet = false;
    }
          
  
  
    
    
    public boolean isDepartmentIdSet(){
        return departmentIdSet;
    }
    public Integer getDepartmentId(){
        return departmentId;
    }
    public void setDepartmentId( Integer departmentId ){
        this.departmentId = departmentId;
        this.departmentIdSet = true;
    }
    public void unsetDepartmentId(){
        this.departmentIdSet = false;
    }
          
  
  
    public boolean isStartInsertDateSet(){
        return startInsertDateSet;
    }
    public Date getStartInsertDate(){
        return startInsertDate;
    }
    public void setStartInsertDate( Date startInsertDate ){
        this.startInsertDate = startInsertDate;
        this.startInsertDateSet = true;
    }
    public void unsetStartInsertDate(){
        this.startInsertDateSet = false;
    }
    public boolean isEndInsertDateSet(){
        return endInsertDateSet;
    }
    public Date getEndInsertDate(){
        return endInsertDate;
    }
    public void setEndInsertDate( Date endInsertDate ){
        this.endInsertDate = endInsertDate;
        this.endInsertDateSet = true;
    }
    public void unsetEndInsertDate(){
        this.endInsertDateSet = false;
    }

          
  
  
    public boolean isStartUpdateDateSet(){
        return startUpdateDateSet;
    }
    public Date getStartUpdateDate(){
        return startUpdateDate;
    }
    public void setStartUpdateDate( Date startUpdateDate ){
        this.startUpdateDate = startUpdateDate;
        this.startUpdateDateSet = true;
    }
    public void unsetStartUpdateDate(){
        this.startUpdateDateSet = false;
    }
    public boolean isEndUpdateDateSet(){
        return endUpdateDateSet;
    }
    public Date getEndUpdateDate(){
        return endUpdateDate;
    }
    public void setEndUpdateDate( Date endUpdateDate ){
        this.endUpdateDate = endUpdateDate;
        this.endUpdateDateSet = true;
    }
    public void unsetEndUpdateDate(){
        this.endUpdateDateSet = false;
    }

            
  
  
    
    
    public boolean isLentToSet(){
        return lentToSet;
    }
    public User getLentTo(){
        return lentTo;
    }
    public void setLentTo( User lentTo ){
        this.lentTo = lentTo;
        this.lentToSet = true;
    }
    public void unsetLentTo(){
        this.lentToSet = false;
    }
        
  // Fields
        
  
      private boolean nameSet;
        private String name;

          
  
      private boolean authorSet;
        private String author;

          
  
      private boolean ISBNSet;
        private String ISBN;

          
  
      private boolean URLSet;
        private String URL;

          
  
      private boolean priceSet;
        private BigDecimal price;

          
  
      private boolean startPurchaseDateSet;
        private Date startPurchaseDate;
    private boolean endPurchaseDateSet;
        private Date endPurchaseDate;

          
  
      private boolean ownerIdSet;
        private Integer ownerId;

          
  
      private boolean departmentIdSet;
        private Integer departmentId;

          
  
      private boolean startInsertDateSet;
        private Date startInsertDate;
    private boolean endInsertDateSet;
        private Date endInsertDate;

          
  
      private boolean startUpdateDateSet;
        private Date startUpdateDate;
    private boolean endUpdateDateSet;
        private Date endUpdateDate;

            
  
      private boolean lentToSet;
        private User lentTo;
  
        
  // Returns if there are a search condition active
  public boolean isSearchActive() {
    return customIsSearchActive()||nameSet||authorSet||ISBNSet||URLSet||priceSet||startPurchaseDateSet||endPurchaseDateSet||ownerIdSet||departmentIdSet||startInsertDateSet||endInsertDateSet||startUpdateDateSet||endUpdateDateSet||lentToSet;
  }


/* generated by stajanov (do not edit/delete) */

	private void customGetHQL(StringBuilder ret, int iArgNum)
	{
	}

	private boolean customIsSearchActive()
	{
		return false;
	}

	private void customToString(StringBuilder ret)
	{
	}

	private void customReset()
	{
	}

	private void customGetArguments(ArrayList ret)
	{
	}
}
