/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.search;

import java.util.ArrayList;
import java.util.Date;

import com.autentia.tnt.businessobject.BillPaymentMode;
import com.autentia.tnt.businessobject.Collaborator;
import com.autentia.tnt.businessobject.Commissioning;
import com.autentia.tnt.businessobject.User;
import com.autentia.tnt.dao.SearchCriteria;

/* generated by stajanov (do not edit/delete) */




public class CommissioningFileSearch extends SearchCriteria {










  @Override
  public String getHQL() {
    StringBuilder ret = new StringBuilder();
    int iArgNum = 0;
            
    
      if( isStartInsertDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startInsertDate == null ){
        ret.append( "insertDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "insertDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndInsertDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endInsertDate == null ){
        ret.append( "insertDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "insertDate<=:arg"+(iArgNum++) );
      }
    }

              
    
      if( isStartUpdateDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startUpdateDate == null ){
        ret.append( "updateDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "updateDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndUpdateDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endUpdateDate == null ){
        ret.append( "updateDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "updateDate<=:arg"+(iArgNum++) );
      }
    }

    if( isCommissioningSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getCommissioning()==null ){
	ret.append( "commissioning is NULL" );
      } else {
	ret.append( "commissioning = :arg"+(iArgNum++) );
      }
    }
    
    if( isFileSet() ){
        ret.append( (ret.length()==0) ? "WHERE " : " AND " );
        if( getFile()==null ){
  	ret.append( "file is NULL" );
        } else {
  	ret.append( "file = :arg"+(iArgNum++) );
        }
      }
    
    if( isFileMimeSet() ){
        ret.append( (ret.length()==0) ? "WHERE " : " AND " );
        if( getFileMime()==null ){
  	ret.append( "fileMime is NULL" );
        } else {
  	ret.append( "fileMime = :arg"+(iArgNum++) );
        }
      }

    if( isUserSet() ){
        ret.append( (ret.length()==0) ? "WHERE " : " AND " );
        if( getUser()==null ){
  	ret.append( "user is NULL" );
        } else {
  	ret.append( "user = :arg"+(iArgNum++) );
        }
      }
    
    return ret.toString();
  }

  @Override
  public Object[] getArguments(){
    ArrayList<Object> ret = new ArrayList<Object>();
            
  
      if( isStartInsertDateSet() ){
        ret.add( startInsertDate );
    }
    if( isEndInsertDateSet() ){
        ret.add( endInsertDate );
    }

              
  
      if( isStartUpdateDateSet() ){
        ret.add( startUpdateDate );
    }
    if( isEndUpdateDateSet() ){
        ret.add( endUpdateDate );
    }

  
      if( isCommissioningSet() && getCommissioning()!=null ){
        ret.add( commissioning );
    }
      
      if( isFileSet() ){
          ret.add( file );
      }
      
      if( isFileMimeSet() ){
          ret.add( fileMime);
      }
      
      if( isUserSet() ){
          ret.add( user );
      }

      
    return ret.toArray();
  }

  @Override
  public void reset(){
            
  
      unsetStartInsertDate();
    unsetEndInsertDate();

              
  
      unsetStartUpdateDate();
    unsetEndUpdateDate();

    unsetFile();
    unsetFileMime();
    unsetUser();
  
      unsetCommissioning();

  
  }
    
  @Override
  public String toString() {
    StringBuilder ret = new StringBuilder();
    ret.append("CommissioningFileSearch{");
            
  
  
    if( isStartInsertDateSet() ){
        ret.append( "(startInsertDate" );
        ret.append( "="+startInsertDate );
        ret.append( ")" );
    }
    if( isEndInsertDateSet() ){
        ret.append( "(endInsertDate" );
        ret.append( "="+endInsertDate );
        ret.append( ")" );
    }

              
  
  
    if( isStartUpdateDateSet() ){
        ret.append( "(startUpdateDate" );
        ret.append( "="+startUpdateDate );
        ret.append( ")" );
    }
    if( isEndUpdateDateSet() ){
        ret.append( "(endUpdateDate" );
        ret.append( "="+endUpdateDate );
        ret.append( ")" );
    }

    
    if( isCommissioningSet() ){
          ret.append( "(commissioning" );
          ret.append( "="+commissioning );
          ret.append( ")" );
      }
    
    if (isFileSet()) {
    	ret.append("(file=").append(file+")");
    }
    
    if (isFileMimeSet()) {
    	ret.append("(fileMime=").append(fileMime+")");
    }
    
    if (isUserSet()) {
    	ret.append("(user=").append(user+")");
    }

             
   
    ret.append("}");
    return ret.toString();
  }

  // Getters and setters
        
  
  
    public boolean isStartInsertDateSet(){
        return startInsertDateSet;
    }
    public Date getStartInsertDate(){
        return startInsertDate;
    }
    public void setStartInsertDate( Date startInsertDate ){
        this.startInsertDate = startInsertDate;
        this.startInsertDateSet = true;
    }
    public void unsetStartInsertDate(){
        this.startInsertDateSet = false;
    }
    public boolean isEndInsertDateSet(){
        return endInsertDateSet;
    }
    public Date getEndInsertDate(){
        return endInsertDate;
    }
    public void setEndInsertDate( Date endInsertDate ){
        this.endInsertDate = endInsertDate;
        this.endInsertDateSet = true;
    }
    public void unsetEndInsertDate(){
        this.endInsertDateSet = false;
    }

          
  
  
    public boolean isStartUpdateDateSet(){
        return startUpdateDateSet;
    }
    public Date getStartUpdateDate(){
        return startUpdateDate;
    }
    public void setStartUpdateDate( Date startUpdateDate ){
        this.startUpdateDate = startUpdateDate;
        this.startUpdateDateSet = true;
    }
    public void unsetStartUpdateDate(){
        this.startUpdateDateSet = false;
    }
    public boolean isEndUpdateDateSet(){
        return endUpdateDateSet;
    }
    public Date getEndUpdateDate(){
        return endUpdateDate;
    }
    public void setEndUpdateDate( Date endUpdateDate ){
        this.endUpdateDate = endUpdateDate;
        this.endUpdateDateSet = true;
    }
    public void unsetEndUpdateDate(){
        this.endUpdateDateSet = false;
    }

          
  
  
        

            
  
  
    
    
   
          
        
  // Fields
        
  
      private boolean startInsertDateSet;
        private Date startInsertDate;
    private boolean endInsertDateSet;
        private Date endInsertDate;

          
  
      private boolean startUpdateDateSet;
        private Date startUpdateDate;
    private boolean endUpdateDateSet;
        private Date endUpdateDate;

        private boolean commissioningSet;
        private Commissioning commissioning;
    	private boolean userSet;
    	private User user;
    	private boolean fileSet;
    	private String file;
    	private boolean fileMimeSet;
    	private String fileMime;    
        
    	/**
		 * @return the userSet
		 */
		public boolean isUserSet() {
			return userSet;
		}

		/**
		 * @param userSet the userSet to set
		 */
		public void unsetUser() {
			this.userSet = false;
		}

		/**
		 * @return the user
		 */
		public User getUser() {
			return user;
		}

		/**
		 * @param user the user to set
		 */
		public void setUser(User user) {
			this.user = user;
			userSet = true;
		}

		/**
		 * @return the fileSet
		 */
		public boolean isFileSet() {
			return fileSet;
		}

		/**
		 * @param fileSet the fileSet to set
		 */
		public void unsetFile() {
			this.fileSet = false;
		}

		/**
		 * @return the file
		 */
		public String getFile() {
			return file;
		}

		/**
		 * @param file the file to set
		 */
		public void setFile(String file) {
			this.file = file;
			fileSet = true;
		}

		/**
		 * @return the fileMimeSet
		 */
		public boolean isFileMimeSet() {
			return fileMimeSet;
		}

		/**
		 * @param fileMimeSet the fileMimeSet to set
		 */
		public void unsetFileMime() {
			this.fileMimeSet = false;
		}

		/**
		 * @return the fileMime
		 */
		public String getFileMime() {
			return fileMime;
		}

		/**
		 * @param fileMime the fileMime to set
		 */
		public void setFileMime(String fileMime) {
			this.fileMime = fileMime;
			fileMimeSet = true;
		}
		
		
		 public boolean isCommissioningSet(){
		        return commissioningSet;
	    }
	    public Commissioning getCommissioning(){
	        return commissioning;
	    }
	    public void setCommissioning( Commissioning commissioning ){
	        this.commissioning = commissioning;
	        this.commissioningSet = true;
	    }
	    public void unsetCommissioning(){
	        this.commissioningSet = false;
	    }

		    
  
        
  // Returns if there are a search condition active
  public boolean isSearchActive() {
    return fileMimeSet||fileSet||startInsertDateSet||endInsertDateSet||startUpdateDateSet||endUpdateDateSet||userSet||commissioningSet;
  }


/* generated by stajanov (do not edit/delete) */
}