/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.search;

import java.util.ArrayList;
import java.util.Date;

import com.autentia.tnt.businessobject.BillPaymentMode;
import com.autentia.tnt.businessobject.Collaborator;
import com.autentia.tnt.businessobject.Commissioning;
import com.autentia.tnt.dao.SearchCriteria;

/* generated by stajanov (do not edit/delete) */




public class CommissioningPaymentDataSearch extends SearchCriteria {










  @Override
  public String getHQL() {
    StringBuilder ret = new StringBuilder();
    int iArgNum = 0;
            
    
      if( isStartInsertDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startInsertDate == null ){
        ret.append( "insertDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "insertDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndInsertDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endInsertDate == null ){
        ret.append( "insertDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "insertDate<=:arg"+(iArgNum++) );
      }
    }

              
    
      if( isStartUpdateDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startUpdateDate == null ){
        ret.append( "updateDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "updateDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndUpdateDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endUpdateDate == null ){
        ret.append( "updateDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "updateDate<=:arg"+(iArgNum++) );
      }
    }

              
    
  
        
    if( isPaymentModeSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getPaymentMode()==null ){
	ret.append( "paymentMode is NULL" );
      } else {
	ret.append( "paymentMode = :arg"+(iArgNum++) );
      }
    }

                  
    
  
        
    if( isCommissioningSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getCommissioning()==null ){
	ret.append( "commissioning is NULL" );
      } else {
	ret.append( "commissioning = :arg"+(iArgNum++) );
      }
    }

              
    
  
        
    if( isCollaboratorSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getCollaborator()==null ){
	ret.append( "collaborator is NULL" );
      } else {
	ret.append( "collaborator = :arg"+(iArgNum++) );
      }
    }
    
    if (isBankAccountSet()) {
    	ret.append( (ret.length()==0) ? "WHERE " : " AND " );
    	if (getBankAccount() == null) {
    		ret.append( "bankAccount is NULL" );
    	} else {
    		ret.append( "bankAccount = :arg"+(iArgNum++));
    	}
    }
    
    if (isBillNumberSet()) {
    	ret.append( (ret.length()==0) ? "WHERE " : " AND " );
    	if (getBankAccount() == null) {
    		ret.append( "billNumber is NULL" );
    	} else {
    		ret.append( "billNumber = :arg"+(iArgNum++));
    	}
    }

    return ret.toString();
  }

  @Override
  public Object[] getArguments(){
    ArrayList<Object> ret = new ArrayList<Object>();
            
  
      if( isStartInsertDateSet() ){
        ret.add( startInsertDate );
    }
    if( isEndInsertDateSet() ){
        ret.add( endInsertDate );
    }

              
  
      if( isStartUpdateDateSet() ){
        ret.add( startUpdateDate );
    }
    if( isEndUpdateDateSet() ){
        ret.add( endUpdateDate );
    }

              
  
      if( isPaymentModeSet() && getPaymentMode()!=null ){
        ret.add( paymentMode );
    }

                  
  
      if( isCommissioningSet() && getCommissioning()!=null ){
        ret.add( commissioning );
    }

              
  
      if( isCollaboratorSet() && getCollaborator()!=null ){
        ret.add( collaborator );
    }

      if (isBankAccountSet() && getBankAccount() != null) {
    	  ret.add(bankAccount);
      }
      
      if (isBillNumberSet()&& getBillNumber() != null) {
    	  ret.add(billNumber);
      }
      
    return ret.toArray();
  }

  @Override
  public void reset(){
            
  
      unsetStartInsertDate();
    unsetEndInsertDate();

              
  
      unsetStartUpdateDate();
    unsetEndUpdateDate();

              
  
      unsetPaymentMode();
  
                  
  
      unsetCommissioning();
  
              
  
      unsetCollaborator();
      
      unsetBankAccountSet();
      unsetBillNumberSet();
  
  }
    
  @Override
  public String toString() {
    StringBuilder ret = new StringBuilder();
    ret.append("CommissioningPaymentDataSearch{");
            
  
  
    if( isStartInsertDateSet() ){
        ret.append( "(startInsertDate" );
        ret.append( "="+startInsertDate );
        ret.append( ")" );
    }
    if( isEndInsertDateSet() ){
        ret.append( "(endInsertDate" );
        ret.append( "="+endInsertDate );
        ret.append( ")" );
    }

              
  
  
    if( isStartUpdateDateSet() ){
        ret.append( "(startUpdateDate" );
        ret.append( "="+startUpdateDate );
        ret.append( ")" );
    }
    if( isEndUpdateDateSet() ){
        ret.append( "(endUpdateDate" );
        ret.append( "="+endUpdateDate );
        ret.append( ")" );
    }

              
  
  
          if( isPaymentModeSet() ){
          ret.append( "(paymentMode" );
          ret.append( "="+paymentMode );
          ret.append( ")" );
      }

    
                  
  
  
          if( isCommissioningSet() ){
          ret.append( "(commissioning" );
          ret.append( "="+commissioning );
          ret.append( ")" );
      }

    
              
  
  
          if( isCollaboratorSet() ){
          ret.append( "(collaborator" );
          ret.append( "="+collaborator );
          ret.append( ")" );
      }
          
          if (isBankAccountSet()) {
        	  ret.append("(bankAccount="+bankAccount+")");
          }
          
          if (isBillNumberSet()) {
        	  ret.append("(billNumber="+billNumber+")");
          }

    
    ret.append("}");
    return ret.toString();
  }

  // Getters and setters
        
  
  
    public boolean isStartInsertDateSet(){
        return startInsertDateSet;
    }
    public Date getStartInsertDate(){
        return startInsertDate;
    }
    public void setStartInsertDate( Date startInsertDate ){
        this.startInsertDate = startInsertDate;
        this.startInsertDateSet = true;
    }
    public void unsetStartInsertDate(){
        this.startInsertDateSet = false;
    }
    public boolean isEndInsertDateSet(){
        return endInsertDateSet;
    }
    public Date getEndInsertDate(){
        return endInsertDate;
    }
    public void setEndInsertDate( Date endInsertDate ){
        this.endInsertDate = endInsertDate;
        this.endInsertDateSet = true;
    }
    public void unsetEndInsertDate(){
        this.endInsertDateSet = false;
    }

          
  
  
    public boolean isStartUpdateDateSet(){
        return startUpdateDateSet;
    }
    public Date getStartUpdateDate(){
        return startUpdateDate;
    }
    public void setStartUpdateDate( Date startUpdateDate ){
        this.startUpdateDate = startUpdateDate;
        this.startUpdateDateSet = true;
    }
    public void unsetStartUpdateDate(){
        this.startUpdateDateSet = false;
    }
    public boolean isEndUpdateDateSet(){
        return endUpdateDateSet;
    }
    public Date getEndUpdateDate(){
        return endUpdateDate;
    }
    public void setEndUpdateDate( Date endUpdateDate ){
        this.endUpdateDate = endUpdateDate;
        this.endUpdateDateSet = true;
    }
    public void unsetEndUpdateDate(){
        this.endUpdateDateSet = false;
    }

          
  
  
        
    
    public boolean isPaymentModeSet(){
        return paymentModeSet;
    }
    public BillPaymentMode getPaymentMode(){
        return paymentMode;
    }
    public void setPaymentMode( BillPaymentMode paymentMode ){
        this.paymentMode = paymentMode;
        this.paymentModeSet = true;
    }
    public void unsetPaymentMode(){
        this.paymentModeSet = false;
    }
            
  
  
    
    
    public boolean isCommissioningSet(){
        return commissioningSet;
    }
    public Commissioning getCommissioning(){
        return commissioning;
    }
    public void setCommissioning( Commissioning commissioning ){
        this.commissioning = commissioning;
        this.commissioningSet = true;
    }
    public void unsetCommissioning(){
        this.commissioningSet = false;
    }
          
  
  
    
    
    public boolean isCollaboratorSet(){
        return collaboratorSet;
    }
    public Collaborator getCollaborator(){
        return collaborator;
    }
    public void setCollaborator( Collaborator collaborator ){
        this.collaborator = collaborator;
        this.collaboratorSet = true;
    }
    public void unsetCollaborator(){
        this.collaboratorSet = false;
    }
        
  // Fields
        
  
      private boolean startInsertDateSet;
        private Date startInsertDate;
    private boolean endInsertDateSet;
        private Date endInsertDate;

          
  
      private boolean startUpdateDateSet;
        private Date startUpdateDate;
    private boolean endUpdateDateSet;
        private Date endUpdateDate;

          
  
      private boolean paymentModeSet;
        private BillPaymentMode paymentMode;

            
  
      private boolean commissioningSet;
        private Commissioning commissioning;
  
          
  
      private boolean collaboratorSet;
        private Collaborator collaborator;
  
       private String bankAccount;
       private boolean bankAccountSet;
       
       private String billNumber;
       private boolean billNumberSet;
        
  // Returns if there are a search condition active
  public boolean isSearchActive() {
    return billNumberSet||bankAccountSet||startInsertDateSet||endInsertDateSet||startUpdateDateSet||endUpdateDateSet||paymentModeSet||commissioningSet||collaboratorSet;
  }

/**
 * @return the bankAccount
 */
public String getBankAccount() {
	return bankAccount;
}

/**
 * @param bankAccount the bankAccount to set
 */
public void setBankAccount(String bankAccount) {
	this.bankAccount = bankAccount;
	bankAccountSet = true;
}

/**
 * @return the bankAccountSet
 */
public boolean isBankAccountSet() {
	return bankAccountSet;
}

/**
 * @param bankAccountSet the bankAccountSet to set
 */
public void unsetBankAccountSet() {
	this.bankAccountSet = false;
}

/**
 * @return the billNumber
 */
public String getBillNumber() {
	return billNumber;
}

/**
 * @param billNumber the billNumber to set
 */
public void setBillNumber(String billNumber) {
	this.billNumber = billNumber;
	this.billNumberSet = true;
}

/**
 * @return the billNumberSet
 */
public boolean isBillNumberSet() {
	return billNumberSet;
}

/**
 * @param billNumberSet the billNumberSet to set
 */
public void unsetBillNumberSet() {
	this.billNumberSet = false;
}


/* generated by stajanov (do not edit/delete) */
}