/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.search;

import java.util.*;
import java.math.*;

import org.hibernate.type.*;

import com.autentia.tnt.businessobject.*;
import com.autentia.tnt.dao.*;

/**
 * Class to search for DocumentVersion objects
 * @author stajanov code generator
 */
public class DocumentVersionSearch extends SearchCriteria 
{
/* generated by stajanov (do not edit/delete) */














  @Override
  public String getHQL() {
    StringBuilder ret = new StringBuilder();
    int iArgNum = 0;
            
      
    
    if( isDocumentPathSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getDocumentPath()==null ){
	ret.append( "documentPath is NULL" );
      } else {
	ret.append( "documentPath = :arg"+(iArgNum++) );
      }
    }

              
      if( isStartCreationDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startCreationDate == null ){
        ret.append( "creationDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "creationDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndCreationDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endCreationDate == null ){
        ret.append( "creationDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "creationDate<=:arg"+(iArgNum++) );
      }
    }

              
      
    
    if( isVersionSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getVersion()==null ){
	ret.append( "version is NULL" );
      } else {
	ret.append( "version = :arg"+(iArgNum++) );
      }
    }

              
      
    
    if( isOwnerIdSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getOwnerId()==null ){
	ret.append( "ownerId is NULL" );
      } else {
	ret.append( "ownerId = :arg"+(iArgNum++) );
      }
    }

              
      
    
    if( isDepartmentIdSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getDepartmentId()==null ){
	ret.append( "departmentId is NULL" );
      } else {
	ret.append( "departmentId = :arg"+(iArgNum++) );
      }
    }

              
      if( isStartInsertDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startInsertDate == null ){
        ret.append( "insertDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "insertDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndInsertDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endInsertDate == null ){
        ret.append( "insertDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "insertDate<=:arg"+(iArgNum++) );
      }
    }

              
      if( isStartUpdateDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startUpdateDate == null ){
        ret.append( "updateDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "updateDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndUpdateDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endUpdateDate == null ){
        ret.append( "updateDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "updateDate<=:arg"+(iArgNum++) );
      }
    }

                  
      
    
    if( isDocumentSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getDocument()==null ){
	ret.append( "document is NULL" );
      } else {
	ret.append( "document = :arg"+(iArgNum++) );
      }
    }

                  customGetHQL(ret,iArgNum);
    return ret.toString();
  }

  @Override
  public Object[] getArguments(){
    ArrayList<Object> ret = new ArrayList<Object>();
          
      if( isDocumentPathSet() && getDocumentPath()!=null ){
        ret.add( documentPath );
    }

            
      if( isStartCreationDateSet() ){
        ret.add( startCreationDate );
    }
    if( isEndCreationDateSet() ){
        ret.add( endCreationDate );
    }

            
      if( isVersionSet() && getVersion()!=null ){
        ret.add( version );
    }

            
      if( isOwnerIdSet() && getOwnerId()!=null ){
        ret.add( ownerId );
    }

            
      if( isDepartmentIdSet() && getDepartmentId()!=null ){
        ret.add( departmentId );
    }

            
      if( isStartInsertDateSet() ){
        ret.add( startInsertDate );
    }
    if( isEndInsertDateSet() ){
        ret.add( endInsertDate );
    }

            
      if( isStartUpdateDateSet() ){
        ret.add( startUpdateDate );
    }
    if( isEndUpdateDateSet() ){
        ret.add( endUpdateDate );
    }

                
      if( isDocumentSet() && getDocument()!=null ){
        ret.add( document );
    }

                  customGetArguments(ret);
    return ret.toArray();
  }

  @Override
  public void reset(){
          
      unsetDocumentPath();
  
            
      unsetStartCreationDate();
    unsetEndCreationDate();

            
      unsetVersion();
  
            
      unsetOwnerId();
  
            
      unsetDepartmentId();
  
            
      unsetStartInsertDate();
    unsetEndInsertDate();

            
      unsetStartUpdateDate();
    unsetEndUpdateDate();

                
      unsetDocument();
  
                  customReset();
  }
    
  @Override
  public String toString() {
    StringBuilder ret = new StringBuilder();
    ret.append("DocumentVersionSearch{");
          
  
          if( isDocumentPathSet() ){
          ret.append( "(documentPath" );
          ret.append( "="+documentPath );
          ret.append( ")" );
      }

    
            
  
    if( isStartCreationDateSet() ){
        ret.append( "(startCreationDate" );
        ret.append( "="+startCreationDate );
        ret.append( ")" );
    }
    if( isEndCreationDateSet() ){
        ret.append( "(endCreationDate" );
        ret.append( "="+endCreationDate );
        ret.append( ")" );
    }

            
  
          if( isVersionSet() ){
          ret.append( "(version" );
          ret.append( "="+version );
          ret.append( ")" );
      }

    
            
  
          if( isOwnerIdSet() ){
          ret.append( "(ownerId" );
          ret.append( "="+ownerId );
          ret.append( ")" );
      }

    
            
  
          if( isDepartmentIdSet() ){
          ret.append( "(departmentId" );
          ret.append( "="+departmentId );
          ret.append( ")" );
      }

    
            
  
    if( isStartInsertDateSet() ){
        ret.append( "(startInsertDate" );
        ret.append( "="+startInsertDate );
        ret.append( ")" );
    }
    if( isEndInsertDateSet() ){
        ret.append( "(endInsertDate" );
        ret.append( "="+endInsertDate );
        ret.append( ")" );
    }

            
  
    if( isStartUpdateDateSet() ){
        ret.append( "(startUpdateDate" );
        ret.append( "="+startUpdateDate );
        ret.append( ")" );
    }
    if( isEndUpdateDateSet() ){
        ret.append( "(endUpdateDate" );
        ret.append( "="+endUpdateDate );
        ret.append( ")" );
    }

                
  
          if( isDocumentSet() ){
          ret.append( "(document" );
          ret.append( "="+document );
          ret.append( ")" );
      }

    
                  customToString(ret);
    ret.append("}");
    return ret.toString();
  }

  // Getters and setters
      
  
    
    
    public boolean isDocumentPathSet(){
        return documentPathSet;
    }
    public String getDocumentPath(){
        return documentPath;
    }
    public void setDocumentPath( String documentPath ){
        this.documentPath = documentPath;
        this.documentPathSet = true;
    }
    public void unsetDocumentPath(){
        this.documentPathSet = false;
    }
        
  
    public boolean isStartCreationDateSet(){
        return startCreationDateSet;
    }
    public Date getStartCreationDate(){
        return startCreationDate;
    }
    public void setStartCreationDate( Date startCreationDate ){
        this.startCreationDate = startCreationDate;
        this.startCreationDateSet = true;
    }
    public void unsetStartCreationDate(){
        this.startCreationDateSet = false;
    }
    public boolean isEndCreationDateSet(){
        return endCreationDateSet;
    }
    public Date getEndCreationDate(){
        return endCreationDate;
    }
    public void setEndCreationDate( Date endCreationDate ){
        this.endCreationDate = endCreationDate;
        this.endCreationDateSet = true;
    }
    public void unsetEndCreationDate(){
        this.endCreationDateSet = false;
    }

        
  
    
    
    public boolean isVersionSet(){
        return versionSet;
    }
    public String getVersion(){
        return version;
    }
    public void setVersion( String version ){
        this.version = version;
        this.versionSet = true;
    }
    public void unsetVersion(){
        this.versionSet = false;
    }
        
  
    
    
    public boolean isOwnerIdSet(){
        return ownerIdSet;
    }
    public Integer getOwnerId(){
        return ownerId;
    }
    public void setOwnerId( Integer ownerId ){
        this.ownerId = ownerId;
        this.ownerIdSet = true;
    }
    public void unsetOwnerId(){
        this.ownerIdSet = false;
    }
        
  
    
    
    public boolean isDepartmentIdSet(){
        return departmentIdSet;
    }
    public Integer getDepartmentId(){
        return departmentId;
    }
    public void setDepartmentId( Integer departmentId ){
        this.departmentId = departmentId;
        this.departmentIdSet = true;
    }
    public void unsetDepartmentId(){
        this.departmentIdSet = false;
    }
        
  
    public boolean isStartInsertDateSet(){
        return startInsertDateSet;
    }
    public Date getStartInsertDate(){
        return startInsertDate;
    }
    public void setStartInsertDate( Date startInsertDate ){
        this.startInsertDate = startInsertDate;
        this.startInsertDateSet = true;
    }
    public void unsetStartInsertDate(){
        this.startInsertDateSet = false;
    }
    public boolean isEndInsertDateSet(){
        return endInsertDateSet;
    }
    public Date getEndInsertDate(){
        return endInsertDate;
    }
    public void setEndInsertDate( Date endInsertDate ){
        this.endInsertDate = endInsertDate;
        this.endInsertDateSet = true;
    }
    public void unsetEndInsertDate(){
        this.endInsertDateSet = false;
    }

        
  
    public boolean isStartUpdateDateSet(){
        return startUpdateDateSet;
    }
    public Date getStartUpdateDate(){
        return startUpdateDate;
    }
    public void setStartUpdateDate( Date startUpdateDate ){
        this.startUpdateDate = startUpdateDate;
        this.startUpdateDateSet = true;
    }
    public void unsetStartUpdateDate(){
        this.startUpdateDateSet = false;
    }
    public boolean isEndUpdateDateSet(){
        return endUpdateDateSet;
    }
    public Date getEndUpdateDate(){
        return endUpdateDate;
    }
    public void setEndUpdateDate( Date endUpdateDate ){
        this.endUpdateDate = endUpdateDate;
        this.endUpdateDateSet = true;
    }
    public void unsetEndUpdateDate(){
        this.endUpdateDateSet = false;
    }

          
  
    
    
    public boolean isDocumentSet(){
        return documentSet;
    }
    public Document getDocument(){
        return document;
    }
    public void setDocument( Document document ){
        this.document = document;
        this.documentSet = true;
    }
    public void unsetDocument(){
        this.documentSet = false;
    }
        
  // Fields
      
      private boolean documentPathSet;
        private String documentPath;

        
      private boolean startCreationDateSet;
        private Date startCreationDate;
    private boolean endCreationDateSet;
        private Date endCreationDate;

        
      private boolean versionSet;
        private String version;

        
      private boolean ownerIdSet;
        private Integer ownerId;

        
      private boolean departmentIdSet;
        private Integer departmentId;

        
      private boolean startInsertDateSet;
        private Date startInsertDate;
    private boolean endInsertDateSet;
        private Date endInsertDate;

        
      private boolean startUpdateDateSet;
        private Date startUpdateDate;
    private boolean endUpdateDateSet;
        private Date endUpdateDate;

          
      private boolean documentSet;
        private Document document;
  
        
  // Returns if there are a search condition active
  public boolean isSearchActive() {
    return customIsSearchActive()||documentPathSet||startCreationDateSet||endCreationDateSet||versionSet||ownerIdSet||departmentIdSet||startInsertDateSet||endInsertDateSet||startUpdateDateSet||endUpdateDateSet||documentSet;
  }

/* generated by stajanov (do not edit/delete) */
	private void customGetHQL(StringBuilder ret, int iArgNum)
	{
	}

	private boolean customIsSearchActive()
	{
		return false;
	}

	private void customToString(StringBuilder ret)
	{
	}

	private void customReset()
	{
	}

	private void customGetArguments(ArrayList ret)
	{
	}
}
