/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


package com.autentia.tnt.dao.search;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;

import com.autentia.tnt.businessobject.Offer;
import com.autentia.tnt.dao.SearchCriteria;

public class OfferCostSearch extends SearchCriteria 
{

/* generated by stajanov (do not edit/delete) */














  @Override
  public String getHQL() {
    StringBuilder ret = new StringBuilder();
    int iArgNum = 0;
            
      
    
    if( isNameSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getName()==null ){
	ret.append( "name is NULL" );
      } else {
	ret.append( "name = :arg"+(iArgNum++) );
      }
    }

              
      
    
    if( isCostSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getCost()==null ){
	ret.append( "cost is NULL" );
      } else {
	ret.append( "cost = :arg"+(iArgNum++) );
      }
    }

              
      
    
    if( isIvaSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getIva()==null ){
	ret.append( "iva is NULL" );
      } else {
	ret.append( "iva = :arg"+(iArgNum++) );
      }
    }

              
      
    
    if( isBillableSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getBillable()==null ){
	ret.append( "billable is NULL" );
      } else {
	ret.append( "billable = :arg"+(iArgNum++) );
      }
    }

              
      
    
    if( isOwnerIdSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getOwnerId()==null ){
	ret.append( "ownerId is NULL" );
      } else {
	ret.append( "ownerId = :arg"+(iArgNum++) );
      }
    }

              
      
    
    if( isDepartmentIdSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getDepartmentId()==null ){
	ret.append( "departmentId is NULL" );
      } else {
	ret.append( "departmentId = :arg"+(iArgNum++) );
      }
    }

              
      if( isStartInsertDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startInsertDate == null ){
        ret.append( "insertDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "insertDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndInsertDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endInsertDate == null ){
        ret.append( "insertDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "insertDate<=:arg"+(iArgNum++) );
      }
    }

              
      if( isStartUpdateDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startUpdateDate == null ){
        ret.append( "updateDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "updateDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndUpdateDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endUpdateDate == null ){
        ret.append( "updateDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "updateDate<=:arg"+(iArgNum++) );
      }
    }

                  
      
    
    if( isOfferSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getOffer()==null ){
	ret.append( "offer is NULL" );
      } else {
	ret.append( "offer = :arg"+(iArgNum++) );
      }
    }

                  customGetHQL(ret,iArgNum);
    return ret.toString();
  }

  @Override
  public Object[] getArguments(){
    ArrayList<Object> ret = new ArrayList<Object>();
          
      if( isNameSet() && getName()!=null ){
        ret.add( name );
    }

            
      if( isCostSet() && getCost()!=null ){
        ret.add( cost );
    }

            
      if( isIvaSet() && getIva()!=null ){
        ret.add( iva );
    }

            
      if( isBillableSet() && getBillable()!=null ){
        ret.add( billable );
    }

            
      if( isOwnerIdSet() && getOwnerId()!=null ){
        ret.add( ownerId );
    }

            
      if( isDepartmentIdSet() && getDepartmentId()!=null ){
        ret.add( departmentId );
    }

            
      if( isStartInsertDateSet() ){
        ret.add( startInsertDate );
    }
    if( isEndInsertDateSet() ){
        ret.add( endInsertDate );
    }

            
      if( isStartUpdateDateSet() ){
        ret.add( startUpdateDate );
    }
    if( isEndUpdateDateSet() ){
        ret.add( endUpdateDate );
    }

                
      if( isOfferSet() && getOffer()!=null ){
        ret.add( offer );
    }

                  customGetArguments(ret);
    return ret.toArray();
  }

  @Override
  public void reset(){
          
      unsetName();
  
            
      unsetCost();
  
            
      unsetIva();
  
            
      unsetBillable();
  
            
      unsetOwnerId();
  
            
      unsetDepartmentId();
  
            
      unsetStartInsertDate();
    unsetEndInsertDate();

            
      unsetStartUpdateDate();
    unsetEndUpdateDate();

                
      unsetOffer();
  
                  customReset();
  }
    
  @Override
  public String toString() {
    StringBuilder ret = new StringBuilder();
    ret.append("OfferCostSearch{");
          
  
          if( isNameSet() ){
          ret.append( "(name" );
          ret.append( "="+name );
          ret.append( ")" );
      }

    
            
  
          if( isCostSet() ){
          ret.append( "(cost" );
          ret.append( "="+cost );
          ret.append( ")" );
      }

    
            
  
          if( isIvaSet() ){
          ret.append( "(iva" );
          ret.append( "="+iva );
          ret.append( ")" );
      }

    
            
  
          if( isBillableSet() ){
          ret.append( "(billable" );
          ret.append( "="+billable );
          ret.append( ")" );
      }

    
            
  
          if( isOwnerIdSet() ){
          ret.append( "(ownerId" );
          ret.append( "="+ownerId );
          ret.append( ")" );
      }

    
            
  
          if( isDepartmentIdSet() ){
          ret.append( "(departmentId" );
          ret.append( "="+departmentId );
          ret.append( ")" );
      }

    
            
  
    if( isStartInsertDateSet() ){
        ret.append( "(startInsertDate" );
        ret.append( "="+startInsertDate );
        ret.append( ")" );
    }
    if( isEndInsertDateSet() ){
        ret.append( "(endInsertDate" );
        ret.append( "="+endInsertDate );
        ret.append( ")" );
    }

            
  
    if( isStartUpdateDateSet() ){
        ret.append( "(startUpdateDate" );
        ret.append( "="+startUpdateDate );
        ret.append( ")" );
    }
    if( isEndUpdateDateSet() ){
        ret.append( "(endUpdateDate" );
        ret.append( "="+endUpdateDate );
        ret.append( ")" );
    }

                
  
          if( isOfferSet() ){
          ret.append( "(offer" );
          ret.append( "="+offer );
          ret.append( ")" );
      }

    
                  customToString(ret);
    ret.append("}");
    return ret.toString();
  }

  // Getters and setters
      
  
    
    
    public boolean isNameSet(){
        return nameSet;
    }
    public String getName(){
        return name;
    }
    public void setName( String name ){
        this.name = name;
        this.nameSet = true;
    }
    public void unsetName(){
        this.nameSet = false;
    }
        
  
    
    
    public boolean isCostSet(){
        return costSet;
    }
    public BigDecimal getCost(){
        return cost;
    }
    public void setCost( BigDecimal cost ){
        this.cost = cost;
        this.costSet = true;
    }
    public void unsetCost(){
        this.costSet = false;
    }
        
  
    
    
    public boolean isIvaSet(){
        return ivaSet;
    }
    public BigDecimal getIva(){
        return iva;
    }
    public void setIva( BigDecimal iva ){
        this.iva = iva;
        this.ivaSet = true;
    }
    public void unsetIva(){
        this.ivaSet = false;
    }
        
  
    
    
    public boolean isBillableSet(){
        return billableSet;
    }
    public Boolean getBillable(){
        return billable;
    }
    public void setBillable( Boolean billable ){
        this.billable = billable;
        this.billableSet = true;
    }
    public void unsetBillable(){
        this.billableSet = false;
    }
        
  
    
    
    public boolean isOwnerIdSet(){
        return ownerIdSet;
    }
    public Integer getOwnerId(){
        return ownerId;
    }
    public void setOwnerId( Integer ownerId ){
        this.ownerId = ownerId;
        this.ownerIdSet = true;
    }
    public void unsetOwnerId(){
        this.ownerIdSet = false;
    }
        
  
    
    
    public boolean isDepartmentIdSet(){
        return departmentIdSet;
    }
    public Integer getDepartmentId(){
        return departmentId;
    }
    public void setDepartmentId( Integer departmentId ){
        this.departmentId = departmentId;
        this.departmentIdSet = true;
    }
    public void unsetDepartmentId(){
        this.departmentIdSet = false;
    }
        
  
    public boolean isStartInsertDateSet(){
        return startInsertDateSet;
    }
    public Date getStartInsertDate(){
        return startInsertDate;
    }
    public void setStartInsertDate( Date startInsertDate ){
        this.startInsertDate = startInsertDate;
        this.startInsertDateSet = true;
    }
    public void unsetStartInsertDate(){
        this.startInsertDateSet = false;
    }
    public boolean isEndInsertDateSet(){
        return endInsertDateSet;
    }
    public Date getEndInsertDate(){
        return endInsertDate;
    }
    public void setEndInsertDate( Date endInsertDate ){
        this.endInsertDate = endInsertDate;
        this.endInsertDateSet = true;
    }
    public void unsetEndInsertDate(){
        this.endInsertDateSet = false;
    }

        
  
    public boolean isStartUpdateDateSet(){
        return startUpdateDateSet;
    }
    public Date getStartUpdateDate(){
        return startUpdateDate;
    }
    public void setStartUpdateDate( Date startUpdateDate ){
        this.startUpdateDate = startUpdateDate;
        this.startUpdateDateSet = true;
    }
    public void unsetStartUpdateDate(){
        this.startUpdateDateSet = false;
    }
    public boolean isEndUpdateDateSet(){
        return endUpdateDateSet;
    }
    public Date getEndUpdateDate(){
        return endUpdateDate;
    }
    public void setEndUpdateDate( Date endUpdateDate ){
        this.endUpdateDate = endUpdateDate;
        this.endUpdateDateSet = true;
    }
    public void unsetEndUpdateDate(){
        this.endUpdateDateSet = false;
    }

          
  
    
    
    public boolean isOfferSet(){
        return offerSet;
    }
    public Offer getOffer(){
        return offer;
    }
    public void setOffer( Offer offer ){
        this.offer = offer;
        this.offerSet = true;
    }
    public void unsetOffer(){
        this.offerSet = false;
    }
        
  // Fields
      
      private boolean nameSet;
        private String name;

        
      private boolean costSet;
        private BigDecimal cost;

        
      private boolean ivaSet;
        private BigDecimal iva;

        
      private boolean billableSet;
        private Boolean billable;

        
      private boolean ownerIdSet;
        private Integer ownerId;

        
      private boolean departmentIdSet;
        private Integer departmentId;

        
      private boolean startInsertDateSet;
        private Date startInsertDate;
    private boolean endInsertDateSet;
        private Date endInsertDate;

        
      private boolean startUpdateDateSet;
        private Date startUpdateDate;
    private boolean endUpdateDateSet;
        private Date endUpdateDate;

          
      private boolean offerSet;
        private Offer offer;
  
        
  // Returns if there are a search condition active
  public boolean isSearchActive() {
    return customIsSearchActive()||nameSet||costSet||ivaSet||billableSet||ownerIdSet||departmentIdSet||startInsertDateSet||endInsertDateSet||startUpdateDateSet||endUpdateDateSet||offerSet;
  }

/* generated by stajanov (do not edit/delete) */

  private void customGetHQL(StringBuilder ret, int argNum) {
		// TODO Auto-generated method stub
		
	  }
  private boolean customIsSearchActive() {
		// TODO Auto-generated method stub
		return false;
	}
  private void customGetArguments(ArrayList<Object> ret) {
		// TODO Auto-generated method stub
		
	}
  private void customToString(StringBuilder ret) {
		// TODO Auto-generated method stub
		
	}
  private void customReset() {
		// TODO Auto-generated method stub
		
	}
}
