/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.dao.search;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import com.autentia.tnt.dao.SearchCriteria;

public class PositionSearch extends SearchCriteria {

	/* generated by stajanov (do not edit/delete) */

	@Override
	public String getHQL() {
		StringBuilder ret = new StringBuilder();
		int iArgNum = 0;

		if (isOwnerIdSet()) {
			ret.append((ret.length() == 0) ? "WHERE " : " AND ");
			if (getOwnerId() == null) {
				ret.append("ownerId is NULL");
			} else {
				ret.append("ownerId = :arg" + (iArgNum++));
			}
		}

		/*
		if (isDepartmentIdSet()) {
			ret.append((ret.length() == 0) ? "WHERE " : " AND ");
			if (getDepartmentId() == null) {
				ret.append("departmentId is NULL");
			} else {
				ret.append("departmentId = :arg" + (iArgNum++));
			}
		}
*/
	    if (isDepartmentIdSet()) {
	        ret.append( (ret.length()==0) ? "WHERE " : " AND " );
	        ret.append( "departments.id IN (:arg"+(iArgNum++)+")" );
	    }   
	    
		if (isNameSet()) {
			ret.append((ret.length() == 0) ? "WHERE " : " AND ");
			if (getName() == null) {
				ret.append("name is NULL");
			} else {
				ret.append("name = :arg" + (iArgNum++));
			}
		}

		if (isDescriptionSet()) {
			ret.append((ret.length() == 0) ? "WHERE " : " AND ");
			if (getDescription() == null) {
				ret.append("description is NULL");
			} else {
				ret.append("description = :arg" + (iArgNum++));
			}
		}

		if (isStartInsertDateSet()) {
			ret.append((ret.length() == 0) ? "WHERE " : " AND ");
			if (startInsertDate == null) {
				ret.append("insertDate=:arg" + (iArgNum++));
			} else {
				ret.append("insertDate>=:arg" + (iArgNum++));
			}
		}
		if (isEndInsertDateSet()) {
			ret.append((ret.length() == 0) ? "WHERE " : " AND ");
			if (endInsertDate == null) {
				ret.append("insertDate=:arg" + (iArgNum++));
			} else {
				ret.append("insertDate<=:arg" + (iArgNum++));
			}
		}

		if (isStartUpdateDateSet()) {
			ret.append((ret.length() == 0) ? "WHERE " : " AND ");
			if (startUpdateDate == null) {
				ret.append("updateDate=:arg" + (iArgNum++));
			} else {
				ret.append("updateDate>=:arg" + (iArgNum++));
			}
		}
		if (isEndUpdateDateSet()) {
			ret.append((ret.length() == 0) ? "WHERE " : " AND ");
			if (endUpdateDate == null) {
				ret.append("updateDate=:arg" + (iArgNum++));
			} else {
				ret.append("updateDate<=:arg" + (iArgNum++));
			}
		}

		if (isStartDeleteDateSet()) {
			ret.append((ret.length() == 0) ? "WHERE " : " AND ");
			if (startDeleteDate == null) {
				ret.append("deleteDate=:arg" + (iArgNum++));
			} else {
				ret.append("deleteDate>=:arg" + (iArgNum++));
			}
		}
		if (isEndDeleteDateSet()) {
			ret.append((ret.length() == 0) ? "WHERE " : " AND ");
			if (endDeleteDate == null) {
				ret.append("deleteDate=:arg" + (iArgNum++));
			} else {
				ret.append("deleteDate<=:arg" + (iArgNum++));
			}
		}

		if (isDeletedSet()) {
			ret.append((ret.length() == 0) ? "WHERE " : " AND ");
			if (getDeleted() == null) {
				ret.append("deleteDate is not NULL");
			} else {
				ret.append("deleteDate is NULL");
			}
			int argNumber = iArgNum++;
			ret.append(" AND :arg" + argNumber + " = :arg" + argNumber);
		}

		customGetHQL(ret, iArgNum);
		return ret.toString();
	}

	@Override
	public Object[] getArguments() {

		List<Object> ret = new ArrayList<Object>();

		if (isOwnerIdSet() && getOwnerId() != null) {
			ret.add(ownerId);
		}

		if (isDepartmentIdSet() && getDepartmentId() != null) {
			ret.add(departmentId);
		}

		if (isNameSet() && getName() != null) {
			ret.add(name);
		}

		if (isDescriptionSet() && getDescription() != null) {
			ret.add(description);
		}

		if (isStartInsertDateSet()) {
			ret.add(startInsertDate);
		}
		if (isEndInsertDateSet()) {
			ret.add(endInsertDate);
		}

		if (isStartUpdateDateSet()) {
			ret.add(startUpdateDate);
		}
		if (isEndUpdateDateSet()) {
			ret.add(endUpdateDate);
		}

		if (isStartDeleteDateSet()) {
			ret.add(startDeleteDate);
		}
		if (isEndDeleteDateSet()) {
			ret.add(endDeleteDate);
		}
		if (isDeletedSet() && getDeleted() != null) {
			ret.add(deleted);
		}

		customGetArguments(ret);
		return ret.toArray();
	}

	@Override
	public void reset() {

		unsetOwnerId();

		unsetDepartmentId();

		unsetName();

		unsetDescription();

		unsetStartInsertDate();
		unsetEndInsertDate();

		unsetStartUpdateDate();
		unsetEndUpdateDate();

		unsetStartDeleteDate();
		unsetEndDeleteDate();

		unsetDeleted();
		customReset();
	}

	@Override
	public String toString() {
		StringBuilder ret = new StringBuilder();
		ret.append("PositionSearch{");

		if (isOwnerIdSet()) {
			ret.append("(ownerId");
			ret.append("=" + ownerId);
			ret.append(")");
		}

		if (isDepartmentIdSet()) {
			ret.append("(departmentId");
			ret.append("=" + departmentId);
			ret.append(")");
		}

		if (isNameSet()) {
			ret.append("(name");
			ret.append("=" + name);
			ret.append(")");
		}

		if (isDescriptionSet()) {
			ret.append("(description");
			ret.append("=" + description);
			ret.append(")");
		}

		if (isStartInsertDateSet()) {
			ret.append("(startInsertDate");
			ret.append("=" + startInsertDate);
			ret.append(")");
		}
		if (isEndInsertDateSet()) {
			ret.append("(endInsertDate");
			ret.append("=" + endInsertDate);
			ret.append(")");
		}

		if (isStartUpdateDateSet()) {
			ret.append("(startUpdateDate");
			ret.append("=" + startUpdateDate);
			ret.append(")");
		}
		if (isEndUpdateDateSet()) {
			ret.append("(endUpdateDate");
			ret.append("=" + endUpdateDate);
			ret.append(")");
		}

		if (isStartDeleteDateSet()) {
			ret.append("(startDeleteDate");
			ret.append("=" + startDeleteDate);
			ret.append(")");
		}
		if (isEndDeleteDateSet()) {
			ret.append("(endDeleteDate");
			ret.append("=" + endDeleteDate);
			ret.append(")");
		}

		if (isDeletedSet()) {
			ret.append("(deleteDate is null)");
		}
		
		customToString(ret);
		ret.append("}");
		return ret.toString();
	}

	// Getters and setters

	public boolean isOwnerIdSet() {
		return ownerIdSet;
	}

	public Integer getOwnerId() {
		return ownerId;
	}

	public void setOwnerId(Integer ownerId) {
		this.ownerId = ownerId;
		this.ownerIdSet = true;
	}

	public void unsetOwnerId() {
		this.ownerIdSet = false;
	}

	public boolean isDepartmentIdSet() {
		return departmentIdSet;
	}

	public Integer getDepartmentId() {
		return departmentId;
	}

	public void setDepartmentId(Integer departmentId) {
		this.departmentId = departmentId;
		this.departmentIdSet = true;
	}

	public void unsetDepartmentId() {
		this.departmentIdSet = false;
	}

	public boolean isNameSet() {
		return nameSet;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
		this.nameSet = true;
	}

	public void unsetName() {
		this.nameSet = false;
	}

	public boolean isDescriptionSet() {
		return descriptionSet;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
		this.descriptionSet = true;
	}

	public void unsetDescription() {
		this.descriptionSet = false;
	}

	public boolean isStartInsertDateSet() {
		return startInsertDateSet;
	}

	public Date getStartInsertDate() {
		return startInsertDate;
	}

	public void setStartInsertDate(Date startInsertDate) {
		this.startInsertDate = startInsertDate;
		this.startInsertDateSet = true;
	}

	public void unsetStartInsertDate() {
		this.startInsertDateSet = false;
	}

	public boolean isEndInsertDateSet() {
		return endInsertDateSet;
	}

	public Date getEndInsertDate() {
		return endInsertDate;
	}

	public void setEndInsertDate(Date endInsertDate) {
		this.endInsertDate = endInsertDate;
		this.endInsertDateSet = true;
	}

	public void unsetEndInsertDate() {
		this.endInsertDateSet = false;
	}

	public boolean isStartUpdateDateSet() {
		return startUpdateDateSet;
	}

	public Date getStartUpdateDate() {
		return startUpdateDate;
	}

	public void setStartUpdateDate(Date startUpdateDate) {
		this.startUpdateDate = startUpdateDate;
		this.startUpdateDateSet = true;
	}

	public void unsetStartUpdateDate() {
		this.startUpdateDateSet = false;
	}

	public boolean isEndUpdateDateSet() {
		return endUpdateDateSet;
	}

	public Date getEndUpdateDate() {
		return endUpdateDate;
	}

	public void setEndUpdateDate(Date endUpdateDate) {
		this.endUpdateDate = endUpdateDate;
		this.endUpdateDateSet = true;
	}

	public void unsetEndUpdateDate() {
		this.endUpdateDateSet = false;
	}

	public boolean isStartDeleteDateSet() {
		return startDeleteDateSet;
	}

	public Date getStartDeleteDate() {
		return startDeleteDate;
	}

	public void setStartDeleteDate(Date startDeleteDate) {
		this.startDeleteDate = startDeleteDate;
		this.startDeleteDateSet = true;
	}

	public void unsetStartDeleteDate() {
		this.startDeleteDateSet = false;
	}

	public boolean isEndDeleteDateSet() {
		return endDeleteDateSet;
	}

	public Date getEndDeleteDate() {
		return endDeleteDate;
	}

	public void setEndDeleteDate(Date endDeleteDate) {
		this.endDeleteDate = endDeleteDate;
		this.endDeleteDateSet = true;
	}

	public void unsetEndDeleteDate() {
		this.endDeleteDateSet = false;
	}

	// Fields

	private boolean ownerIdSet;
	private Integer ownerId;

	private boolean departmentIdSet;
	private Integer departmentId;

	private boolean nameSet;
	private String name;

	private boolean descriptionSet;
	private String description;

	private boolean startInsertDateSet;
	private Date startInsertDate;
	private boolean endInsertDateSet;
	private Date endInsertDate;

	private boolean startUpdateDateSet;
	private Date startUpdateDate;
	private boolean endUpdateDateSet;
	private Date endUpdateDate;

	private boolean startDeleteDateSet;
	private Date startDeleteDate;
	private boolean endDeleteDateSet;
	private Date endDeleteDate;

	private boolean deletedSet;
	private java.lang.Boolean deleted;

	// Returns if there are a search condition active
	public boolean isSearchActive() {
		return customIsSearchActive() || ownerIdSet || departmentIdSet
				|| nameSet || descriptionSet || startInsertDateSet
				|| endInsertDateSet || startUpdateDateSet || endUpdateDateSet
				|| startDeleteDateSet || endDeleteDateSet || deletedSet;
	}

	private boolean customIsSearchActive() {
		// añadir codigo si fuera necesario
		return false;
	}

	private void customGetHQL(StringBuilder ret, int iArgNum) {
		// añadir codigo si fuera necesario
	}

	private void customGetArguments(List<Object> ret) {
		// añadir codigo si fuera necesario
	}

	private void customReset() {
		// añadir codigo si fuera necesario
	}

	private void customToString(StringBuilder ret) {
		// añadir codigo si fuera necesario
	}

	/* generated by stajanov (do not edit/delete) */
	public java.lang.Boolean getDeleted() {
		return deleted;
	}

	public boolean isDeletedSet() {
		return deletedSet;
	}

	public void setDeleted(java.lang.Boolean deleted) {
		this.deleted = deleted;
		this.deletedSet = true;
	}

	public void unsetDeleted() {
		this.deletedSet = false;
	}
}