/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */














package com.autentia.tnt.dao.search;

import java.util.*;
import java.math.*;

import org.hibernate.type.*;

import com.autentia.tnt.businessobject.*;
import com.autentia.tnt.dao.*;

/**
 * Class to search for RequestHoliday objects
 * @author stajanov code generator
 */
public class RequestHolidaySearch extends SearchCriteria 
{
/* generated by stajanov (do not edit/delete) */















  @Override
  public String getHQL() {
    StringBuilder ret = new StringBuilder();
    int iArgNum = 0;
            
    
      if( isStartBeginDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startBeginDate == null ){
        ret.append( "beginDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "beginDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndBeginDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endBeginDate == null ){
        ret.append( "beginDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "beginDate<=:arg"+(iArgNum++) );
      }
    }

              
    
      if( isStartFinalDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startFinalDate == null ){
        ret.append( "finalDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "finalDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndFinalDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endFinalDate == null ){
        ret.append( "finalDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "finalDate<=:arg"+(iArgNum++) );
      }
    }

              
    
  
        
    if( isStateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getState()==null ){
	ret.append( "state is NULL" );
      } else {
	ret.append( "state = :arg"+(iArgNum++) );
      }
    }

              
    
  
        
    if( isUserCommentSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getUserComment()==null ){
	ret.append( "userComment is NULL" );
      } else {
	ret.append( "userComment = :arg"+(iArgNum++) );
      }
    }

              
    
  
        
    if( isObservationsSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getObservations()==null ){
	ret.append( "observations is NULL" );
      } else {
	ret.append( "observations = :arg"+(iArgNum++) );
      }
    }

              
    
      if( isStartChargeYearSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startChargeYear == null ){
        ret.append( "chargeYear=:arg"+(iArgNum++) );
      } else {
        ret.append( "chargeYear>=:arg"+(iArgNum++) );
      }
    }
    if( isEndChargeYearSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endChargeYear == null ){
        ret.append( "chargeYear=:arg"+(iArgNum++) );
      } else {
        ret.append( "chargeYear<=:arg"+(iArgNum++) );
      }
    }

              
    
  
        
    if( isDepartmentIdSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getDepartmentId()==null ){
	ret.append( "departmentId is NULL" );
      } else {
	ret.append( "departmentId = :arg"+(iArgNum++) );
      }
    }

              
    
      if( isStartInsertDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startInsertDate == null ){
        ret.append( "insertDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "insertDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndInsertDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endInsertDate == null ){
        ret.append( "insertDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "insertDate<=:arg"+(iArgNum++) );
      }
    }

              
    
      if( isStartUpdateDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( startUpdateDate == null ){
        ret.append( "updateDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "updateDate>=:arg"+(iArgNum++) );
      }
    }
    if( isEndUpdateDateSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( endUpdateDate == null ){
        ret.append( "updateDate=:arg"+(iArgNum++) );
      } else {
        ret.append( "updateDate<=:arg"+(iArgNum++) );
      }
    }

                  
    
  
        
    if( isUserRequestSet() ){
      ret.append( (ret.length()==0) ? "WHERE " : " AND " );
      if( getUserRequest()==null ){
	ret.append( "userRequest is NULL" );
      } else {
	ret.append( "userRequest = :arg"+(iArgNum++) );
      }
    }

                  customGetHQL(ret,iArgNum);
    return ret.toString();
  }

  @Override
  public Object[] getArguments(){
    ArrayList<Object> ret = new ArrayList<Object>();
            
  
      if( isStartBeginDateSet() ){
        ret.add( startBeginDate );
    }
    if( isEndBeginDateSet() ){
        ret.add( endBeginDate );
    }

              
  
      if( isStartFinalDateSet() ){
        ret.add( startFinalDate );
    }
    if( isEndFinalDateSet() ){
        ret.add( endFinalDate );
    }

              
  
      if( isStateSet() && getState()!=null ){
        ret.add( state );
    }

              
  
      if( isUserCommentSet() && getUserComment()!=null ){
        ret.add( userComment );
    }

              
  
      if( isObservationsSet() && getObservations()!=null ){
        ret.add( observations );
    }

              
  
      if( isStartChargeYearSet() ){
        ret.add( startChargeYear );
    }
    if( isEndChargeYearSet() ){
        ret.add( endChargeYear );
    }

              
  
      if( isDepartmentIdSet() && getDepartmentId()!=null ){
        ret.add( departmentId );
    }

              
  
      if( isStartInsertDateSet() ){
        ret.add( startInsertDate );
    }
    if( isEndInsertDateSet() ){
        ret.add( endInsertDate );
    }

              
  
      if( isStartUpdateDateSet() ){
        ret.add( startUpdateDate );
    }
    if( isEndUpdateDateSet() ){
        ret.add( endUpdateDate );
    }

                  
  
      if( isUserRequestSet() && getUserRequest()!=null ){
        ret.add( userRequest );
    }

                  customGetArguments(ret);
    return ret.toArray();
  }

  @Override
  public void reset(){
            
  
      unsetStartBeginDate();
    unsetEndBeginDate();

              
  
      unsetStartFinalDate();
    unsetEndFinalDate();

              
  
      unsetState();
  
              
  
      unsetUserComment();
  
              
  
      unsetObservations();
  
              
  
      unsetStartChargeYear();
    unsetEndChargeYear();

              
  
      unsetDepartmentId();
  
              
  
      unsetStartInsertDate();
    unsetEndInsertDate();

              
  
      unsetStartUpdateDate();
    unsetEndUpdateDate();

                  
  
      unsetUserRequest();
  
                  customReset();
  }
    
  @Override
  public String toString() {
    StringBuilder ret = new StringBuilder();
    ret.append("RequestHolidaySearch{");
            
  
  
    if( isStartBeginDateSet() ){
        ret.append( "(startBeginDate" );
        ret.append( "="+startBeginDate );
        ret.append( ")" );
    }
    if( isEndBeginDateSet() ){
        ret.append( "(endBeginDate" );
        ret.append( "="+endBeginDate );
        ret.append( ")" );
    }

              
  
  
    if( isStartFinalDateSet() ){
        ret.append( "(startFinalDate" );
        ret.append( "="+startFinalDate );
        ret.append( ")" );
    }
    if( isEndFinalDateSet() ){
        ret.append( "(endFinalDate" );
        ret.append( "="+endFinalDate );
        ret.append( ")" );
    }

              
  
  
          if( isStateSet() ){
          ret.append( "(state" );
          ret.append( "="+state );
          ret.append( ")" );
      }

    
              
  
  
          if( isUserCommentSet() ){
          ret.append( "(userComment" );
          ret.append( "="+userComment );
          ret.append( ")" );
      }

    
              
  
  
          if( isObservationsSet() ){
          ret.append( "(observations" );
          ret.append( "="+observations );
          ret.append( ")" );
      }

    
              
  
  
    if( isStartChargeYearSet() ){
        ret.append( "(startChargeYear" );
        ret.append( "="+startChargeYear );
        ret.append( ")" );
    }
    if( isEndChargeYearSet() ){
        ret.append( "(endChargeYear" );
        ret.append( "="+endChargeYear );
        ret.append( ")" );
    }

              
  
  
          if( isDepartmentIdSet() ){
          ret.append( "(departmentId" );
          ret.append( "="+departmentId );
          ret.append( ")" );
      }

    
              
  
  
    if( isStartInsertDateSet() ){
        ret.append( "(startInsertDate" );
        ret.append( "="+startInsertDate );
        ret.append( ")" );
    }
    if( isEndInsertDateSet() ){
        ret.append( "(endInsertDate" );
        ret.append( "="+endInsertDate );
        ret.append( ")" );
    }

              
  
  
    if( isStartUpdateDateSet() ){
        ret.append( "(startUpdateDate" );
        ret.append( "="+startUpdateDate );
        ret.append( ")" );
    }
    if( isEndUpdateDateSet() ){
        ret.append( "(endUpdateDate" );
        ret.append( "="+endUpdateDate );
        ret.append( ")" );
    }

                  
  
  
          if( isUserRequestSet() ){
          ret.append( "(userRequest" );
          ret.append( "="+userRequest );
          ret.append( ")" );
      }

    
                  customToString(ret);
    ret.append("}");
    return ret.toString();
  }

  // Getters and setters
        
  
  
    public boolean isStartBeginDateSet(){
        return startBeginDateSet;
    }
    public Date getStartBeginDate(){
        return startBeginDate;
    }
    public void setStartBeginDate( Date startBeginDate ){
        this.startBeginDate = startBeginDate;
        this.startBeginDateSet = true;
    }
    public void unsetStartBeginDate(){
        this.startBeginDateSet = false;
    }
    public boolean isEndBeginDateSet(){
        return endBeginDateSet;
    }
    public Date getEndBeginDate(){
        return endBeginDate;
    }
    public void setEndBeginDate( Date endBeginDate ){
        this.endBeginDate = endBeginDate;
        this.endBeginDateSet = true;
    }
    public void unsetEndBeginDate(){
        this.endBeginDateSet = false;
    }

          
  
  
    public boolean isStartFinalDateSet(){
        return startFinalDateSet;
    }
    public Date getStartFinalDate(){
        return startFinalDate;
    }
    public void setStartFinalDate( Date startFinalDate ){
        this.startFinalDate = startFinalDate;
        this.startFinalDateSet = true;
    }
    public void unsetStartFinalDate(){
        this.startFinalDateSet = false;
    }
    public boolean isEndFinalDateSet(){
        return endFinalDateSet;
    }
    public Date getEndFinalDate(){
        return endFinalDate;
    }
    public void setEndFinalDate( Date endFinalDate ){
        this.endFinalDate = endFinalDate;
        this.endFinalDateSet = true;
    }
    public void unsetEndFinalDate(){
        this.endFinalDateSet = false;
    }

          
  
  
        
    
    public boolean isStateSet(){
        return stateSet;
    }
    public HolidayState getState(){
        return state;
    }
    public void setState( HolidayState state ){
        this.state = state;
        this.stateSet = true;
    }
    public void unsetState(){
        this.stateSet = false;
    }
          
  
  
    
    
    public boolean isUserCommentSet(){
        return userCommentSet;
    }
    public String getUserComment(){
        return userComment;
    }
    public void setUserComment( String userComment ){
        this.userComment = userComment;
        this.userCommentSet = true;
    }
    public void unsetUserComment(){
        this.userCommentSet = false;
    }
          
  
  
    
    
    public boolean isObservationsSet(){
        return observationsSet;
    }
    public String getObservations(){
        return observations;
    }
    public void setObservations( String observations ){
        this.observations = observations;
        this.observationsSet = true;
    }
    public void unsetObservations(){
        this.observationsSet = false;
    }
          
  
  
    public boolean isStartChargeYearSet(){
        return startChargeYearSet;
    }
    public Date getStartChargeYear(){
        return startChargeYear;
    }
    public void setStartChargeYear( Date startChargeYear ){
        this.startChargeYear = startChargeYear;
        this.startChargeYearSet = true;
    }
    public void unsetStartChargeYear(){
        this.startChargeYearSet = false;
    }
    public boolean isEndChargeYearSet(){
        return endChargeYearSet;
    }
    public Date getEndChargeYear(){
        return endChargeYear;
    }
    public void setEndChargeYear( Date endChargeYear ){
        this.endChargeYear = endChargeYear;
        this.endChargeYearSet = true;
    }
    public void unsetEndChargeYear(){
        this.endChargeYearSet = false;
    }

          
  
  
    
    
    public boolean isDepartmentIdSet(){
        return departmentIdSet;
    }
    public Integer getDepartmentId(){
        return departmentId;
    }
    public void setDepartmentId( Integer departmentId ){
        this.departmentId = departmentId;
        this.departmentIdSet = true;
    }
    public void unsetDepartmentId(){
        this.departmentIdSet = false;
    }
          
  
  
    public boolean isStartInsertDateSet(){
        return startInsertDateSet;
    }
    public Date getStartInsertDate(){
        return startInsertDate;
    }
    public void setStartInsertDate( Date startInsertDate ){
        this.startInsertDate = startInsertDate;
        this.startInsertDateSet = true;
    }
    public void unsetStartInsertDate(){
        this.startInsertDateSet = false;
    }
    public boolean isEndInsertDateSet(){
        return endInsertDateSet;
    }
    public Date getEndInsertDate(){
        return endInsertDate;
    }
    public void setEndInsertDate( Date endInsertDate ){
        this.endInsertDate = endInsertDate;
        this.endInsertDateSet = true;
    }
    public void unsetEndInsertDate(){
        this.endInsertDateSet = false;
    }

          
  
  
    public boolean isStartUpdateDateSet(){
        return startUpdateDateSet;
    }
    public Date getStartUpdateDate(){
        return startUpdateDate;
    }
    public void setStartUpdateDate( Date startUpdateDate ){
        this.startUpdateDate = startUpdateDate;
        this.startUpdateDateSet = true;
    }
    public void unsetStartUpdateDate(){
        this.startUpdateDateSet = false;
    }
    public boolean isEndUpdateDateSet(){
        return endUpdateDateSet;
    }
    public Date getEndUpdateDate(){
        return endUpdateDate;
    }
    public void setEndUpdateDate( Date endUpdateDate ){
        this.endUpdateDate = endUpdateDate;
        this.endUpdateDateSet = true;
    }
    public void unsetEndUpdateDate(){
        this.endUpdateDateSet = false;
    }

            
  
  
    
    
    public boolean isUserRequestSet(){
        return userRequestSet;
    }
    public User getUserRequest(){
        return userRequest;
    }
    public void setUserRequest( User userRequest ){
        this.userRequest = userRequest;
        this.userRequestSet = true;
    }
    public void unsetUserRequest(){
        this.userRequestSet = false;
    }
        
  // Fields
        
  
      private boolean startBeginDateSet;
        private Date startBeginDate;
    private boolean endBeginDateSet;
        private Date endBeginDate;

          
  
      private boolean startFinalDateSet;
        private Date startFinalDate;
    private boolean endFinalDateSet;
        private Date endFinalDate;

          
  
      private boolean stateSet;
        private HolidayState state;

          
  
      private boolean userCommentSet;
        private String userComment;

          
  
      private boolean observationsSet;
        private String observations;

          
  
      private boolean startChargeYearSet;
        private Date startChargeYear;
    private boolean endChargeYearSet;
        private Date endChargeYear;

          
  
      private boolean departmentIdSet;
        private Integer departmentId;

          
  
      private boolean startInsertDateSet;
        private Date startInsertDate;
    private boolean endInsertDateSet;
        private Date endInsertDate;

          
  
      private boolean startUpdateDateSet;
        private Date startUpdateDate;
    private boolean endUpdateDateSet;
        private Date endUpdateDate;

            
  
      private boolean userRequestSet;
        private User userRequest;
  
        
  // Returns if there are a search condition active
  public boolean isSearchActive() {
    return customIsSearchActive()||startBeginDateSet||endBeginDateSet||startFinalDateSet||endFinalDateSet||stateSet||userCommentSet||observationsSet||startChargeYearSet||endChargeYearSet||departmentIdSet||startInsertDateSet||endInsertDateSet||startUpdateDateSet||endUpdateDateSet||userRequestSet;
  }


/* generated by stajanov (do not edit/delete) */

	private void customGetHQL(StringBuilder ret, int iArgNum)
	{
	}

	private boolean customIsSearchActive()
	{
		return false;
	}

	private void customToString(StringBuilder ret)
	{
	}

	private void customReset()
	{
	}

	private void customGetArguments(ArrayList ret)
	{
	}
}
