/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.manager.admin;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.autentia.tnt.businessobject.ProjectCost;
import com.autentia.tnt.dao.SortCriteria;
import com.autentia.tnt.dao.hibernate.ProjectCostDAO;
import com.autentia.tnt.dao.search.ProjectCostSearch;
import com.autentia.tnt.util.SpringUtils;



public class ProjectCostManager 
{
/* generated by stajanov (do not edit/delete) */


  /** Logger */
  private static final Log log = LogFactory.getLog(ProjectCostManager.class);

  /** ProjectCost DAO **/
  private ProjectCostDAO projectCostDAO;

  /**
   * Get default ProjectCostManager as defined in Spring's configuration file.
   * @return the default singleton ProjectCostManager
   */
  public static ProjectCostManager getDefault()
  {
    return (ProjectCostManager)SpringUtils.getSpringBean("managerProjectCost");
  }

  /** 
   * Empty constructor needed by CGLIB (Spring AOP)
   */
  protected ProjectCostManager()
  {
  }
	
  /** 
   * Default constructor 
   * @deprecated do not construct managers alone: use Spring's declared beans
   */
  public ProjectCostManager( ProjectCostDAO projectCostDAO )
  {
    this.projectCostDAO = projectCostDAO;
  }

  /**
   * List projectCosts. 
   * @param search search filter to apply
   * @param sort sorting criteria
   * @return the list of all projectCosts sorted by requested criterion
   */
  public List<ProjectCost> getAllEntities(ProjectCostSearch search, SortCriteria sort){
    return projectCostDAO.search( search, sort );
  }
  
  /**
   * Get projectCost by primary key.
   * @return projectCost selected by id.
   */
  public ProjectCost getEntityById(int id){
    return projectCostDAO.getById(id);	    
  }
	
  /**
   * Insert projectCost. 
   */
  public void insertEntity(ProjectCost projectCost) {
    projectCostDAO.insert(projectCost);
  }
	 
  /**
   * Update projectCost. 
   */
  public void updateEntity(ProjectCost projectCost) {
    projectCostDAO.update(projectCost);
  }

  /**
   * Delete projectCost. 
   */
  public void deleteEntity(ProjectCost projectCost) {
    projectCostDAO.delete(projectCost);
  }
/* generated by stajanov (do not edit/delete) */
}
