/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.manager.billing;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.autentia.tnt.businessobject.BillBreakDown;
import com.autentia.tnt.dao.SortCriteria;
import com.autentia.tnt.dao.hibernate.BillBreakDownDAO;
import com.autentia.tnt.dao.search.BillBreakDownSearch;
import com.autentia.tnt.util.SpringUtils;




public class BillBreakDownManager 
{

/* generated by stajanov (do not edit/delete) */


  /** Logger */
  private static final Log log = LogFactory.getLog(BillBreakDownManager.class);

  /** BillBreakDown DAO **/
  private BillBreakDownDAO billBreakDownDAO;

  /**
   * Get default BillBreakDownManager as defined in Spring's configuration file.
   * @return the default singleton BillBreakDownManager
   */
  public static BillBreakDownManager getDefault()
  {
    return (BillBreakDownManager)SpringUtils.getSpringBean("managerBillBreakDown");
  }

  /** 
   * Empty constructor needed by CGLIB (Spring AOP)
   */
  protected BillBreakDownManager()
  {
  }
	
  /** 
   * Default constructor 
   * @deprecated do not construct managers alone: use Spring's declared beans
   */
  public BillBreakDownManager( BillBreakDownDAO billBreakDownDAO )
  {
    this.billBreakDownDAO = billBreakDownDAO;
  }

  /**
   * List billBreakDowns. 
   * @param search search filter to apply
   * @param sort sorting criteria
   * @return the list of all billBreakDowns sorted by requested criterion
   */
  public List<BillBreakDown> getAllEntities(BillBreakDownSearch search, SortCriteria sort){
    return billBreakDownDAO.search( search, sort );
  }
  
  /**
   * Get billBreakDown by primary key.
   * @return billBreakDown selected by id.
   */
  public BillBreakDown getEntityById(int id){
    return billBreakDownDAO.getById(id);	    
  }
	
  /**
   * Insert billBreakDown. 
   */
  public void insertEntity(BillBreakDown billBreakDown) {
    billBreakDownDAO.insert(billBreakDown);
  }
	 
  /**
   * Update billBreakDown. 
   */
  public void updateEntity(BillBreakDown billBreakDown) {
    billBreakDownDAO.update(billBreakDown);
  }

  /**
   * Delete billBreakDown. 
   */
  public void deleteEntity(BillBreakDown billBreakDown) {
    billBreakDownDAO.delete(billBreakDown);
  }
/* generated by stajanov (do not edit/delete) */
}
