/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.manager.billing;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.autentia.tnt.businessobject.FinancialRatio;
import com.autentia.tnt.dao.SortCriteria;
import com.autentia.tnt.dao.hibernate.FinancialRatioDAO;
import com.autentia.tnt.dao.search.FinancialRatioSearch;
import com.autentia.tnt.util.SpringUtils;



public class FinancialRatioManager {

/* FinancialRatio - generated by stajanov (do not edit/delete) */



  /** Logger */
  private static final Log log = LogFactory.getLog(FinancialRatioManager.class);

  /** FinancialRatio DAO **/
  private FinancialRatioDAO financialRatioDAO;

  /**
   * Get default FinancialRatioManager as defined in Spring's configuration file.
   * @return the default singleton FinancialRatioManager
   */
  public static FinancialRatioManager getDefault()
  {
    return (FinancialRatioManager)SpringUtils.getSpringBean("managerFinancialRatio");
  }

  /** 
   * Empty constructor needed by CGLIB (Spring AOP)
   */
  protected FinancialRatioManager()
  {
  }
	
  /** 
   * Default constructor 
   * @deprecated do not construct managers alone: use Spring's declared beans
   */
  public FinancialRatioManager( FinancialRatioDAO financialRatioDAO )
  {
    this.financialRatioDAO = financialRatioDAO;
  }

  /**
   * List financialRatios. 
   * @param search search filter to apply
   * @param sort sorting criteria
   * @return the list of all financialRatios sorted by requested criterion
   */
  public List<FinancialRatio> getAllEntities(FinancialRatioSearch search, SortCriteria sort){
    return financialRatioDAO.search( search, sort );
  }
  
  /**
   * Get financialRatio by primary key.
   * @return financialRatio selected by id.
   */
  public FinancialRatio getEntityById(int id){
    return financialRatioDAO.getById(id);	    
  }
	
  /**
   * Insert financialRatio. 
   */
  public void insertEntity(FinancialRatio financialRatio) {
    financialRatioDAO.insert(financialRatio);
  }
	 
  /**
   * Update financialRatio. 
   */
  public void updateEntity(FinancialRatio financialRatio) {
    financialRatioDAO.update(financialRatio);
  }

  /**
   * Delete financialRatio. 
   */
  public void deleteEntity(FinancialRatio financialRatio) {
    financialRatioDAO.delete(financialRatio);
  }

/* FinancialRatio - generated by stajanov (do not edit/delete) */
}
