/**
 * TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
 * Copyright (C) 2007 Autentia Real Bussiness Solution S.L.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.autentia.tnt.manager.publish;

import java.util.List;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.autentia.tnt.businessobject.Tutorial;
import com.autentia.tnt.businessobject.User;
import com.autentia.tnt.dao.SortCriteria;
import com.autentia.tnt.dao.hibernate.TutorialDAO;
import com.autentia.tnt.dao.hibernate.UserDAO;
import com.autentia.tnt.dao.search.TutorialSearch;
import com.autentia.tnt.util.SpringUtils;




public class TutorialManager {


/* Tutorial - generated by stajanov (do not edit/delete) */



  /** Logger */
  private static final Log log = LogFactory.getLog(TutorialManager.class);

  /** Tutorial DAO **/
  private TutorialDAO tutorialDAO;

  /**
   * Get default TutorialManager as defined in Spring's configuration file.
   * @return the default singleton TutorialManager
   */
  public static TutorialManager getDefault()
  {
    return (TutorialManager)SpringUtils.getSpringBean("managerTutorial");
  }

  /** 
   * Empty constructor needed by CGLIB (Spring AOP)
   */
  protected TutorialManager()
  {
  }
	
  /** 
   * Default constructor 
   * @deprecated do not construct managers alone: use Spring's declared beans
   */
  public TutorialManager( TutorialDAO tutorialDAO )
  {
    this.tutorialDAO = tutorialDAO;
  }

  /**
   * List tutorials. 
   * @param search search filter to apply
   * @param sort sorting criteria
   * @return the list of all tutorials sorted by requested criterion
   */
  public List<Tutorial> getAllEntities(TutorialSearch search, SortCriteria sort){
    return tutorialDAO.search( search, sort );
  }
  
  /**
   * Get tutorial by primary key.
   * @return tutorial selected by id.
   */
  public Tutorial getEntityById(int id){
    return tutorialDAO.getById(id);	    
  }
	
  /**
   * Insert tutorial. 
   */
  public void insertEntity(Tutorial tutorial) {
    tutorialDAO.insert(tutorial);
  }
	 
  /**
   * Update tutorial. 
   */
  public void updateEntity(Tutorial tutorial) {
    tutorialDAO.update(tutorial);
  }

  /**
   * Delete tutorial. 
   */
  public void deleteEntity(Tutorial tutorial) {
    tutorialDAO.delete(tutorial);
  }

/* Tutorial - generated by stajanov (do not edit/delete) */

	
}
