<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>

    <!-- accountEntrys.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="accountEntrys" msg="${msg}"/> 
    
    <f:view>
      <%@include file="/inc/header.jsp" %>
      <h:form id="accountEntrys">        
        <%-- Header --%>
        <i:titleBar msg="${msg}">         
          <h:commandLink title="#{msg.entityActions_search}" action="#{accountEntryBean.search}">
            <h:graphicImage rendered="#{ accountEntryBean.search.searchActive}" title="#{msg.entityActions_filtered}"  value="/img/search_applied.gif" styleClass="titleImg" />
            <h:graphicImage rendered="#{!accountEntryBean.search.searchActive}" title="#{msg.entityActions_search}"    value="/img/search.gif"         styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{accountEntryBean.reset}">
            <h:graphicImage rendered="#{accountEntryBean.search.searchActive}" title="#{msg.entityActions_reset}"  value="/img/eraser.png" styleClass="titleImg" />           
          </h:commandLink>
          <h:commandLink action="#{accountEntryBean.create}" rendered="#{accountEntryBean.createAvailable}">
            <h:graphicImage title="#{msg.entityActions_create}"  value="/img/new.gif" styleClass="titleImg" />
          </h:commandLink>
          <h:selectOneMenu id="fiscalYear" title="#{msg['accountEntry.changeyear']}" value="#{accountEntryBean.year}" onchange="submit();">
             <f:selectItems value="#{accountEntryBean.years}" />            
          </h:selectOneMenu>          
           <h:selectOneMenu id="allAccounts" title="#{msg['accountEntry.accountSelected']}" value="#{accountEntryBean.accountSelected}" onchange="submit();">
             <f:selectItems value="#{accountEntryBean.allAccounts}" /> 
           </h:selectOneMenu>
                
           <h:commandLink action="#" title="#{msg['accountEntry.import']}" onclick="alert('la funcionalidad de importacion de asientos de ficheros norma 43 esta aun en desarrollo');return false;">
            <h:graphicImage value="/img/n43.gif" styleClass="titleImg" />
          </h:commandLink>       
        </i:titleBar>
        
        
        <%-- ABC quick pager --%>
          <div class="abcPager">
            <h:outputText value="#{msg['abcPager.title']}" styleClass="abcPagerTitle"/>
            <a:abcPager styleClass="abcPagerLetter" selectedStyleClass="abcPagerSelectedLetter" 
                        value="#{accountEntryBean.letter}" action="#{accountEntryBean.letterClicked}"
                        allowUnselect="true" unselectImage="/img/no_funnel.png"/>
          </div>
       
          
       
        
        <%-- List of accountEntrys --%>
        <t:dataTable id="list" var="accountEntry" value="#{accountEntryBean.all}" preserveDataModel="false" 
            cellpadding="0" cellspacing="0" styleClass="listTable" 
            headerClass="listHeaderCell" footerClass="listFooter" 
            rows="#{settingBean.mySettings.listSize}" rowClasses="listRowO,listRowE"
            columnClasses="listCmdCell,listAccountEntryAccount,listAccountEntryConcept,listAccountEntryType,listAccountEntryDate,listAccountEntryAmountDate,listAccountEntryAmount,listAccountEntryAmountAccountNow"
            sortColumn="#{accountEntryBean.sortColumn}" sortAscending="#{accountEntryBean.sortAscending}">
          
          
          <%-- Commands --%>
          <h:column>
            <f:facet name="header">
              <f:verbatim>-</f:verbatim>
            </f:facet>
            <t:commandLink action="#{accountEntryBean.detail}" immediate="true">
              <f:param name="rowid" value="#{accountEntry.id}" />
              <h:graphicImage title="#{msg.entityActions_detail}"  value="/img/detail.gif" styleClass="cmdImg" />
            </t:commandLink>
            <f:verbatim>&nbsp;</f:verbatim>
            <t:commandLink action="#{periodicalAccountEntryBean.copy}" immediate="true">
              <f:param name="rowid" value="#{accountEntry.id}" />
              <h:graphicImage title="#{msg['accountEntry.copytoperiodical']}" value="/img/calendar_on.gif" styleClass="cmdImg" />
            </t:commandLink>
          </h:column>

          <%-- Ignored field: id --%>
		<%-- Field: account --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="account">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['accountEntry.account']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Referenced field --%>
            <h:outputText value="#{accountEntry.account.name}" />
          </h:column>
			<%-- Field: concept --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="concept">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['accountEntry.concept']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- String field --%>
            <h:outputText value="#{accountEntry.concept}" />
          </h:column>
          <%-- Field: type --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="type.name">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['accountEntry.type']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Referenced field --%>
            <h:outputText value="#{accountEntry.type.name}" />
          </h:column>
          <%-- Field: date --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="date">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['accountEntry.date']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Date field --%>
            <h:outputText value="#{accountEntry.date}" converter="autentia.dateConverter"/>
          </h:column>

          <%-- Field: amountDate --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="amountDate">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['accountEntry.amountDate']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Date field --%>
            <h:outputText value="#{accountEntry.amountDate}" converter="autentia.dateConverter"/>
          </h:column>
			
          

          <%-- Field: amount --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="amount">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['accountEntry.amount']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- String field --%>
            <h:outputText value="#{accountEntry.amount}" styleClass="#{accountEntry.amount<0?'r':'b'}"/>
          </h:column>
			
		
		  <%-- Field: amount --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="amount">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['accountEntry.amountAccountNow']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- String field --%>
            <h:outputText value="#{accountEntry.amountAccountNow}" styleClass="#{accountEntry.amountAccountNow<0?'r':'b'}"/>
          </h:column>
		
          <%-- Ignored field: observations --%>        
		
		
		 <%-- Field: entryNumber --%>
    <h:column>
      <f:facet name="header">
        <t:commandSortHeader styleClass="listHeader" columnName="entryNumber">
          <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['accountEntry.entryNumber']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{accountEntryBean.detail}" immediate="true">
	<f:param name="rowid" value="#{accountEntry.id}" />
		  <%-- String field --%>
	  <h:outputText value="#{accountEntry.entryNumber}" />
	      </t:commandLink>

    </h:column>
  

      <%-- Field: docNumber --%>
    <h:column>
      <f:facet name="header">
        <t:commandSortHeader styleClass="listHeader" columnName="docNumber">
          <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['accountEntry.docNumber']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{accountEntryBean.detail}" immediate="true">
	<f:param name="rowid" value="#{accountEntry.id}" />
		  <%-- String field --%>
	  <h:outputText value="#{accountEntry.docNumber}" />
	      </t:commandLink>

    </h:column>
		 
        </t:dataTable>      
       
        <%-- Paginator control --%>
        
        <t:panelGrid styleClass="listTable" columnClasses="listHeader">
        	<h:outputText value="#{msg['bill.footAmountAccountNow']}"/>
        	<h:panelGroup>
		       	<f:verbatim>${msg['accountEntry.costs']}:</f:verbatim>	       	
		       	<h:outputText value="#{accountEntryBean.costs}" styleClass="#{accountEntryBean.costs<0?'r':'b'}"/>
		       	<f:verbatim>&nbsp; ${msg['accountEntry.incomes']}:</f:verbatim>    	
		       	<h:outputText value="#{accountEntryBean.incomes}" styleClass="#{accountEntryBean.incomes<0?'r':'b'}"/>
		       	<f:verbatim>&nbsp;${msg['accountEntry.total']}:</f:verbatim>
		       	<h:outputText value="#{accountEntryBean.total}" styleClass="#{accountEntryBean.total<0?'r':'b'}"/>
		       	<f:verbatim>&nbsp;&nbsp;&nbsp;</f:verbatim>		       	
            </h:panelGroup>
            <h:panelGroup>
		       	<f:verbatim>${msg['accountEntry.costsType']}:</f:verbatim>	       	
		       	<h:outputText value="#{accountEntryBean.costsType}" styleClass="#{accountEntryBean.costsType<0?'r':'b'}"/>
		       	<f:verbatim>&nbsp; ${msg['accountEntry.incomesType']}:</f:verbatim>    	
		       	<h:outputText value="#{accountEntryBean.incomesType}" styleClass="#{accountEntryBean.incomesType<0?'r':'b'}"/>
		       	<f:verbatim>&nbsp;${msg['accountEntry.totalType']}:</f:verbatim>
		       	<h:outputText value="#{accountEntryBean.totalType}" styleClass="#{accountEntryBean.totalType<0?'r':'b'}"/>
		       	<f:verbatim>&nbsp;&nbsp;&nbsp;</f:verbatim>
		       	<h:selectBooleanCheckbox title="#{msg['accountEntry.hideInitialEntry']}" onchange="submit();" id="hideInitialEntry" value="#{accountEntryBean.hideInitialEntry}"></h:selectBooleanCheckbox>
	            <h:outputLabel  for="hideInitialEntry" value="#{msg['accountEntry.hideInitialEntry']}"></h:outputLabel>
            </h:panelGroup>
        </t:panelGrid>
        
        <%@include file="/inc/paginator.jsp" %>
      </h:form>
    </f:view>
    
  </body>
</html>  		

