<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>
    
    <!-- editAccountEntry.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="editAccountEntry" msg="${msg}"/> 
    
    <f:view>
        <%@include file="/inc/header.jsp" %>
      <h:form id="accountEntry" enctype="multipart/form-data">
        
        <%-- Header --%>
        <i:titleBar name="${accountEntryBean.concept}" msg="${msg}">
          <h:commandLink action="#{accountEntryBean.save}" onclick="if(!askSave('#{accountEntryBean.id}','#{msg['question.confirmSave']}')) return false;">
            <h:graphicImage title="#{msg.entityActions_save}" value="/img/save.gif" styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{accountEntryBean.delete}" onclick="if( !confirm('#{msg['question.confirmDelete']}') ) return false;">
            <h:graphicImage title="#{msg.entityActions_delete}" value="/img/delete.gif" styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{accountEntryBean.list}" immediate="true">
            <h:graphicImage title="#{msg.entityActions_back}" value="/img/back.gif" styleClass="titleImg" />
          </h:commandLink>
          <t:commandLink rendered="#{accountEntryBean.canCopy}" action="#{periodicalAccountEntryBean.copy}" immediate="true">
              <f:param name="rowid" value="#{accountEntryBean.id}" />
              <h:graphicImage title="#{msg['accountEntry.copytoperiodical']}" value="/img/calendar_on.gif" styleClass="cmdImg" />
          </t:commandLink>
        </i:titleBar>
        
        <%-- Edition form --%>
        <table class="editTable" cellpadding="0" cellspacing="0">

          <%-- Ignored field: id --%>
		<%-- Field: account --%>
          <tr>
            <td class="editLabelRW">*${msg['accountEntry.account']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="account" />
                <h:selectOneMenu id="account" value="#{accountEntryBean.account}" required="true" styleClass="requiredFieldClass">
                  <f:selectItems value="#{accountEntryBean.accounts}" />
                  <f:converter converterId="autentia.EntityConverter"/>
                </h:selectOneMenu>
              </h:panelGroup>
            </td>
          </tr>
          
          <%-- Field: concept --%>
          <tr>
            <td class="editLabelRW">*${msg['accountEntry.concept']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="concept" />
                <h:inputText size="100" maxlength="1024" id="concept" value="#{accountEntryBean.concept}" required="true" styleClass="requiredFieldClass"/>
              </h:panelGroup>
            </td>
          </tr>
          <%-- Field: type --%>
          <tr>
            <td class="editLabelRW">*${msg['accountEntry.type']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="type" />
                <h:selectOneMenu id="type"  immediate="true" value="#{accountEntryBean.type}" required="true" styleClass="requiredFieldClass" 
                	valueChangeListener="#{accountEntryBean.valueTypeChanged}" 
                	onchange="submit()">
                  <f:selectItems  value="#{accountEntryBean.types}" />
                  <f:converter converterId="autentia.EntityConverter"/>
                </h:selectOneMenu>
              </h:panelGroup>
            </td>
          </tr>
          <%-- Field: date --%>
          <tr>
            <td class="editLabelRW">*${msg['accountEntry.date']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="date" />
                <t:inputCalendar id="date" value="#{accountEntryBean.date}" required="true" styleClass="requiredFieldClass"
                                 renderAsPopup="true" popupDateFormat="d/MM/yyyy" renderPopupButtonAsImage="true" 
                                 popupTodayString="#{msg['calendar.today']}" popupWeekString="#{msg['calendar.week']}"
	                             >
					<f:validator validatorId="autentia.dateValidator"/>
				</t:inputCalendar>
              </h:panelGroup>
            </td>
          </tr>

          <%-- Field: amountDate --%>
          <tr>
            <td class="editLabelRW">*${msg['accountEntry.amountDate']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="amountDate" />
                <t:inputCalendar id="amountDate" value="#{accountEntryBean.amountDate}" required="true" styleClass="requiredFieldClass"
                                 renderAsPopup="true" popupDateFormat="d/MM/yyyy" renderPopupButtonAsImage="true" 
                                 popupTodayString="#{msg['calendar.today']}" popupWeekString="#{msg['calendar.week']}"
	                             >
					<f:validator validatorId="autentia.dateValidator"/>
				</t:inputCalendar>
              </h:panelGroup>
            </td>
          </tr>
		 

          <%-- Field: amount --%>
          <tr>
            <td class="editLabelRW">*${msg['accountEntry.amount']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="amount" />
                <h:inputText id="amount" maxlength="11" value="#{accountEntryBean.amount}" required="true" styleClass="requiredFieldClass" size="10" >
                	<f:validator validatorId="autentia.accountEntryValidator" />
                </h:inputText>                
              </h:panelGroup>
            </td>
          </tr>
          
			
		   <%-- Field: entryNumber --%>
    <tr>
    	    		<td class="editLabelRW">${msg['accountEntry.entryNumber']}:</td>
    	      
      <td class="editFieldCell">

                  <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="entryNumber" />
                		<h:inputText id="entryNumber" value="#{accountEntryBean.entryNumber}" maxlength="16" required="false" styleClass="requiredFieldClass"/>
    	              </h:panelGroup>

              </td>
    </tr>
                                  
    
      <%-- Field: docNumber --%>
    <tr>
    	    		<td class="editLabelRW">${msg['accountEntry.docNumber']}:</td>
    	      
      <td class="editFieldCell">

                  <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="docNumber" />
                		<h:inputText id="docNumber" value="#{accountEntryBean.docNumber}" maxlength="50" required="false" styleClass="requiredFieldClass"/>
    	              </h:panelGroup>

              </td>
    </tr>	
		
          <%-- Field: observations --%>
          <tr>
            <td class="editLabelRW">${msg['accountEntry.observations']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="observations" />
                <h:inputTextarea id="observations" value="#{accountEntryBean.observations}" rows="5" cols="68"/> 
              </h:panelGroup>
            </td>
          </tr>
       
			

        </table>
        
      </h:form>
    </f:view>
    
  </body>
</html>  		

