<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>
    
    <!-- editPeriodicalAccountEntry.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="editPeriodicalAccountEntry" msg="${msg}"/> 
    
    <f:view>
        <%@include file="/inc/header.jsp" %>
      <h:form id="periodicalAccountEntry" enctype="multipart/form-data">
        
        <%-- Header --%>
        <i:titleBar name="${periodicalAccountEntryBean.concept}" msg="${msg}">
          <h:commandLink action="#{periodicalAccountEntryBean.save}" onclick="if(!askSave('#{periodicalAccountEntryBean.id}','#{msg['question.confirmSave']}')) return false;">
            <h:graphicImage title="#{msg.entityActions_save}"  value="/img/save.gif" styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{periodicalAccountEntryBean.delete}" onclick="if( !confirm('#{msg['question.confirmDelete']}') ) return false;">
            <h:graphicImage title="#{msg.entityActions_delete}"  value="/img/delete.gif" styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{periodicalAccountEntryBean.list}" immediate="true">
            <h:graphicImage title="#{msg.entityActions_back}"  value="/img/back.gif" styleClass="titleImg" />
          </h:commandLink>
        </i:titleBar>        
        <%-- Edition form --%>
        <table class="editTable" cellpadding="0" cellspacing="0">

          <%-- Ignored field: id --%>
			
			<%-- Field: account --%>
          <tr>
            <td class="editLabelRW">*${msg['periodicalAccountEntry.account']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="account" />
                <h:selectOneMenu id="account" value="#{periodicalAccountEntryBean.account}" required="true" styleClass="requiredFieldClass">
                  <f:selectItems value="#{periodicalAccountEntryBean.accounts}" />
                  <f:converter converterId="autentia.EntityConverter"/>
                </h:selectOneMenu>
              </h:panelGroup>
            </td>
          </tr>
          
          <%-- Field: organization --%>
          <tr>
            <td class="editLabelRW">${msg['periodicalAccountEntry.organization']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="organization" />
                <h:selectOneMenu id="organization" value="#{periodicalAccountEntryBean.selectedOrganization}" immediate="true" onchange="submit()" valueChangeListener="#{periodicalAccountEntryBean.onSelectedOrganizationChanged}">
                  <f:selectItems value="#{periodicalAccountEntryBean.organizations}" />
                  <f:converter converterId="autentia.EntityConverter"/>
                </h:selectOneMenu>
              </h:panelGroup>
            </td>
          </tr>
                    
		  <%-- Field: concept --%>
          <tr>
            <td class="editLabelRW">*${msg['periodicalAccountEntry.concept']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="concept" />
                <h:inputText id="concept" maxlength="1024" value="#{periodicalAccountEntryBean.concept}" required="true" styleClass="requiredFieldClass" size="100"/>
              </h:panelGroup>
            </td>
          </tr>
          <%-- Field: type --%>
          <tr>
            <td class="editLabelRW">*${msg['periodicalAccountEntry.type']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="type" />
                <h:selectOneMenu id="type" immediate="true" value="#{periodicalAccountEntryBean.type}" required="true" styleClass="requiredFieldClass"
	                valueChangeListener="#{periodicalAccountEntryBean.valueTypeChanged}" onchange="submit()">
                  <f:selectItems value="#{periodicalAccountEntryBean.types}" />
                  <f:converter converterId="autentia.EntityConverter"/>
                </h:selectOneMenu>
              </h:panelGroup>
            </td>
          </tr>

          <%-- Field: frequency --%>
          <tr>
            <td class="editLabelRW">*${msg['periodicalAccountEntry.frequency']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="frequency" />
                <h:selectOneMenu id="frequency" value="#{periodicalAccountEntryBean.frequency}" required="true" styleClass="requiredFieldClass">
                  <f:selectItems value="#{periodicalAccountEntryBean.frequencys}" />
                  <f:converter converterId="autentia.EntityConverter"/>
                </h:selectOneMenu>
              </h:panelGroup>
            </td>
          </tr>
         

          <%-- Field: date --%>
          <tr>
            <td class="editLabelRW">*${msg['periodicalAccountEntry.date']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="date" />
                <t:inputCalendar id="date" value="#{periodicalAccountEntryBean.date}"
                				required="true" styleClass="requiredFieldClass"
                                 renderAsPopup="true" popupDateFormat="d/MM/yyyy" renderPopupButtonAsImage="true" 
                                 popupTodayString="#{msg['calendar.today']}" popupWeekString="#{msg['calendar.week']}"
	                             >
					<f:validator validatorId="autentia.dateValidator"/>
				</t:inputCalendar>
              </h:panelGroup>
            </td>
          </tr>

          <%-- Field: amount --%>
          <tr>
            <td class="editLabelRW">*${msg['periodicalAccountEntry.amount']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="amount" />
                <h:inputText id="amount" value="#{periodicalAccountEntryBean.amount}" maxlength="11" size="10" required="true" styleClass="requiredFieldClass">
                	<f:validator validatorId="autentia.periodicalAccountEntryValidator" />
                </h:inputText>
              </h:panelGroup>
            </td>
          </tr>

          <%-- Field: rise --%>
          <tr>
            <td class="editLabelRW">${msg['periodicalAccountEntry.rise']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="rise" />
                <h:inputText id="rise" maxlength="5" value="#{periodicalAccountEntryBean.rise}" size="10" />
              </h:panelGroup>
            </td>
          </tr>

          <%-- Field: observations --%>
          <tr>
            <td class="editLabelRW">${msg['periodicalAccountEntry.observations']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="observations" />
                <h:inputTextarea id="observations" value="#{periodicalAccountEntryBean.observations}" rows="5" cols="68"/> 
              </h:panelGroup>
            </td>
          </tr>

        </table>
        
      </h:form>
    </f:view>
    
  </body>
</html>  		

