<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>

    <!-- periodicalAccountEntrys.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="periodicalAccountEntrys" msg="${msg}"/> 
    
    <f:view>
      <%@include file="/inc/header.jsp" %>
      <h:form id="periodicalAccountEntrys">
        
        <%-- Header --%>
        <i:titleBar msg="${msg}">
          <h:commandLink action="#{periodicalAccountEntryBean.search}">
            <h:graphicImage rendered="#{ periodicalAccountEntryBean.search.searchActive}" title="#{msg.entityActions_filtered}"  value="/img/search_applied.gif" styleClass="titleImg" />
            <h:graphicImage rendered="#{!periodicalAccountEntryBean.search.searchActive}" title="#{msg.entityActions_search}"    value="/img/search.gif"         styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{periodicalAccountEntryBean.reset}">
            <h:graphicImage rendered="#{periodicalAccountEntryBean.search.searchActive}" title="#{msg.entityActions_reset}"  value="/img/eraser.png" styleClass="titleImg" />           
          </h:commandLink>
          <h:commandLink action="#{periodicalAccountEntryBean.create}" rendered="#{periodicalAccountEntryBean.createAvailable}">
            <h:graphicImage title="#{msg.entityActions_create}"  value="/img/new.gif" styleClass="titleImg" />
          </h:commandLink>
          <h:selectOneMenu id="allAccounts" title="#{msg['accountEntry.accountSelected']}" value="#{periodicalAccountEntryBean.accountSelected}" onchange="submit();">
             <f:selectItems value="#{periodicalAccountEntryBean.allAccounts}" /> 
           </h:selectOneMenu>
        </i:titleBar>
        
        <%-- ABC quick pager --%>
          <div class="abcPager">
            <h:outputText value="#{msg['abcPager.title']}" styleClass="abcPagerTitle"/>
            <a:abcPager styleClass="abcPagerLetter" selectedStyleClass="abcPagerSelectedLetter" 
                        value="#{periodicalAccountEntryBean.letter}" action="#{periodicalAccountEntryBean.letterClicked}"
                        allowUnselect="true" unselectImage="/img/no_funnel.png"/>
          </div>
        
        <%-- List of periodicalAccountEntrys --%>
        <t:dataTable id="list" var="periodicalAccountEntry" value="#{periodicalAccountEntryBean.all}" preserveDataModel="false" 
            cellpadding="0" cellspacing="0" styleClass="listTable" 
            headerClass="listHeaderCell" footerClass="listFooter" 
            rows="#{settingBean.mySettings.listSize}" rowClasses="listRowO,listRowE"
            columnClasses="listCmdCell,listPeriodicalAccountEntryAccount,listPeriodicalAccountEntryConcept,listPeriodicalAccountEntryType,listPeriodicalAccountEntryDate,listPeriodicalAccountEntryFrequency,listPeriodicalAccountEntryAmount"
            sortColumn="#{periodicalAccountEntryBean.sortColumn}" sortAscending="#{periodicalAccountEntryBean.sortAscending}">
          
          <%-- Commands --%>
          <h:column>
            <f:facet name="header">
              <f:verbatim>-</f:verbatim>
            </f:facet>
            <t:commandLink action="#{periodicalAccountEntryBean.detail}" immediate="true">
              <f:param name="rowid" value="#{periodicalAccountEntry.id}" />
              <h:graphicImage title="#{msg.entityActions_detail}"  value="/img/detail.gif" styleClass="cmdImg" />
            </t:commandLink>
          </h:column>

          <%-- Ignored field: id --%>
			<%-- Field: account --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="account.name">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['periodicalAccountEntry.account']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Referenced field --%>
            <h:outputText value="#{periodicalAccountEntry.account.name}" />
          </h:column>
          
          <%-- Field: concept --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="concept">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['periodicalAccountEntry.concept']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- String field --%>
            <h:outputText value="#{periodicalAccountEntry.concept}" />
          </h:column>
			 <%-- Field: type --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="type.name">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['periodicalAccountEntry.type']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Referenced field --%>
            <h:outputText value="#{periodicalAccountEntry.type.name}" />
          </h:column>
		<%-- Field: date --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="date">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['periodicalAccountEntry.date']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Date field --%>
            <h:outputText value="#{periodicalAccountEntry.date}" converter="autentia.dateConverter"/>
          </h:column>
          <%-- Field: frequency --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="frequency.name">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['periodicalAccountEntry.frequency']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Referenced field --%>
            <h:outputText value="#{periodicalAccountEntry.frequency.name}" />
          </h:column>
          

          <%-- Field: amount --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="amount">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['periodicalAccountEntry.amount']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- String field --%>
            <h:outputText value="#{periodicalAccountEntry.amount}" styleClass="#{periodicalAccountEntry.amount<0?'r':'b'}"/>
          </h:column>

          <%-- Ignored field: rise --%>

          <%-- Ignored field: observations --%>

          

         

        </t:dataTable>
          
        <%-- Paginator control --%>
        <%@include file="/inc/paginator.jsp" %>
        
      </h:form>
    </f:view>
    
  </body>
</html>  		

