<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>
    
    <!-- searchAccountEntry.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="searchAccountEntry" msg="${msg}"/> 
    
    <f:view>
        <%@include file="/inc/header.jsp" %>
      <h:form id="search" enctype="multipart/form-data">
        
        <%-- Header --%>
        <i:titleBar msg="${msg}">
          <h:commandLink action="#{accountEntryBean.list}">
            <h:graphicImage title="#{msg.entityActions_run}" value="/img/run.png" styleClass="titleImg" />
          </h:commandLink>
        </i:titleBar>
        
        <%-- Search form --%>
        <table class="searchTable" cellpadding="0" cellspacing="0">

          <%-- Ignored field: id --%>

          <%-- Field: date --%>
          <tr>
            <td class="searchLabel">${msg['accountEntry.date']}:</td>
            <td class="searchFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="startDate" />
                <h:selectBooleanCheckbox id="startDateValid" value="#{accountEntryBean.searchStartDateValid}" 
                                          onclick="setEnabled('search:startDate',this.checked)"/>
                <t:inputCalendar id="startDate" value="#{accountEntryBean.searchStartDate}"
                                 renderAsPopup="true" popupDateFormat="d/MM/yyyy" renderPopupButtonAsImage="true" 
                                 popupTodayString="#{msg['calendar.today']}" popupWeekString="#{msg['calendar.week']}"
                                 onchange="setEnabled('search:startDate',true);setChecked('search:startDateValid',true);"
	                             >
					<f:validator validatorId="autentia.dateValidator"/>
				</t:inputCalendar>
              </h:panelGroup>
              -
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="endDate" />
                <h:selectBooleanCheckbox id="endDateValid" value="#{accountEntryBean.searchEndDateValid}" 
                                          onclick="setEnabled('search:endDate',this.checked)"/>
                <t:inputCalendar id="endDate" value="#{accountEntryBean.searchEndDate}"
                                 renderAsPopup="true" popupDateFormat="d/MM/yyyy" renderPopupButtonAsImage="true" 
                                 popupTodayString="#{msg['calendar.today']}" popupWeekString="#{msg['calendar.week']}"
                                 onchange="setEnabled('search:endDate',true);setChecked('search:endDateValid',true);"
	                             >
					<f:validator validatorId="autentia.dateValidator"/>
				</t:inputCalendar>
              </h:panelGroup>
              <script>
                setEnabled( 'search:startDate', ${accountEntryBean.searchStartDateValid} )
                setEnabled( 'search:endDate', ${accountEntryBean.searchEndDateValid} )
              </script>
            </td>
          </tr>

          <%-- Field: amountDate --%>
          <tr>
            <td class="searchLabel">${msg['accountEntry.amountDate']}:</td>
            <td class="searchFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="startAmountDate" />
                <h:selectBooleanCheckbox id="startAmountDateValid" value="#{accountEntryBean.searchStartAmountDateValid}" 
                                          onclick="setEnabled('search:startAmountDate',this.checked)"/>
                <t:inputCalendar id="startAmountDate" value="#{accountEntryBean.searchStartAmountDate}"
                                 renderAsPopup="true" popupDateFormat="d/MM/yyyy" renderPopupButtonAsImage="true" 
                                 popupTodayString="#{msg['calendar.today']}" popupWeekString="#{msg['calendar.week']}"
                                 onchange="setEnabled('search:startAmountDate',true);setChecked('search:startAmountDateValid',true);"
	                             >
					<f:validator validatorId="autentia.dateValidator"/>
				</t:inputCalendar>
              </h:panelGroup>
              -
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="endAmountDate" />
                <h:selectBooleanCheckbox id="endAmountDateValid" value="#{accountEntryBean.searchEndAmountDateValid}" 
                                          onclick="setEnabled('search:endAmountDate',this.checked)"/>
                <t:inputCalendar id="endAmountDate" value="#{accountEntryBean.searchEndAmountDate}"
                                 renderAsPopup="true" popupDateFormat="d/MM/yyyy" renderPopupButtonAsImage="true" 
                                 popupTodayString="#{msg['calendar.today']}" popupWeekString="#{msg['calendar.week']}"
                                 onchange="setEnabled('search:endAmountDate',true);setChecked('search:endAmountDateValid',true);"
	                             >
					<f:validator validatorId="autentia.dateValidator"/>
				</t:inputCalendar>
              </h:panelGroup>
              <script>
                setEnabled( 'search:startAmountDate', ${accountEntryBean.searchStartAmountDateValid} )
                setEnabled( 'search:endAmountDate', ${accountEntryBean.searchEndAmountDateValid} )
              </script>
            </td>
          </tr>

          <%-- Field: concept --%>
          <tr>
            <td class="searchLabel">${msg['accountEntry.concept']}:</td>
            <td class="searchFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="concept" />
                <h:selectBooleanCheckbox id="conceptValid" value="#{accountEntryBean.searchConceptValid}" 
                                          onclick="setEnabled('search:concept',this.checked)"/>
                <h:inputText id="concept" value="#{accountEntryBean.searchConcept}" size="70"/>
              </h:panelGroup>
              <script>
                setEnabled( 'search:concept', ${accountEntryBean.searchConceptValid} )
              </script>
            </td>
          </tr>

          <%-- Field: amount --%>
          <tr>
            <td class="searchLabel">${msg['accountEntry.amount']}:</td>
            <td class="searchFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="startAmount" />
                <h:selectBooleanCheckbox id="startAmountValid" value="#{accountEntryBean.searchStartAmountValid}" 
                                          onclick="setEnabled('search:startAmount',this.checked)"/>
                <h:inputText id="startAmount" value="#{accountEntryBean.searchStartAmount}" size="31"/>
              </h:panelGroup>
              -
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="endAmount" />
                <h:selectBooleanCheckbox id="endAmountValid" value="#{accountEntryBean.searchEndAmountValid}" 
                                          onclick="setEnabled('search:endAmount',this.checked)"/>
                <h:inputText id="endAmount" value="#{accountEntryBean.searchEndAmount}" size="31"/>
              </h:panelGroup>
              <script>
                setEnabled( 'search:startAmount', ${accountEntryBean.searchStartAmountValid} )
                setEnabled( 'search:endAmount', ${accountEntryBean.searchEndAmountValid} )
              </script>
            </td>
          </tr>

          <%-- Ignored field: observations --%>
         

          

          <%-- Field: type --%>
          <tr>
            <td class="searchLabel">${msg['accountEntry.type']}:</td>
            <td class="searchFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="type" />
                <h:selectBooleanCheckbox id="typeValid" value="#{accountEntryBean.searchTypeValid}" 
                                          onclick="setEnabled('search:type',this.checked)"/>
                <h:selectOneMenu id="type" value="#{accountEntryBean.searchType}" onclick="setEnabled('search:type',true)">
                  <f:selectItems value="#{accountEntryBean.types}" />
                  <f:converter converterId="autentia.EntityConverter"/>
                </h:selectOneMenu>
              </h:panelGroup>
              <script>
                setEnabled( 'search:type', ${accountEntryBean.searchTypeValid} )
              </script>
            </td>
          </tr>
          
          <%-- Field: entryNumber --%>
    <tr>
      <td class="searchLabel">${msg['accountEntry.entryNumber']}:</td>
      <td class="searchFieldCell">

        
          
          <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="entryNumber" />
            <h:selectBooleanCheckbox id="entryNumberValid" value="#{accountEntryBean.searchEntryNumberValid}" 
                                      onclick="setEnabled('search:entryNumber',this.checked)"/>
            <h:inputText id="entryNumber" value="#{accountEntryBean.searchEntryNumber}" size="70"/>
          </h:panelGroup>
          <script>
            setEnabled( 'search:entryNumber', ${accountEntryBean.searchEntryNumberValid} )
          </script>

        
      </td>
    </tr>
                        
      <%-- Field: docNumber --%>
    <tr>
      <td class="searchLabel">${msg['accountEntry.docNumber']}:</td>
      <td class="searchFieldCell">

        
          
          <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="docNumber" />
            <h:selectBooleanCheckbox id="docNumberValid" value="#{accountEntryBean.searchDocNumberValid}" 
                                      onclick="setEnabled('search:docNumber',this.checked)"/>
            <h:inputText id="docNumber" value="#{accountEntryBean.searchDocNumber}" size="70"/>
          </h:panelGroup>
          <script>
            setEnabled( 'search:docNumber', ${accountEntryBean.searchDocNumberValid} )
          </script>

        
      </td>
    </tr>

        </table>
        
      </h:form>
    </f:view>
    
  </body>
</html>  		
