<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp"%>


<html>
<head>
<%@include file="/inc/uiCore.jsp"%>
<link rel="stylesheet" type="text/css"
	href="<%=request.getContextPath()%>/css/bitacore.css">
</head>
<body>

<!-- activitys.jsp: generated by stajanov code generator -->
<f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />

<i:location place="activitys" msg="${msg}" />

<f:view>
	<%@include file="/inc/header.jsp"%>
	<h:form id="activity">

		<%-- Header --%>
		<i:titleBar msg="${msg}">
			
			<t:selectOneMenu value="#{settingBean.mySettings.mode}"
				valueChangeListener="#{activityBean.onSchedlueModeChanged}"
				onchange="submit();">
				<f:selectItems value="#{settingBean.mySettings.modeItems}" />
			</t:selectOneMenu>
			<t:inputCalendar styleClass="scheduleCalendar"
				value="#{activityBean.selectedDate}"
				renderAsPopup="true"
				renderPopupButtonAsImage="true" onchange="submit();" />			
		</i:titleBar>

		<%-- progress bar --%>
		<t:div styleClass="progressBar" style="background-position: #{250 * (-2 + activityBean.monthPerformedHours / activityBean.monthTotalHours)}px center;z-index:0;" 
			rendered="#{(activityBean.scheduleModel.mode == 3)}">
			<h:outputFormat value="[{0}h. / {1}h.] - " styleClass="progressBarText">
				<f:param value="#{activityBean.monthPerformedHours}"/>
				<f:param value="#{activityBean.monthTotalHours}"/>
			</h:outputFormat>
			<h:outputText value="#{activityBean.monthPerformedHours / activityBean.monthTotalHours}" styleClass="progressBarText">
					<f:convertNumber type="percent" maxFractionDigits="1"/>
			</h:outputText>
		</t:div>

		<%-- Main grid --%>
		<t:schedule id="schedule" value="#{activityBean.scheduleModel}"
			theme="#{settingBean.mySettings.theme}"
			headerDateFormat="#{settingBean.mySettings.headerFormat}"
			mouseListener="#{activityBean.activityClicked}" tooltip="true"
			action="#{activityBean.actionPerformed}" readonly="false"
			entryRenderer="#{activityBean.entryRenderer}"
			workingStartHour="#{settingBean.mySettings.workingDayHourStarts}"
			workingEndHour="#{settingBean.mySettings.workingDayHourEnds}"
			visibleStartHour="#{settingBean.mySettings.displayHourFrom}"
			visibleEndHour="#{settingBean.mySettings.displayHourUntil}"
			expandToFitEntries="true" submitOnClick="true" />
		
	</h:form>
</f:view>
</body>
</html>
