<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>

    <!-- occupations.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="occupations" msg="${msg}"/> 
    
    <f:view>
     <%@include file="/inc/header.jsp" %>
      <h:form id="occupations">
        
        <%-- Header --%>
        <i:titleBar msg="${msg}">
          <h:commandLink action="#{occupationBean.search}">
            <h:graphicImage rendered="#{ occupationBean.search.searchActive}" title="#{msg.entityActions_filtered}"  value="/img/search_applied.gif" styleClass="titleImg" />
            <h:graphicImage rendered="#{!occupationBean.search.searchActive}" title="#{msg.entityActions_search}"    value="/img/search.gif"         styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{occupationBean.reset}">
            <h:graphicImage rendered="#{occupationBean.search.searchActive}" title="#{msg.entityActions_reset}"  value="/img/eraser.png" styleClass="titleImg" />           
          </h:commandLink>
          <h:commandLink action="#{occupationBean.create}" rendered="#{occupationBean.createAvailable}">
            <h:graphicImage title="#{msg.entityActions_create}"  value="/img/new.gif" styleClass="titleImg" />
          </h:commandLink>
        </i:titleBar>
        
        
        <%-- List of occupations --%>
        <t:dataTable id="list" var="occupation" value="#{occupationBean.all}" preserveDataModel="false" 
            cellpadding="0" cellspacing="0" styleClass="listTable" 
            headerClass="listHeaderCell" footerClass="listFooter" 
            rows="#{settingBean.mySettings.listSize}" rowClasses="listRowO,listRowE"
            columnClasses="listCmdCell,listOccupationUser,listOccupationProject,listOccupationProject,listOccupationStartDate,listOccupationEndDate,listOccupationDuration"
            sortColumn="#{occupationBean.sortColumn}" sortAscending="#{occupationBean.sortAscending}"
	    rowOnMouseOver="this.savedClassName=this.className;this.className='listRowSel';" 
	    rowOnMouseOut="this.className=this.savedClassName;">
          
          <%-- Commands --%>
          <h:column>
            <f:facet name="header">
              <f:verbatim>-</f:verbatim>
            </f:facet>
            <t:commandLink action="#{occupationBean.detail}" immediate="true">
              <f:param name="rowid" value="#{occupation.id}" />
              <h:graphicImage title="#{msg.entityActions_detail}"  value="/img/detail.gif" styleClass="cmdImg" />
            </t:commandLink>
          </h:column>


      <%-- Ignored field: id --%>
  
	 <%-- Field: user --%>
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="user.name">
                 <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['occupation.user']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{occupationBean.detail}" immediate="true">
	<f:param name="rowid" value="#{occupation.id}" />
		  <%-- Referenced field --%>
	  <h:outputText value="#{occupation.user.name}" />

	      </t:commandLink>

    </h:column>
  
	
    <%-- Field: organization --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="project.client.name">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['occupation.organization']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Referenced field --%>
            <h:outputText value="#{occupation.project.client.name}" />
          </h:column>
	
	
      <%-- Field: project --%>
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="project">
                 <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['occupation.project']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{occupationBean.detail}" immediate="true">
	<f:param name="rowid" value="#{occupation.id}" />
		  <%-- Referenced field --%>
	  <h:outputText value="#{occupation.project.name}" />

	      </t:commandLink>

    </h:column>
	
	
      <%-- Field: startDate --%>
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="startDate">
                 <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['occupation.startDate']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{occupationBean.detail}" immediate="true">
	<f:param name="rowid" value="#{occupation.id}" />
		  <%-- Date field --%>
	  <h:outputText value="#{occupation.startDate}" converter="autentia.dateConverter"/>

	      </t:commandLink>

    </h:column>
  

      <%-- Field: endDate --%>
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="endDate">
                 <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['occupation.endDate']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{occupationBean.detail}" immediate="true">
	<f:param name="rowid" value="#{occupation.id}" />
		  <%-- Date field --%>
	  <h:outputText value="#{occupation.endDate}" converter="autentia.dateConverter"/>

	      </t:commandLink>

    </h:column>
  
  <%-- Field: duration --%>
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="duration">
                 <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['occupation.duration']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{occupationBean.detail}" immediate="true">
	<f:param name="rowid" value="#{occupation.id}" />
		  <%-- String field --%>
	  <h:outputText value="#{occupation.duration}" >
	  	<f:converter converterId="autentia.MinuteToHourConverter"/>
	  </h:outputText>
	      </t:commandLink>

    </h:column>

      <%-- Ignored field: description --%>
  

      <%-- Ignored field: ownerId --%>
  

      <%-- Ignored field: departmentId --%>
  

      <%-- Ignored field: insertDate --%>
  

      <%-- Ignored field: updateDate --%>
  

     
  
        </t:dataTable>
          
        <%-- Paginator control --%>
        <%@include file="/inc/paginator.jsp" %>
        
      </h:form>
    </f:view>
    
  </body>
</html>  		

