<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>
    
    <!-- searchActivity.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="searchActivity" msg="${msg}"/> 
    
    <f:view>
        <%@include file="/inc/header.jsp" %>
      <h:form id="search" enctype="multipart/form-data">
        
        <%-- Header --%>
        <i:titleBar msg="${msg}">
          <h:commandLink action="#{activityBean.list}">
            <h:graphicImage value="/img/run.png" styleClass="titleImg" />
          </h:commandLink>
        </i:titleBar>
        
        <%-- Search form --%>
        <table class="searchTable" cellpadding="0" cellspacing="0">

          <%-- Ignored field: id --%>

          <%-- Field: startDate --%>
          <tr>
            <td class="searchLabel">${msg['activity.startDate']}:</td>
            <td class="searchFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="startStartDate" />
                <h:selectBooleanCheckbox id="startStartDateValid" value="#{activityBean.searchStartStartDateValid}" 
                                          onclick="setEnabled('search:startStartDate',this.checked)"/>
                <t:inputCalendar id="startStartDate" value="#{activityBean.searchStartStartDate}"
                                 renderAsPopup="true" popupDateFormat="d/MM/yyyy" renderPopupButtonAsImage="true" 
                                 popupTodayString="#{msg['calendar.today']}" popupWeekString="#{msg['calendar.week']}"
                                 onchange="setEnabled('search:startStartDate',true);setChecked('search:startStartDateValid',true);"
                                 />
              </h:panelGroup>
              -
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="endStartDate" />
                <h:selectBooleanCheckbox id="endStartDateValid" value="#{activityBean.searchEndStartDateValid}" 
                                          onclick="setEnabled('search:endStartDate',this.checked)"/>
                <t:inputCalendar id="endStartDate" value="#{activityBean.searchEndStartDate}"
                                 renderAsPopup="true" popupDateFormat="d/MM/yyyy" renderPopupButtonAsImage="true" 
                                 popupTodayString="#{msg['calendar.today']}" popupWeekString="#{msg['calendar.week']}"
                                 onchange="setEnabled('search:endStartDate',true);setChecked('search:endStartDateValid',true);"
                                 />
              </h:panelGroup>
              <script>
                setEnabled( 'search:startStartDate', ${activityBean.searchStartStartDateValid} )
                setEnabled( 'search:endStartDate', ${activityBean.searchEndStartDateValid} )
              </script>
            </td>
          </tr>

          <%-- Field: duration --%>
          <tr>
            <td class="searchLabel">${msg['activity.duration']}:</td>
            <td class="searchFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="duration" />
                <h:selectBooleanCheckbox id="durationValid" value="#{activityBean.searchDurationValid}" 
                                          onclick="setEnabled('search:duration',this.checked)"/>
                <h:inputText id="duration" value="#{activityBean.searchDuration}" size="70"/>
              </h:panelGroup>
              <script>
                setEnabled( 'search:duration', ${activityBean.searchDurationValid} )
              </script>
            </td>
          </tr>

          <%-- Field: description --%>
          <tr>
            <td class="searchLabel">${msg['activity.description']}:</td>
            <td class="searchFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="description" />
                <h:selectBooleanCheckbox id="descriptionValid" value="#{activityBean.searchDescriptionValid}" 
                                          onclick="setEnabled('search:description',this.checked)"/>
                <h:inputText id="description" value="#{activityBean.searchDescription}" size="70"/>
              </h:panelGroup>
              <script>
                setEnabled( 'search:description', ${activityBean.searchDescriptionValid} )
              </script>
            </td>
          </tr>

          <%-- Field: user --%>
          <tr>
            <td class="searchLabel">${msg['activity.user']}:</td>
            <td class="searchFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="user" />
                <h:selectBooleanCheckbox id="userValid" value="#{activityBean.searchUserValid}" 
                                          onclick="setEnabled('search:user',this.checked)"/>
                <h:selectOneMenu id="user" value="#{activityBean.searchUser}" onclick="setEnabled('search:user',true)">
                  <f:selectItems value="#{activityBean.users}" />
                  <f:converter converterId="autentia.EntityConverter"/>
                </h:selectOneMenu>
              </h:panelGroup>
              <script>
                setEnabled( 'search:user', ${activityBean.searchUserValid} )
              </script>
            </td>
          </tr>

          <%-- Field: project --%>
          <tr>
            <td class="searchLabel">${msg['activity.project']}:</td>
            <td class="searchFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="project" />
                <h:selectBooleanCheckbox id="projectValid" value="#{activityBean.searchProjectValid}" 
                                          onclick="setEnabled('search:project',this.checked)"/>
                <h:selectOneMenu id="project" value="#{activityBean.searchProject}" onclick="setEnabled('search:project',true)">
                  <f:selectItems value="#{activityBean.projects}" />
                  <f:converter converterId="autentia.EntityConverter"/>
                </h:selectOneMenu>
              </h:panelGroup>
              <script>
                setEnabled( 'search:project', ${activityBean.searchProjectValid} )
              </script>
            </td>
          </tr>

        </table>
        
      </h:form>
    </f:view>
    
  </body>
</html>  		
