<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
     <link rel="stylesheet" type="text/css"
	href="<%=request.getContextPath()%>/css/bitacore.css">
    <script src="<%=request.getContextPath()%>/script/bitacore.js" language="Javascript" type="text/javascript" charset="UTF-8"></script>
  </head>	
  <body>

    <!-- projects.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="projects" msg="${msg}"/> 
    
    <f:view>
     <%@include file="/inc/header.jsp" %>
      <h:form id="projects">
        
        <%-- Header --%>
        <i:titleBar msg="${msg}">
          <h:commandLink action="#{projectBean.search}">
            <h:graphicImage rendered="#{ projectBean.search.searchActive}" title="#{msg.entityActions_filtered}"  value="/img/search_applied.gif" styleClass="titleImg" />
            <h:graphicImage rendered="#{!projectBean.search.searchActive}" title="#{msg.entityActions_search}"    value="/img/search.gif"         styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{projectBean.reset}">
            <h:graphicImage rendered="#{projectBean.search.searchActive}" title="#{msg.entityActions_reset}"  value="/img/eraser.png" styleClass="titleImg" />           
          </h:commandLink>
          <h:commandLink action="#{projectBean.create}" rendered="#{projectBean.createAvailable}">
            <h:graphicImage title="#{msg.entityActions_create}"  value="/img/new.gif" styleClass="titleImg" />
          </h:commandLink>
        </i:titleBar>
        
        
          <%-- ABC quick pager --%>
          <div class="abcPager">
            <h:outputText value="#{msg['abcPager.title']}" styleClass="abcPagerTitle"/>
            <a:abcPager styleClass="abcPagerLetter" selectedStyleClass="abcPagerSelectedLetter" 
                        value="#{projectBean.letter}" action="#{projectBean.letterClicked}"
                        allowUnselect="true" unselectImage="/img/no_funnel.png"/>
          </div>

        
        <%-- List of projects --%>
        <t:dataTable id="list" var="project" value="#{projectBean.all}" preserveDataModel="false" 
            cellpadding="0" cellspacing="0" styleClass="listTable" 
            headerClass="listHeaderCell" footerClass="listFooter" 
            rows="#{settingBean.mySettings.listSize}" rowClasses="listRowO,listRowE"
            columnClasses="listCmdCell,listProjectClient,listProjectName,listProjectStartDate,listProjectOpen,listProjectBillable"
            sortColumn="#{projectBean.sortColumn}" sortAscending="#{projectBean.sortAscending}"
	    rowOnMouseOver="this.savedClassName=this.className;this.className='listRowSel';" 
	    rowOnMouseOut="this.className=this.savedClassName;">
          
          <%-- Commands --%>
          <h:column>
            <f:facet name="header">
              <f:verbatim>-</f:verbatim>
            </f:facet>
            <t:commandLink action="#{projectBean.detail}" immediate="true">
              <f:param name="rowid" value="#{project.id}" />
              <h:graphicImage title="#{msg.entityActions_detail}"  value="/img/detail.gif" styleClass="cmdImg" />
            </t:commandLink>
          </h:column>


      <%-- Ignored field: id --%>
  

        <%-- Field: client --%>
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="client.name">
                 <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['project.client']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{projectBean.detail}" immediate="true">
	<f:param name="rowid" value="#{project.id}" />
		  <%-- Referenced field --%>
	  <h:outputText value="#{project.client.name}" />

	      </t:commandLink>

    </h:column>
  

      <%-- Ignored field: endDate --%>
  

      <%-- Ignored field: open --%>
  

      <%-- Field: name --%>
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="name">
                 <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['project.name']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{projectBean.detail}" immediate="true">
	<f:param name="rowid" value="#{project.id}" />
		  <%-- String field --%>
	  <h:outputText value="#{project.name}" />
	      </t:commandLink>

    </h:column>
  
 
  
  
  
  <%-- Field: startDate --%>
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="startDate">
                 <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['project.startDate']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{projectBean.detail}" immediate="true">
	<f:param name="rowid" value="#{project.id}" />
		  <%-- Date field --%>
	  <h:outputText value="#{project.startDate}" converter="autentia.dateConverter"/>

	      </t:commandLink>

    </h:column>
 <%--coste del proyecto --%>
	<h:column>
		<f:facet name="header">
			<t:commandSortHeader styleClass="listHeader" columnName="coste">
				<f:facet name="ascending">
					<t:graphicImage value="/img/ascending-arrow.gif" border="0" />
				</f:facet>
				<f:facet name="descending">
					<t:graphicImage value="/img/descending-arrow.gif" border="0" />
				</f:facet>
				<f:verbatim>${msg['project.costPerProject']}</f:verbatim>
			</t:commandSortHeader>
		</f:facet>

		<t:commandLink action="#{projectBean.detail}" immediate="true">
			<f:param name="rowid" value="#{project.id}" />
  	       <h:outputText value="#{project.costPerProject}" >
					<f:convertNumber maxFractionDigits="2" type="currency" currencySymbol="€"/>
  	       </h:outputText>			
		</t:commandLink>

	</h:column>
	
			<%-- Field: open --%>
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="open">
                 <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['project.open']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{projectBean.detail}" immediate="true">
	<f:param name="rowid" value="#{project.id}" />
		  <%-- String field --%>
		  <t:graphicImage value="#{(project.open)?'/img/true.png':'/img/false.png'}" border="0" />	  
	      </t:commandLink>

    </h:column>
    
    
    <%-- Field: billable --%>
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="billable">
                 <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['project.billable']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{projectBean.detail}" immediate="true">
	<f:param name="rowid" value="#{project.id}" />
		  <%-- String field --%>
	  <t:graphicImage value="#{(project.billable)?'/img/true.png':'/img/false.png'}" border="0" />
	      </t:commandLink>

    </h:column>
    
    
    
     <%-- Field: worked hours --%>
    
    
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="workedHours">
      	         <f:facet name="ascending">
      	        <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
           <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['project.workedHours']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>
    
    
      <h:panelGroup rendered="#{project.percentageWorked <= 1}">

			<t:div styleClass="progressBar" style="background-position: #{250 * (-2 + project.percentageWorked)}px center;z-index:0;"
			rendered="#{(activityBean.scheduleModel.mode == 3)}">
			<h:outputFormat value="[{0}h. / {1}h.] - " styleClass="progressBarText">
				<f:param value="#{project.workedHours/60}"/>
				<f:param value="#{project.expectedHours}"/>
			</h:outputFormat>

			<h:outputText value="#{project.percentageWorked}" styleClass="progressBarText">
				<f:convertNumber type="percent" maxFractionDigits="1"/>
			</h:outputText>	
		</t:div>      
      </h:panelGroup>
      
      <h:panelGroup rendered="#{project.percentageWorked > 1}">
		<%--Si el porcentaje es mayor de uno, es decir del 100% se pintará en rojo --%>
		<t:div styleClass="progressBarRed" style="background-position: #{-250}px center;z-index:0;"
			rendered="#{(activityBean.scheduleModel.mode == 3)}">
			<h:outputFormat value="[{0}h. / {1}h.] - " styleClass="progressBarText">
				<f:param value="#{project.workedHours/60}"/>
				<f:param value="#{project.expectedHours}"/>
			</h:outputFormat>

			<h:outputText value="#{project.percentageWorked}" styleClass="progressBarText">
				<f:convertNumber type="percent" maxFractionDigits="1"/>
			</h:outputText>	
		</t:div>      
      </h:panelGroup>  
	
	</h:column>
	
	
  
		
	
      <%-- Ignored field: description --%>
  

      <%-- Ignored field: ownerId --%>
  

      <%-- Ignored field: departmentId --%>
  

      <%-- Ignored field: insertDate --%>
  

      <%-- Ignored field: updateDate --%>
  

    
  
        </t:dataTable>
          
        <%-- Paginator control --%>
        <%@include file="/inc/paginator.jsp" %>
        
      </h:form>
    </f:view>
    
  </body>
</html>  		

