<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

 <%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>

    <!-- bills.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="bills" msg="${msg}"/> 
    
    <f:view>
      <%@include file="/inc/header.jsp" %>
      <h:form id="bills">
        
        <%-- Header --%>
        <i:titleBar msg="${msg}">
          <h:commandLink action="#{billBean.search}">
            <h:graphicImage rendered="#{ billBean.search.searchActive}" title="#{msg.entityActions_filtered}"  value="/img/search_applied.gif" styleClass="titleImg" />
            <h:graphicImage rendered="#{!billBean.search.searchActive}" title="#{msg.entityActions_search}"    value="/img/search.gif"         styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{billBean.reset}">
            <h:graphicImage rendered="#{billBean.search.searchActive}" title="#{msg.entityActions_reset}"  value="/img/eraser.png" styleClass="titleImg" />           
          </h:commandLink>
          <h:commandLink action="#{billBean.create}" rendered="#{billBean.createAvailable}">
            <h:graphicImage title="#{msg.entityActions_create}" value="/img/new.gif" styleClass="titleImg" />
          </h:commandLink>
          <h:outputText styleClass="warning2" value="#{msg['bill.selectType']}"></h:outputText>      
          <h:selectOneMenu id="allTypes" title="#{msg['bill.selectType']}" value="#{billBean.selectedType}" onchange="submit();">
             <f:selectItems value="#{billBean.billTypes}" />
             <f:converter converterId="autentia.EnumConverter"/>              
           </h:selectOneMenu>
           
           <h:selectOneMenu id="fiscalYear" title="#{msg['bill.changeyear']}" value="#{billBean.year}" onchange="submit();">
             <f:selectItems value="#{billBean.years}" />            
          </h:selectOneMenu>
           
        </i:titleBar>
        
        <%-- ABC quick pager --%>
          <div class="abcPager">
            <h:outputText value="#{msg['abcPager.title']}" styleClass="abcPagerTitle"/>
            <a:abcPager styleClass="abcPagerLetter" selectedStyleClass="abcPagerSelectedLetter" 
                        value="#{billBean.letter}" action="#{billBean.letterClicked}"
                        allowUnselect="true" unselectImage="/img/no_funnel.png"/>
          </div>
        
        
        <%-- List of bills --%>
        <t:dataTable id="list" var="bill" value="#{billBean.all}" preserveDataModel="false" 
            cellpadding="0" cellspacing="0" styleClass="listTable" 
            headerClass="listHeaderCell" footerClass="listFooter" 
            rows="#{settingBean.mySettings.listSize}" rowClasses="listRowO,listRowE"
            columnClasses="lctl, lctl,lctl,lctl,lctl,lctl,lctr,lctr,lctr,lctr,lctr"
            sortColumn="#{billBean.sortColumn}" sortAscending="#{billBean.sortAscending}"
	    	rowOnMouseOver="this.savedClassName=this.className;this.className='listRowSel';" 
	    	rowOnMouseOut="this.className=this.savedClassName;">            
          
          <%-- Commands --%>
          <%-- Commands --%>
          <h:column>
            <f:facet name="header">
              <f:verbatim>-</f:verbatim>
            </f:facet>
            <t:commandLink action="#{billBean.detail}" immediate="true">
              <f:param name="rowid" value="#{bill.id}" />
              <h:graphicImage title="#{msg.entityActions_detail}"  value="/img/detail.gif" styleClass="cmdImg" />
            </t:commandLink>
          </h:column>

          <%-- Ignored field: id --%>
			
		  <%-- Field: number --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="number">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['bill.number']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- String field --%>
            <h:outputText value="#{bill.number}" />
          </h:column>
          
           
           <%-- Field: provider --%>
    <h:column>
      <f:facet name="header">
        <t:commandSortHeader styleClass="listHeader" columnName="provider.name">
          <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['bill.provider']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

              <%-- Referenced field --%>
        <h:outputText value="#{bill.provider.name}" />
         </h:column> 
         
         
                <%-- Field: organization --%>
    <h:column>
      <f:facet name="header">
        <t:commandSortHeader styleClass="listHeader" columnName="project.client.name">
          <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['bill.organization']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

              <%-- Referenced field --%>
        <h:outputText value="#{bill.project.client.name}" />
         </h:column>  
         
         
          <%-- Field: project --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="project.name">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['bill.project']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Referenced field --%>
            <h:outputText value="#{bill.project.name}" />
          </h:column>
          
          <%-- Field: name --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="name">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['bill.name']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- String field --%>
            <h:outputText value="#{bill.name}" />
          </h:column>
          
          <%-- Field: creationDate --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="creationDate">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['bill.creationDate']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Date field --%> 
            <h:outputText value="#{bill.creationDate}" converter="autentia.dateConverter"/>
          </h:column>

          <%-- Ignored field: expiration --%>

          <%-- Ignored field: paymentMode --%>

          <%-- Field: state --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="state">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['bill.state']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Enumerated field --%>
            <h:outputText value="#{bill.state}">
              <f:converter converterId="autentia.EnumTranslator"/>
            </h:outputText>
          </h:column>

         
        
        
        
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="amount">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['bill.total']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- String field --%>
            <h:outputText value="#{bill.total}" />
          </h:column>
          
          
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="unpaid">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['bill.unpaidTotal']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- String field --%>
            <h:outputText value="#{bill.unpaid}" />
          </h:column>
                    
			
		<h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="entriesNumber">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['bill.entries']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- String field --%>
          <t:graphicImage value="#{(bill.hasEntries>0)?'/img/true.png':'/img/false.png'}" border="0" />
          </h:column>
        
        
        
          

          <%-- Ignored field: fileMime --%>

          

        </t:dataTable>
          
        <%-- Paginator control --%>
        <%@include file="/inc/paginator.jsp" %>
        
        
        <t:panelGrid styleClass="listTable" columnClasses="listHeader">
        	<h:panelGroup >	       	
	       	<f:verbatim>&nbsp;${msg['bill.totalsNoTaxes']}:</f:verbatim>
	       	<h:outputText value="#{billBean.totalsNoTaxes}"/>
	       	<f:verbatim>&nbsp;&nbsp;&nbsp;</f:verbatim>
	       	<f:verbatim>&nbsp;${msg['bill.totalsTaxes']}:</f:verbatim>
	       	<h:outputText value="#{billBean.totalsTaxes}" styleClass="r"/>
	       	<f:verbatim>&nbsp;&nbsp;&nbsp;</f:verbatim>
	       	<f:verbatim>&nbsp;${msg['bill.totals']}:</f:verbatim>
	       	<f:verbatim>&nbsp;${msg['bill.unpaidTotal']}:</f:verbatim>
	       	<h:outputText value="#{billBean.totals}" styleClass="#{billBean.totals<0?'r':'b'}"/>
	       
           </h:panelGroup>
           
        </t:panelGrid>
        
      </h:form>
    </f:view>
    
  </body>
</html>  		

