<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>
    
    <!-- editCreditTitle.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="detailCreditTitle" msg="${msg}"/> 
    
    <f:view>
      <%@include file="/inc/header.jsp" %>
      <h:form id="creditTitle" enctype="multipart/form-data">
        
        <%-- Header --%>
        <i:titleBar name="${creditTitleBean.${desc-props.getProperty("editTitleField")}}" msg="${msg}">
          <t:commandLink action="#{creditTitleBean.edit}" immediate="true" rendered="#{creditTitleBean.editAvailable}">
            <f:param name="id" value="#{creditTitleBean.id}" />
            <h:graphicImage title="#{msg.entityActions_edit}"  value="/img/edit.gif" styleClass="cmdImg" />
          </t:commandLink>
          <h:commandLink action="#{creditTitleBean.delete}" rendered="#{creditTitleBean.deleteAvailable}" onclick="if( !confirm('#{msg['question.confirmDelete']}') ) return false;">
            <h:graphicImage title="#{msg.entityActions_delete}"  value="/img/delete.gif" styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{creditTitleBean.list}" immediate="true">
            <h:graphicImage title="#{msg.entityActions_back}"  value="/img/back.gif" styleClass="titleImg" />
          </h:commandLink>
        </i:titleBar>


        <%-- Detail form --%>
        <table class="detailTable" cellpadding="0" cellspacing="0">

            
    
  
  
      <%-- Field: id --%>
    <tr>
	<td class="detailLabelRW">${msg['creditTitle.id']}:</td>
	<td class="detailFieldCell">
         	       <h:outputText value="#{creditTitleBean.id}" />
 	      </td>
    </tr>
                            
    
  
  
      <%-- Field: number --%>
    <tr>
	<td class="detailLabelRW">${msg['creditTitle.number']}:</td>
	<td class="detailFieldCell">
         	       <h:outputText value="#{creditTitleBean.number}" />
 	      </td>
    </tr>
                            
      <%-- Field: amount --%>
    <tr>
	<td class="detailLabelRW">${msg['creditTitle.amount']}:</td>
	<td class="detailFieldCell">
         	       <h:outputText value="#{creditTitleBean.amount}" />
 	      </td>
    </tr>    
  
  
      <%-- Field: concept --%>
    <tr>
	<td class="detailLabelRW">${msg['creditTitle.concept']}:</td>
	<td class="detailFieldCell">
         	       <h:outputText value="#{creditTitleBean.concept}" />
 	      </td>
    </tr>
                            
    
  
  
      <%-- Field: creditTitleState --%>
    <tr>
	<td class="detailLabelRW">${msg['creditTitle.creditTitleState']}:</td>
	<td class="detailFieldCell">
                	<h:outputText value="#{creditTitleBean.creditTitleStateFormatted}" />
              </td>
    </tr>
                            
    
  
  
      <%-- Field: creditTitleType --%>
    <tr>
	<td class="detailLabelRW">${msg['creditTitle.creditTitleType']}:</td>
	<td class="detailFieldCell">
                	<h:outputText value="#{creditTitleBean.creditTitleTypeFormatted}" />
              </td>
    </tr>
                            
    
  
  
      <%-- Field: issueDate --%>
    <tr>
	<td class="detailLabelRW">${msg['creditTitle.issueDate']}:</td>
	<td class="detailFieldCell">
         	    	<h:outputText value="#{creditTitleBean.issueDate}" converter="autentia.dateConverter" />
 	          </td>
    </tr>
                            
    
  
  
      <%-- Field: expirationDate --%>
    <tr>
	<td class="detailLabelRW">${msg['creditTitle.expirationDate']}:</td>
	<td class="detailFieldCell">
         	    	<h:outputText value="#{creditTitleBean.expirationDate}" converter="autentia.dateConverter" />
 	          </td>
    </tr>
                            
    
  
  
      <%-- Field: observations --%>
    <tr>
	<td class="detailLabelRW">${msg['creditTitle.observations']}:</td>
	<td class="detailFieldCell">
         	       <h:outputText value="#{creditTitleBean.observations}" />
 	      </td>
    </tr>
                            
    
  
  
      <%-- Field: ownerId --%>
    <tr>
	<td class="detailLabelRW">${msg['creditTitle.ownerId']}:</td>
	<td class="detailFieldCell">
         	       <h:outputText value="#{creditTitleBean.ownerId}" />
 	      </td>
    </tr>
                            
    
  
  
      <%-- Field: departmentId --%>
    <tr>
	<td class="detailLabelRW">${msg['creditTitle.departmentId']}:</td>
	<td class="detailFieldCell">
         	       <h:outputText value="#{creditTitleBean.departmentId}" />
 	      </td>
    </tr>
                            
    
  
  
      <%-- Field: insertDate --%>
    <tr>
	<td class="detailLabelRW">${msg['creditTitle.insertDate']}:</td>
	<td class="detailFieldCell">
         	    	<h:outputText value="#{creditTitleBean.insertDate}" converter="autentia.dateConverter" />
 	          </td>
    </tr>
                            
    
  
  
      <%-- Field: updateDate --%>
    <tr>
	<td class="detailLabelRW">${msg['creditTitle.updateDate']}:</td>
	<td class="detailFieldCell">
         	    	<h:outputText value="#{creditTitleBean.updateDate}" converter="autentia.dateConverter" />
 	          </td>
    </tr>
                                        
    
  
  
      <%-- Field: organization --%>
    <tr>
	<td class="detailLabelRW">${msg['creditTitle.organization']}:</td>
	<td class="detailFieldCell">
         	    	<h:outputText value="#{creditTitleBean.organization.${df}}"/>
 	          </td>
    </tr>
                                                    
    
  
  
      <%-- Field: bills --%>
    <tr>
	<td class="detailLabelRW">${msg['creditTitle.bills']}:</td>
	<td class="detailFieldCell">
                  			        <%@include file="inlineDetailBill.jsp"%>
          	 	          </td>
    </tr>
              
        </table>

      </h:form>
    </f:view>
    
  </body>
</html>  		

<%-- creditTitle - generated by stajanov (do not edit/delete) --%>
