<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

 <%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>
    
    <!-- editCreditTitle.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="editCreditTitle" msg="${msg}"/> 
    
    <f:view>
        <%@include file="/inc/header.jsp" %>
      <h:form id="creditTitle" enctype="multipart/form-data">
        
        <%-- Header --%>
        <i:titleBar name="${creditTitleBean.number}" msg="${msg}">
          <h:commandLink action="#{creditTitleBean.save}" onclick="if(!askSave('#{creditTitleBean.id}','#{msg['question.confirmSave']}')) return false;">
            <h:graphicImage title="#{msg.entityActions_save}" value="/img/save.gif" styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{creditTitleBean.delete}" onclick="if( !confirm('#{msg['question.confirmDelete']}') ) return false;">
            <h:graphicImage title="#{msg.entityActions_delete}" value="/img/delete.gif" styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{creditTitleBean.list}" immediate="true">
            <h:graphicImage title="#{msg.entityActions_back}" value="/img/back.gif" styleClass="titleImg" />
          </h:commandLink>
        </i:titleBar>
         
        
        <%-- Edition form --%>
        <table class="editTable" cellpadding="0" cellspacing="0">

          <%-- Ignored field: id --%>
  
      <%-- Field: number --%>
    <tr>
    	    		<td class="editLabelRW">*${msg['creditTitle.number']}:</td>
    	      
      <td class="editFieldCell">

                  <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="number" />
                		<h:inputText id="number" value="#{creditTitleBean.number}" required="true" styleClass="requiredFieldClass" />
    	              </h:panelGroup>

              </td>
    </tr>
                                  
  <%-- Field: amount --%>
    <tr>
    	    		<td class="editLabelRW">*${msg['creditTitle.amount']}:</td>
    	      
      <td class="editFieldCell">

                  <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="amount" />
                		<h:inputText id="amount" value="#{creditTitleBean.amount}" required="true" styleClass="requiredFieldClass" />
    	              </h:panelGroup>

              </td>
    </tr>
  
  
      <%-- Field: concept --%>
    <tr>
    	    		<td class="editLabelRW">${msg['creditTitle.concept']}:</td>
    	      
      <td class="editFieldCell">

                  <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="concept" />
                		<h:inputText id="concept" value="#{creditTitleBean.concept}" />
    	              </h:panelGroup>

              </td>
    </tr>
                                  
  
      <%-- Field: creditTitleState --%>
    <tr>
    	    		<td class="editLabelRW">${msg['creditTitle.state']}:</td>
    	      
      <td class="editFieldCell">

                  <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="creditTitleState" />
            <h:selectOneMenu id="creditTitleState" value="#{creditTitleBean.creditTitleState}" >
              <f:converter converterId="autentia.EnumConverter"/>
              <f:selectItems value="#{creditTitleBean.states}" />
            </h:selectOneMenu>
          </h:panelGroup>

              </td>
    </tr>
                                  
  
      <%-- Field: creditTitleType --%>
    <tr>
    	    		<td class="editLabelRW">${msg['creditTitle.type']}:</td>
    	      
      <td class="editFieldCell">

                  <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="creditTitleType" />
            <h:selectOneMenu id="creditTitleType" value="#{creditTitleBean.creditTitleType}" >
              <f:converter converterId="autentia.EnumConverter"/>
              <f:selectItems value="#{creditTitleBean.types}" />
            </h:selectOneMenu>
          </h:panelGroup>

              </td>
    </tr>
                                  
  
      <%-- Field: issueDate --%>
    <tr>
    	    		<td class="editLabelRW">*${msg['creditTitle.issueDate']}:</td>
    	      
      <td class="editFieldCell">

                  <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="issueDate" />
            <t:inputCalendar id="issueDate" value="#{creditTitleBean.issueDate}" 
                             renderAsPopup="true" popupDateFormat="d/MM/yyyy" renderPopupButtonAsImage="true" 
                             popupTodayString="#{msg['calendar.today']}" popupWeekString="#{msg['calendar.week']}"
                             required="true" styleClass="requiredFieldClass" 
                             >
				<f:validator validatorId="autentia.dateValidator"/>
			</t:inputCalendar>
          </h:panelGroup>

              </td>
    </tr>
                                  
  
      <%-- Field: expirationDate --%>
    <tr>
    	    		<td class="editLabelRW">*${msg['creditTitle.expirationDate']}:</td>
    	      
      <td class="editFieldCell">

                  <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="expirationDate" />
            <t:inputCalendar id="expirationDate" value="#{creditTitleBean.expirationDate}" 
                             renderAsPopup="true" popupDateFormat="d/MM/yyyy" renderPopupButtonAsImage="true" 
                             popupTodayString="#{msg['calendar.today']}" popupWeekString="#{msg['calendar.week']}"
                             required="true" styleClass="requiredFieldClass"
                             >
				<f:validator validatorId="autentia.dateValidator"/>
			</t:inputCalendar>                             
          </h:panelGroup>

              </td>
    </tr>

      <%-- Field: organization --%>
    <tr>
    	    		<td class="editLabelRW">${msg['creditTitle.organization']}:</td>
    	      
      <td class="editFieldCell">

                  <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="organization" />
            <h:selectOneMenu id="organization" value="#{creditTitleBean.organization}" >
              <f:selectItems value="#{creditTitleBean.organizations}" />
              <f:converter converterId="autentia.EntityConverter"/>
            </h:selectOneMenu>
          </h:panelGroup>

              </td>
    </tr>
  
      <%-- Field: observations --%>
    <tr>
    	    		<td class="editLabelRW">${msg['creditTitle.observations']}:</td>
    	      
      <td class="editFieldCell">

                  <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="observations" />
                		<h:inputTextarea id="observations" value="#{creditTitleBean.observations}" rows="5" cols="68"/>
    	              </h:panelGroup>
              </td>
    </tr>
       </table>
       
	     
		  <h:panelGrid rendered="#{creditTitleBean.id!=null}" columnClasses="editLabelRW">
		  <h:panelGroup styleClass="editLabelRW">	  
		  <h:outputText  value="#{msg['creditTitle.bills']}" />
 
            <h:commandLink action="#{creditTitleBean.searchBills}" immediate="true">                      
            	<h:graphicImage title="#{msg['creditTitle.searchEntries']}" value="/img/search.gif" styleClass="titleImg" />
            </h:commandLink> 
 
           </h:panelGroup>                 
          <h:panelGroup>
                  <%@include file="inlineShowBills.jsp"%>
          </h:panelGroup>
		 </h:panelGrid>  
                                              
      </h:form>
    </f:view>
    
  </body>
</html>  		


