<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

 <%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>  
   <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>
    <!-- accountEntrys.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="accountEntrys" msg="${msg}"/> 
    
    <f:view>
      <%@include file="/inc/header.jsp" %>
    <h:form>
     
    </h:form>
      <h:form>        
        <%-- Header --%>
        <i:titleBar msg="${msg}">                   
          <h:selectOneMenu title="#{msg['accountEntry.changeyear']}" id="fiscalYear" value="#{accountEntryBean.year}" onchange="submit();">
             <f:selectItems value="#{accountEntryBean.years}" />            
          </h:selectOneMenu> 
          <h:commandLink action="#{billBean.returnToEdit}" immediate="true">
          <f:param name="rowid" value="#{accountEntryBean.bill.id}" />
            <h:graphicImage title="#{msg.entityActions_back}" value="/img/back.gif" styleClass="titleImg" />
          </h:commandLink>                
        </i:titleBar>       
        
        <%-- List of accountEntrys --%>
        <t:dataTable id="list" var="accountEntry" value="#{accountEntryBean.allMinusBill}" preserveDataModel="false" 
            cellpadding="0" cellspacing="0" styleClass="listTable" 
            headerClass="listHeaderCell" footerClass="listFooter" 
            rows="#{settingBean.mySettings.listSize}" rowClasses="listRowO,listRowE"
            columnClasses="listCmdCell,listAccountEntryDate,listAccountEntryAmountDate,listAccountEntryConcept,listAccountEntryAmount,listAccountEntryAccount,listAccountEntryType"
            sortColumn="#{accountEntryBean.sortColumn}" sortAscending="#{accountEntryBean.sortAscending}">
          
          
          <%-- Commands --%>
          <h:column>
            <f:facet name="header">
              <f:verbatim>-</f:verbatim>
            </f:facet>
            <t:commandLink action="#{accountEntryBean.select}" onclick="if(!askSave('#{accountEntry.id}','#{msg['question.confirmSave']}')) return false;">
              <f:param name="rowid" value="#{accountEntry.id}" />
              <h:graphicImage title="#{msg['bill.select_entry']}" value="/img/propagate.png" styleClass="cmdImg" />
            </t:commandLink>
          </h:column>

          <%-- Ignored field: id --%>

          <%-- Field: date --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="date">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['accountEntry.date']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Date field --%>
            <h:outputText value="#{accountEntry.date}" converter="autentia.dateConverter"/>
          </h:column>

          <%-- Field: amountDate --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="amountDate">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['accountEntry.amountDate']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Date field --%>
            <h:outputText value="#{accountEntry.amountDate}" converter="autentia.dateConverter"/>
          </h:column>

          <%-- Field: concept --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="concept">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['accountEntry.concept']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- String field --%>
            <h:outputText value="#{accountEntry.concept}" />
          </h:column>

          <%-- Field: amount --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="amount">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['accountEntry.amount']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- String field --%>
            <h:outputText value="#{accountEntry.amount}" styleClass="#{accountEntry.amount<0?'r':'b'}"/>
          </h:column>

          <%-- Ignored field: observations --%>

          

          <%-- Field: account --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="account">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['accountEntry.account']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Referenced field --%>
            <h:outputText value="#{accountEntry.account.name}" />
          </h:column>

          <%-- Field: type --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="type">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['accountEntry.type']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Referenced field --%>
            <h:outputText value="#{accountEntry.type.name}" />
          </h:column>

        </t:dataTable>
        
       
        <%-- Paginator control --%>
        <%@include file="/inc/paginator.jsp" %>
        
      </h:form>
    </f:view>
    
  </body>
</html>