<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>
    
    <!-- searchBulletinBoard.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="searchBulletinBoard" msg="${msg}"/> 
    
    <f:view>
        <%@include file="/inc/header.jsp" %>
      <h:form id="search" enctype="multipart/form-data">
        
        <%-- Header --%>
        <i:titleBar msg="${msg}">
          <h:commandLink action="#{bulletinBoardBean.list}">
            <h:graphicImage title="#{msg.entityActions_run}"  value="/img/run.png" styleClass="titleImg" />
          </h:commandLink>
        </i:titleBar>
        
        <%-- Search form --%>
        <table class="searchTable" cellpadding="0" cellspacing="0">

          
      <%-- Ignored field: id --%>

                        
      <%-- Field: creationDate --%>
    <tr>
      <td class="searchLabel">${msg['bulletinBoard.creationDate']}:</td>
      <td class="searchFieldCell">

        
                    
          <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="startCreationDate" />
            <h:selectBooleanCheckbox id="startCreationDateValid" value="#{bulletinBoardBean.searchStartCreationDateValid}" 
                                      onclick="setEnabled('search:startCreationDate',this.checked)"/>
            <t:inputCalendar id="startCreationDate" value="#{bulletinBoardBean.searchStartCreationDate}"
                             renderAsPopup="true" popupDateFormat="d/MM/yyyy" renderPopupButtonAsImage="true" 
                             popupTodayString="#{msg['calendar.today']}" popupWeekString="#{msg['calendar.week']}"
                             onchange="setEnabled('search:startCreationDate',true);setChecked('search:startCreationDateValid',true);"
                             />
          </h:panelGroup>
          -
          <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="endCreationDate" />
            <h:selectBooleanCheckbox id="endCreationDateValid" value="#{bulletinBoardBean.searchEndCreationDateValid}" 
                                      onclick="setEnabled('search:endCreationDate',this.checked)"/>
            <t:inputCalendar id="endCreationDate" value="#{bulletinBoardBean.searchEndCreationDate}"
                             renderAsPopup="true" popupDateFormat="d/MM/yyyy" renderPopupButtonAsImage="true" 
                             popupTodayString="#{msg['calendar.today']}" popupWeekString="#{msg['calendar.week']}"
                             onchange="setEnabled('search:endCreationDate',true);setChecked('search:endCreationDateValid',true);"
                             />
          </h:panelGroup>
          <script>
            setEnabled( 'search:startCreationDate', ${bulletinBoardBean.searchStartCreationDateValid} )
            setEnabled( 'search:endCreationDate', ${bulletinBoardBean.searchEndCreationDateValid} )
          </script>

        
      </td>
    </tr>
                        
      <%-- Field: title --%>
    <tr>
      <td class="searchLabel">${msg['bulletinBoard.title']}:</td>
      <td class="searchFieldCell">

        
          
          <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="title" />
            <h:selectBooleanCheckbox id="titleValid" value="#{bulletinBoardBean.searchTitleValid}" 
                                      onclick="setEnabled('search:title',this.checked)"/>
            <h:inputText id="title" value="#{bulletinBoardBean.searchTitle}" size="70"/>
          </h:panelGroup>
          <script>
            setEnabled( 'search:title', ${bulletinBoardBean.searchTitleValid} )
          </script>

        
      </td>
    </tr>
                        
      <%-- Field: message --%>
    <tr>
      <td class="searchLabel">${msg['bulletinBoard.message']}:</td>
      <td class="searchFieldCell">

        
          
          <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="message" />
            <h:selectBooleanCheckbox id="messageValid" value="#{bulletinBoardBean.searchMessageValid}" 
                                      onclick="setEnabled('search:message',this.checked)"/>
            <h:inputText id="message" value="#{bulletinBoardBean.searchMessage}" size="70"/>
          </h:panelGroup>
          <script>
            setEnabled( 'search:message', ${bulletinBoardBean.searchMessageValid} )
          </script>

        
      </td>
    </tr>
                        
      <%-- Ignored field: documentPath --%>

                        
      <%-- Ignored field: documentContentType --%>

                        
      <%-- Ignored field: departmentId --%>

                        
      <%-- Ignored field: insertDate --%>

                        
      <%-- Ignored field: updateDate --%>

                                  
      <%-- Field: category --%>
    <tr>
      <td class="searchLabel">${msg['bulletinBoard.category']}:</td>
      <td class="searchFieldCell">

        
          
          <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="category" />
            <h:selectBooleanCheckbox id="categoryValid" value="#{bulletinBoardBean.searchCategoryValid}" 
                                      onclick="setEnabled('search:category',this.checked)"/>
            <h:selectOneMenu id="category" value="#{bulletinBoardBean.searchCategory}" onclick="setEnabled('search:category',true)">
              <f:selectItems value="#{bulletinBoardBean.categorys}" />
              <f:converter converterId="autentia.EntityConverter"/>
            </h:selectOneMenu>
          </h:panelGroup>
          <script>
            setEnabled( 'search:category', ${bulletinBoardBean.searchCategoryValid} )
          </script>

        
      </td>
    </tr>
                        
      <%-- Field: user --%>
    <tr>
      <td class="searchLabel">${msg['bulletinBoard.user']}:</td>
      <td class="searchFieldCell">

        
          
          <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="user" />
            <h:selectBooleanCheckbox id="userValid" value="#{bulletinBoardBean.searchUserValid}" 
                                      onclick="setEnabled('search:user',this.checked)"/>
            <h:selectOneMenu id="user" value="#{bulletinBoardBean.searchUser}" onclick="setEnabled('search:user',true)">
              <f:selectItems value="#{bulletinBoardBean.users}" />
              <f:converter converterId="autentia.EntityConverter"/>
            </h:selectOneMenu>
          </h:panelGroup>
          <script>
            setEnabled( 'search:user', ${bulletinBoardBean.searchUserValid} )
          </script>

        
      </td>
    </tr>
                                
        </table>
        
      </h:form>
    </f:view>
    
  </body>
</html>  		
