<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp"%>

<html>
<head>
<%@include file="/inc/uiCore.jsp"%>
</head>
<body>

<!-- commissionings.jsp: generated by stajanov code generator -->
<f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
<i:location place="commissionings" msg="${msg}" />

<f:view>
	<%@include file="/inc/header.jsp"%>
	<h:form id="commissionings">

		<%-- Header --%>
		<i:titleBar msg="${msg}">
			<h:commandLink action="#{commissioningBean.search}">
				<h:graphicImage rendered="#{ commissioningBean.search.searchActive}"
					title="#{msg.entityActions_filtered}"
					value="/img/search_applied.gif" styleClass="titleImg" />
				<h:graphicImage rendered="#{!commissioningBean.search.searchActive}"
					title="#{msg.entityActions_search}" value="/img/search.gif"
					styleClass="titleImg" />
			</h:commandLink>
			<h:commandLink action="#{commissioningBean.reset}">
				<h:graphicImage rendered="#{commissioningBean.search.searchActive}"
					title="#{msg.entityActions_reset}" value="/img/eraser.png"
					styleClass="titleImg" />
			</h:commandLink>
			<h:commandLink action="#{commissioningBean.create}"
				rendered="#{commissioningBean.createAvailable}">
				<h:graphicImage title="#{msg.entityActions_create}"
					value="/img/new.gif" styleClass="titleImg" />
			</h:commandLink>
		</i:titleBar>

		<h:messages errorClass="error" infoClass="info" warnClass="warning" id="errorMessage" showSummary="true" showDetail="false" />

		<%-- List of commissionings --%>
		<t:dataTable id="list" var="commissioning"
			value="#{commissioningBean.all}" preserveDataModel="false"
			cellpadding="0" cellspacing="0" styleClass="listTable"
			headerClass="listHeaderCell" footerClass="listFooter"
			rows="#{settingBean.mySettings.listSize}"
			rowClasses="listRowO,listRowE"
			columnClasses="listCmdCell,listCommissioningId,listCommissioningRequestDate,listCommissioningName,listCommissioningScope,listCommissioningContent,listCommissioningProducts,listCommissioningDeliveryDate,listCommissioningBudget,listCommissioningNotes,listCommissioningAuthorSignature,listCommissioningReviserSignature,listCommissioningAdminSignature,listCommissioningJustifyInformation,listCommissioningDevelopedActivities,listCommissioningDifficultiesAppeared,listCommissioningResults,listCommissioningConclusions,listCommissioningEvaluation,listCommissioningStatus,listCommissioningInsertDate,listCommissioningUpdateDate,listCommissioningReviser,listCommissioningProject"
			sortColumn="#{commissioningBean.sortColumn}"
			sortAscending="#{commissioningBean.sortAscending}"
			rowOnMouseOver="this.savedClassName=this.className;this.className='listRowSel';"
			rowOnMouseOut="this.className=this.savedClassName;">

			<%-- Commands --%>
			<h:column>
				<f:facet name="header">
					<f:verbatim>-</f:verbatim>
				</f:facet>
				<t:commandLink action="#{commissioningBean.detail}" immediate="true">
					<f:param name="rowid" value="#{commissioning.id}" />
					<h:graphicImage title="#{msg.entityActions_detail}"
						value="/img/detail.gif" styleClass="cmdImg" />
				</t:commandLink>
			</h:column>
			
			<h:column>
				<f:facet name="header">
					<f:verbatim>-</f:verbatim>
				</f:facet>
				<t:commandLink action="#{commissioningBean.showHistory}" immediate="true">
					<f:param name="rowid" value="#{commissioning.id}" />
					<h:graphicImage title="#{msg.entityActions_showHistory}"
						value="/img/history.png" styleClass="cmdImg" />	
				</t:commandLink>
			</h:column>


			<%-- Field: id --%>
			<h:column>
				<f:facet name="header">
					<t:commandSortHeader styleClass="listHeader" columnName="id">
						<f:facet name="ascending">
							<t:graphicImage value="/img/ascending-arrow.gif" border="0" />
						</f:facet>
						<f:facet name="descending">
							<t:graphicImage value="/img/descending-arrow.gif" border="0" />
						</f:facet>
					</t:commandSortHeader>
				</f:facet>

				<t:commandLink action="#{commissioningBean.detail}" immediate="true">
					<f:param name="rowid" value="#{commissioning.id}" />
					<%-- String field --%>
				</t:commandLink>

			</h:column>

			<%-- Field: status --%>
			<h:column>
				<f:facet name="header">
					<t:commandSortHeader styleClass="listHeader" columnName="status">
						<f:facet name="ascending">
							<t:graphicImage value="/img/ascending-arrow.gif" border="0" />
						</f:facet>
						<f:facet name="descending">
							<t:graphicImage value="/img/descending-arrow.gif" border="0" />
						</f:facet>
						<f:verbatim>${msg['commissioning.status']}</f:verbatim>
					</t:commandSortHeader>
				</f:facet>

				<t:commandLink action="#{commissioningBean.detail}" immediate="true">
					<f:param name="rowid" value="#{commissioning.id}" />
					<%-- Enumerated field --%>
					<h:outputText value="#{commissioning.status}">
						<f:converter converterId="autentia.EnumTranslator" />
					</h:outputText>
				</t:commandLink>

			</h:column>
			
			<%-- Field: requestDate --%>
			<h:column>
				<f:facet name="header">
					<t:commandSortHeader styleClass="listHeader"
						columnName="requestDate">
						<f:facet name="ascending">
							<t:graphicImage value="/img/ascending-arrow.gif" border="0" />
						</f:facet>
						<f:facet name="descending">
							<t:graphicImage value="/img/descending-arrow.gif" border="0" />
						</f:facet>
						<f:verbatim>${msg['commissioning.requestDate']}</f:verbatim>
					</t:commandSortHeader>
				</f:facet>

				<t:commandLink action="#{commissioningBean.detail}" immediate="true">
					<f:param name="rowid" value="#{commissioning.id}" />
					<%-- Date field --%>
					<h:outputText value="#{commissioning.requestDate}"
						converter="autentia.dateConverter" />

				</t:commandLink>

			</h:column>


			<%-- Field: name --%>
			<h:column>
				<f:facet name="header">
					<t:commandSortHeader styleClass="listHeader" columnName="name">
						<f:facet name="ascending">
							<t:graphicImage value="/img/ascending-arrow.gif" border="0" />
						</f:facet>
						<f:facet name="descending">
							<t:graphicImage value="/img/descending-arrow.gif" border="0" />
						</f:facet>
						<f:verbatim>${msg['commissioning.name']}</f:verbatim>
					</t:commandSortHeader>
				</f:facet>

				<t:commandLink action="#{commissioningBean.detail}" immediate="true">
					<f:param name="rowid" value="#{commissioning.id}" />
					<%-- String field --%>
					<h:outputText value="#{commissioning.name}" />
				</t:commandLink>

			</h:column>

			<%-- Field: deliveryDate --%>
			<h:column>
				<f:facet name="header">
					<t:commandSortHeader styleClass="listHeader"
						columnName="deliveryDate">
						<f:facet name="ascending">
							<t:graphicImage value="/img/ascending-arrow.gif" border="0" />
						</f:facet>
						<f:facet name="descending">
							<t:graphicImage value="/img/descending-arrow.gif" border="0" />
						</f:facet>
						<f:verbatim>${msg['commissioning.deliveryDate']}</f:verbatim>
					</t:commandSortHeader>
				</f:facet>

				<t:commandLink action="#{commissioningBean.detail}" immediate="true">
					<f:param name="rowid" value="#{commissioning.id}" />
					<%-- Date field --%>
					<h:outputText value="#{commissioning.deliveryDate}"
						converter="autentia.dateConverter" />
				</t:commandLink>
			</h:column>


			<%-- Field: budget --%>
			<h:column>
				<f:facet name="header">
					<t:commandSortHeader styleClass="listHeader" columnName="budget">
						<f:facet name="ascending">
							<t:graphicImage value="/img/ascending-arrow.gif" border="0" />
						</f:facet>
						<f:facet name="descending">
							<t:graphicImage value="/img/descending-arrow.gif" border="0" />
						</f:facet>
						<f:verbatim>${msg['commissioning.budget']}</f:verbatim>
					</t:commandSortHeader>
				</f:facet>

				<t:commandLink action="#{commissioningBean.detail}" immediate="true">
					<f:param name="rowid" value="#{commissioning.id}" />
					<%-- String field --%>
					<h:outputText value="#{commissioning.budget}" >
						<f:convertNumber maxFractionDigits="2"/>			
					</h:outputText>
				</t:commandLink>

			</h:column>


			<%-- Field: insertDate --%>
			<h:column>
				<f:facet name="header">
					<t:commandSortHeader styleClass="listHeader"
						columnName="insertDate">
						<f:facet name="ascending">
							<t:graphicImage value="/img/ascending-arrow.gif" border="0" />
						</f:facet>
						<f:facet name="descending">
							<t:graphicImage value="/img/descending-arrow.gif" border="0" />
						</f:facet>
						<f:verbatim>${msg['commissioning.insertDate']}</f:verbatim>
					</t:commandSortHeader>
				</f:facet>

				<t:commandLink action="#{commissioningBean.detail}" immediate="true">
					<f:param name="rowid" value="#{commissioning.id}" />
					<%-- Date field --%>
					<h:outputText value="#{commissioning.insertDate}"
						converter="autentia.dateConverter" />

				</t:commandLink>

			</h:column>

			<%-- Field: project --%>
			<h:column>
				<f:facet name="header">
					<t:commandSortHeader styleClass="listHeader" columnName="project">
						<f:facet name="ascending">
							<t:graphicImage value="/img/ascending-arrow.gif" border="0" />
						</f:facet>
						<f:facet name="descending">
							<t:graphicImage value="/img/descending-arrow.gif" border="0" />
						</f:facet>
						<f:verbatim>${msg['commissioning.project']}</f:verbatim>
					</t:commandSortHeader>
				</f:facet>

				<t:commandLink action="#{commissioningBean.detail}" immediate="true">
					<f:param name="rowid" value="#{commissioning.id}" />
					<%-- Referenced field --%>
					<h:outputText value="#{commissioning.project.name}" />

				</t:commandLink>

			</h:column>

		</t:dataTable>

		<%-- Paginator control --%>
		<%@include file="/inc/paginator.jsp"%>

	</h:form>
</f:view>

</body>
</html>

