<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
    <head>
        <%@include file="/inc/uiCore.jsp" %>
    </head>
    <body>

        <!-- contacts.jsp: generated by stajanov code generator -->
        <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
        <i:location place="contacts" msg="${msg}"/>

        <f:view>
            <%@include file="/inc/header.jsp" %>
            <c:if test="${advancedSearchContactBean.launchCSV}">
                  <script>
                     openAdvancedSearchContactReport("/contactSearchResults.csv");
                  </script>
            </c:if>
            <h:form id="contacts">

                <%-- Header --%>
                <i:titleBar msg="${msg}">
                    <h:commandLink action="#{advancedSearchContactBean.advancedSearchNavigation}" immediate="true">
                        <h:graphicImage value="/img/back.gif" styleClass="titleImg" />
                    </h:commandLink>
                    <h:commandLink action="#{advancedSearchContactBean.exportCSV}">
                        <h:graphicImage title="#{msg['contact.exportResults']}" value="/img/page_excel.png" styleClass="titleImg" />
                        <h:outputText value="#{msg['contact.exportResults']}" />
                    </h:commandLink>
                </i:titleBar>

                <%-- List of contacts --%>
                <t:dataTable id="list" var="contact" value="#{advancedSearchContactBean.contactPositions}" preserveDataModel="false"
                             cellpadding="0" cellspacing="0" styleClass="listTable"
                             headerClass="listHeaderCell" footerClass="listFooter"
                             rows="#{settingBean.mySettings.listSize}" rowClasses="listRowO,listRowE"
                             columnClasses="listCmdCell,listCmdCell,listCmdCell,listCmdCell,listCmdCell"
                             sortColumn="#{contactBean.sortColumn}" sortAscending="#{contactBean.sortAscending}"
                             rowOnMouseOver="this.savedClassName=this.className;this.className='listRowSel';"
                             rowOnMouseOut="this.className=this.savedClassName;">
                    <h:column>
                        <f:facet name="header">                 
                            <f:verbatim>${msg['user.active']}</f:verbatim>
                        </f:facet>
                        <h:selectBooleanCheckbox value="#{contact.active}" />
                    </h:column>
                    <h:column>
                        <f:facet name="header">                 
                            <f:verbatim>${msg['contact.name']}</f:verbatim>
                        </f:facet>
                        <h:outputText value="#{contact.name}" />
                    </h:column>
                    <h:column>
                        <f:facet name="header">
                            <f:verbatim>${msg['contact.position']}</f:verbatim>
                        </f:facet>
                        <h:outputText value="#{contact.position}" />
                    </h:column>
                    <h:column>
                        <f:facet name="header">
                            <f:verbatim>${msg['contact.organization']}</f:verbatim>
                        </f:facet>
                        <h:outputText value="#{contact.organization}" />
                    </h:column>
                    <h:column>
                        <f:facet name="header">
                            <f:verbatim>${msg['contact.department']}</f:verbatim>
                        </f:facet>
                        <h:outputText value="#{contact.department}" />
                    </h:column>
                </t:dataTable>
                <%@include file="/inc/paginator.jsp" %>
            </h:form>
        </f:view>
    </body>
</html>

