<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>
    
    <!-- editContact.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="detailContact" msg="${msg}"/> 
    
    <f:view>
      <%@include file="/inc/header.jsp" %>
      <h:form id="contact" enctype="multipart/form-data">
        
        <%-- Header --%>
        <i:titleBar name="${contactBean.name}" msg="${msg}">
          <t:commandLink action="#{contactBean.edit}" immediate="true" rendered="#{contactBean.editAvailable}">
            <f:param name="rowid" value="#{contactBean.id}" />
            <h:graphicImage title="#{msg.entityActions_edit}"  value="/img/edit.gif" styleClass="cmdImg" />
          </t:commandLink>
          <h:commandLink action="#{contactBean.delete}" rendered="#{contactBean.deleteAvailable}" onclick="if( !confirm('#{msg['question.confirmDelete']}') ) return false;">
            <h:graphicImage title="#{msg.entityActions_delete}"  value="/img/delete.gif" styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{contactBean.list}" immediate="true">
            <h:graphicImage title="#{msg.entityActions_back}"  value="/img/back.gif" styleClass="titleImg" />
          </h:commandLink>
        </i:titleBar>


        <%-- Detail form --%>
        <table class="detailTable" cellpadding="0" cellspacing="0">

            
    
  
  
      <%-- Ignored field: id --%>
  
                            
    
  
  
      <%-- Field: name --%>
    <t:htmlTag id="nameRow" value="tr" rendered="#{contactBean.renderName}">
	<td class="detailLabelRW">${msg['contact.name']}:</td>
	<td class="detailFieldCell">
         	       <h:outputText value="#{contactBean.name}" />
 	      </td>
    </t:htmlTag>
                            
    
  
  
      <%-- Field: email --%>
    <t:htmlTag id="emailRow" value="tr" rendered="#{contactBean.renderEmail}">
	<td class="detailLabelRW">${msg['contact.email']}:</td>
	<td class="detailFieldCell">
         	       <h:outputText value="#{contactBean.email}" />
 	      </td>
    </t:htmlTag>
                            
    
      <%-- Field: email2 --%>
    <t:htmlTag id="email2Row" value="tr" rendered="#{contactBean.renderEmail2}">
	<td class="detailLabelRW">${msg['contact.email2']}:</td>
	<td class="detailFieldCell">
         	       <h:outputText value="#{contactBean.email2}" />
 	      </td>
    </t:htmlTag>
  
  
      <%-- Field: phone --%>
    <t:htmlTag id="phoneRow" value="tr" rendered="#{contactBean.renderPhone}">
	<td class="detailLabelRW">${msg['contact.phone']}:</td>
	<td class="detailFieldCell">
         	       <h:outputText value="#{contactBean.phone}" />
 	      </td>
    </t:htmlTag>
                            
        <%-- Field: phone2 --%>
    <t:htmlTag id="phone2Row" value="tr" rendered="#{contactBean.renderPhone2}">
	<td class="detailLabelRW">${msg['contact.phone2']}:</td>
	<td class="detailFieldCell">
         	       <h:outputText value="#{contactBean.phone2}" />
 	      </td>
    </t:htmlTag>
  
  
      <%-- Field: mobile --%>
    <t:htmlTag id="mobileRow" value="tr" rendered="#{contactBean.renderMobile}">
	<td class="detailLabelRW">${msg['contact.mobile']}:</td>
	<td class="detailFieldCell">
         	       <h:outputText value="#{contactBean.mobile}" />
 	      </td>
    </t:htmlTag>
                            
      <%-- Field: fax --%>
    <t:htmlTag id="faxRow" value="tr" rendered="#{contactBean.renderFax}">
	<td class="detailLabelRW">${msg['contact.fax']}:</td>
	<td class="detailFieldCell">
         	       <h:outputText value="#{contactBean.fax}" />
 	      </td>
    </t:htmlTag>


          <%-- Field: country --%>
    <t:htmlTag id="countryRow" value="tr" rendered="#{contactBean.renderCountry}">
	<td class="detailLabelRW">${msg['contact.country']}:</td>
	<td class="detailFieldCell">
         	       <h:outputText value="#{contactBean.country}" />
 	      </td>
    </t:htmlTag>

	<%-- Field: province --%>
    <t:htmlTag id="provinceRow" value="tr" rendered="#{contactBean.renderProvince}">
   		<td class="detailLabelRW">${msg['contact.province']}:</td>
        <td class="detailFieldCell">
			<h:outputText value="#{contactBean.province.name}"/>
		</td>
    </t:htmlTag>
    
	<%-- Field: city --%>
    <t:htmlTag id="cityRow" value="tr" rendered="#{contactBean.renderCity}">
		<td class="detailLabelRW">${msg['contact.city']}:</td>
		<td class="detailFieldCell">
        	<h:outputText value="#{contactBean.city}" />
		</td>
    </t:htmlTag>
    
          <%-- Field: postalCode --%>
    <t:htmlTag id="postalCodeRow" value="tr" rendered="#{contactBean.renderPostalCode}">
	<td class="detailLabelRW">${msg['contact.postalCode']}:</td>
	<td class="detailFieldCell">
         	       <h:outputText value="#{contactBean.postalCode}" />
 	      </td>
    </t:htmlTag>

          <%-- Field: address --%>
    <t:htmlTag id="addressRow" value="tr" rendered="#{contactBean.renderAddress}">
	<td class="detailLabelRW">${msg['contact.address']}:</td>
	<td class="detailFieldCell">
         	       <h:outputText value="#{contactBean.address}" />
 	      </td>
    </t:htmlTag>
  
  
  <%-- Field: position --%>
  
	<t:htmlTag id="contactInfosRow" value="tr" rendered="#{contactBean.renderContactInfos}">
		<td class="editLabelRW">${msg['department.positions']}:</td>
		<td class="editFieldCell" colspan="2">
			<h:panelGroup>
				  <h:panelGroup rendered="#{contactBean.arePositionsSelected}">
					<t:dataTable id="contactInfos" var="contactInfo"
						value="#{contactBean.contactInfos}"
						preserveDataModel="false" cellpadding="0" cellspacing="0"
						styleClass="listTable" headerClass="listHeaderCell"
						footerClass="listFooter" rows="#{settingBean.mySettings.listSize}"
						rowClasses="listRowO,listRowE"
						columnClasses="listCmdCell,listCommissioningId,listCommissioningRequestDate,listCommissioningName,listCommissioningScope,listCommissioningContent,listCommissioningProducts,listCommissioningDeliveryDate,listCommissioningBudget,listCommissioningNotes,listCommissioningAuthorSignature,listCommissioningReviserSignature,listCommissioningAdminSignature,listCommissioningJustifyInformation,listCommissioningDevelopedActivities,listCommissioningDifficultiesAppeared,listCommissioningResults,listCommissioningConclusions,listCommissioningEvaluation,listCommissioningStatus,listCommissioningInsertDate,listCommissioningUpdateDate,listCommissioningReviser,listCommissioningProject"
						rowOnMouseOver="this.savedClassName=this.className;this.className='listRowSel';"
						rowOnMouseOut="this.className=this.savedClassName;">
						
						<h:column>
							<f:facet name="header">
								<f:verbatim>${msg['contact.organization']}</f:verbatim>
							</f:facet>
							<h:outputText value="#{contactInfo.organization.name}"  />
						</h:column>
						<h:column>
							<f:facet name="header">
								<f:verbatim>${msg['contact.department']}</f:verbatim>
							</f:facet>
					 		<h:outputText value="#{contactInfo.department.name}"  />
						</h:column>
						<h:column>
							<f:facet name="header">
								<f:verbatim>${msg['contact.position']}</f:verbatim>
							</f:facet>
					 		<h:outputText value="#{contactInfo.position.name}"  />
						</h:column>
					</t:dataTable>
				</h:panelGroup>
			</h:panelGroup>
		</td>
	</t:htmlTag>
  
  
  
  <%-- Field: tags --%>
		<t:htmlTag id="tagsRow" value="tr" rendered="#{contactBean.renderTags}">
				<td class="editLabelRW">${msg['contact.tags']}:</td>
				<td class="editFieldCell" colspan="2">
					<h:panelGroup>
						
						<h:panelGroup rendered="#{contactBean.areTagsSelected}">
							<h:message styleClass="error" showSummary="true" showDetail="false"
								for="tags" />
							
							<t:dataTable id="tags" var="tagData"
								value="#{contactBean.departmentTags}"
								preserveDataModel="false" cellpadding="0" cellspacing="0"
								styleClass="listTable" headerClass="listHeaderCell"
								footerClass="listFooter" rows="#{settingBean.mySettings.listSize}"
								rowClasses="listRowO,listRowE"
								columnClasses="listCmdCell"
								rowOnMouseOver="this.savedClassName=this.className;this.className='listRowSel';"
								rowOnMouseOut="this.className=this.savedClassName;">							
								<h:column>
									<f:facet name="header">
										<f:verbatim>${msg['tag.name']}</f:verbatim>
									</f:facet>
									<h:outputText value="#{tagData.name}"  />
								</h:column>
								<h:column>
									<f:facet name="header">
										<f:verbatim>${msg['tag.description']}</f:verbatim>
									</f:facet>
									<h:outputText value="#{tagData.description}"  />
								</h:column>							
							</t:dataTable>
						</h:panelGroup>
					</h:panelGroup>
				</td>
			</t:htmlTag>
  
  
  
  
      <%-- Field: notified --%>
    <t:htmlTag id="notifiedRow" value="tr" rendered="#{contactBean.renderNotified}">
	<td class="detailLabelRW">${msg['contact.notified']}:</td>
	<td class="detailFieldCell">
        		<h:selectBooleanCheckbox id="notified" value="#{contactBean.notified}" disabled="true"/>
              </td>
    </t:htmlTag>
    
                            
	<%-- Field: Owners --%>
	<t:htmlTag id="ownersRow" value="tr" rendered="#{contactBean.renderOwners}">
				<td class="editLabelRW">${msg['editContact.owners']}:</td>
				<td class="editFieldCell" colspan="2">
					<h:panelGroup>
						<h:panelGroup rendered="#{contactBean.areOwnersSelected}">
							<h:message styleClass="error" showSummary="true" showDetail="false"
								for="owners" />
							<t:dataTable id="owners" var="ownerData"
								value="#{contactBean.owners}"
								preserveDataModel="false" cellpadding="0" cellspacing="0"
								styleClass="listTable" headerClass="listHeaderCell"
								footerClass="listFooter" rows="#{settingBean.mySettings.listSize}"
								rowClasses="listRowO,listRowE"
								columnClasses="listCmdCell"
								rowOnMouseOver="this.savedClassName=this.className;this.className='listRowSel';"
								rowOnMouseOut="this.className=this.savedClassName;">					
								<h:column>
									<f:facet name="header">
										<f:verbatim>${msg['editContact.owner']}</f:verbatim>
									</f:facet>
									<h:outputText value="#{ownerData.name}"/>
								</h:column>						
							</t:dataTable>
						</h:panelGroup>
					</h:panelGroup>
				</td>
			</t:htmlTag>
        </table>

      </h:form>
    </f:view>
    
  </body>
</html>  		

<%-- contact - generated by stajanov (do not edit/delete) --%>
