<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>
    
    <!-- editInteraction.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="editInteraction" msg="${msg}"/> 
    
    <f:view>
        <%@include file="/inc/header.jsp" %>
      <h:form id="interaction" enctype="multipart/form-data">
        
        <%-- Header --%>
        <i:titleBar msg="${msg}">
          <h:commandLink action="#{interactionBean.save}" onclick="if(!askSave('#{interactionBean.id}','#{msg['question.confirmSave']}')) return false;">
            <h:graphicImage title="#{msg.entityActions_save}"  value="/img/save.gif" styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{interactionBean.delete}" onclick="if( !confirm('#{msg['question.confirmDelete']}') ) return false;">
            <h:graphicImage title="#{msg.entityActions_delete}"  value="/img/delete.gif" styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{interactionBean.list}" immediate="true">
            <h:graphicImage title="#{msg.entityActions_back}"  value="/img/back.gif" styleClass="titleImg" />
          </h:commandLink>
        </i:titleBar>        

        <%-- Edition form --%>
        <table class="editTable" cellpadding="0" cellspacing="0">

        <%-- Ignored field: id --%>
		
		<%-- Field: organization --%>
          <tr>
            <td class="editLabelRW">${msg['interaction.organization']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="organization" />
                <h:selectOneMenu id="organization" value="#{interactionBean.selectedOrganization}" immediate="true" onchange="submit()"
                     valueChangeListener="#{interactionBean.onSelectedOrganizationChanged}">
                  <f:selectItems value="#{interactionBean.organizations}" />
                  <f:converter converterId="autentia.EntityConverter"/>
                </h:selectOneMenu>
              </h:panelGroup>
            </td>
          </tr>
		
		<%-- Field: project --%>
          <tr>
            <td class="editLabelRW">*${msg['interaction.project']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="project" />
                <h:selectOneMenu id="project" value="#{interactionBean.project}" required="true" styleClass="requiredFieldClass" >
                  <f:selectItems value="#{interactionBean.projectsBySelectedOrganization}" />
                  <f:converter converterId="autentia.EntityConverter"/>
                </h:selectOneMenu>
              </h:panelGroup>
            </td>
          </tr>

          <%-- Field: type --%>
          <tr>
            <td class="editLabelRW">*${msg['interaction.type']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="type" />
                <h:selectOneMenu id="type" value="#{interactionBean.type}" required="true" styleClass="requiredFieldClass" >
                  <f:selectItems value="#{interactionBean.types}" />
                  <f:converter converterId="autentia.EntityConverter"/>
                </h:selectOneMenu>
              </h:panelGroup>
            </td>
          </tr>
		
          <%-- Field: creationDate --%>
          <tr>
            <td class="editLabelRW">*${msg['interaction.creationDate']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="creationDate" />
                <t:inputCalendar id="creationDate" value="#{interactionBean.creationDate}"
                				required="true" styleClass="requiredFieldClass"
                                 renderAsPopup="true" popupDateFormat="d/MM/yyyy" renderPopupButtonAsImage="true" 
                                 popupTodayString="#{msg['calendar.today']}" popupWeekString="#{msg['calendar.week']}" 
	                             >
					<f:validator validatorId="autentia.dateValidator"/>
				</t:inputCalendar>
              </h:panelGroup>
            </td>
          </tr>

          <%-- Field: interest --%>
          <tr>
            <td class="editLabelRW">*${msg['interaction.interest']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="interest" />
                <h:selectOneMenu id="interest" value="#{interactionBean.interest}" required="true" styleClass="requiredFieldClass" >
                  <f:converter converterId="autentia.EnumConverter"/>
                  <f:selectItems value="#{interactionBean.interests}" />
                </h:selectOneMenu>
              </h:panelGroup>
            </td>
          </tr>

          <%-- Field: description --%>
          <tr>
            <td class="editLabelRW">*${msg['interaction.description']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="description" />
                <h:inputTextarea id="description" value="#{interactionBean.description}" rows="5" cols="68" required="true" styleClass="requiredFieldClass"/>
              </h:panelGroup>
            </td>
          </tr>

          <%-- Field: file --%>
          <tr>
            <td class="editLabelRW">${msg['interaction.file']}:</td>
            <td class="editFieldCell">
              <i:fileLink type="interaction" objectId="${interactionBean.id}" file="${interactionBean.file}" mime="${interactionBean.fileMime}" /> 
              <h:panelGroup>
                <h:message styleClass="error" showSummary="true" showDetail="false" for="file" />
                <t:inputFileUpload id="file" size="58" maxlength="400" value="#{interactionBean.uploadFile}" storage="file" />
              </h:panelGroup>
            </td>
          </tr>

          <%-- Ignored field: fileMime --%>
         

          <%-- Ignored field: user --%>

        </table>
        
      </h:form>
    </f:view>
    
  </body>
</html>  		

