<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

 <%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>

    <!-- interactions.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="interactions" msg="${msg}"/> 
    
    <f:view>
      <%@include file="/inc/header.jsp" %>
      <h:form id="interactions">
        
        <%-- Header --%>
        <i:titleBar msg="${msg}">
          <h:commandLink action="#{interactionBean.search}">
            <h:graphicImage title="#{msg.entityActions_search}"  value="/img/search.gif" styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{interactionBean.reset}">
            <h:graphicImage rendered="#{interactionBean.search.searchActive}" title="#{msg.entityActions_reset}"  value="/img/eraser.png" styleClass="titleImg" />           
          </h:commandLink>
          <h:commandLink action="#{interactionBean.create}">
            <h:graphicImage title="#{msg.entityActions_create}"  value="/img/new.gif" styleClass="titleImg" />
          </h:commandLink>
        </i:titleBar>
        
        <%-- List of interactions --%>
        <t:dataTable id="list" var="interaction" value="#{interactionBean.allMine}" preserveDataModel="false" 
            cellpadding="0" cellspacing="0" styleClass="listTable" 
            headerClass="listHeaderCell" footerClass="listFooter" 
            rows="#{settingBean.mySettings.listSize}" rowClasses="listRowO,listRowE"
            columnClasses="listCmdCell,listInteractionOrganization,listInteractionProject,listInteractionType,listInteractionCreationDate,listInteractionInterest,listInteractionWhy,listInteractionUser"
            sortColumn="#{interactionBean.sortColumn}" sortAscending="#{interactionBean.sortAscending}"
            rowOnMouseOver="this.savedClassName=this.className;this.className='listRowSel';" 
	    	rowOnMouseOut="this.className=this.savedClassName;">
          
          <%-- Commands --%>
          <h:column>
            <f:facet name="header">
              <f:verbatim>-</f:verbatim>
            </f:facet>
            <t:commandLink action="#{interactionBean.detail}" immediate="true">
              <f:param name="rowid" value="#{interaction.id}" />
              <h:graphicImage title="#{msg.entityActions_detail}"  value="/img/detail.gif" styleClass="cmdImg" />
            </t:commandLink>
          </h:column>

          <%-- Ignored field: id --%>		  
			
		 <%-- Field: organization --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="project.client.name">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['interaction.organization']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Referenced field --%>
            <t:commandLink action="#{interactionBean.detail}" immediate="true">
              <f:param name="rowid" value="#{interaction.id}" />
            <h:outputText value="#{interaction.project.client.name}" />
            </t:commandLink>
          </h:column>
		
          <%-- Field: project --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="project.name">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['interaction.project']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <t:commandLink action="#{interactionBean.detail}" immediate="true">
              <f:param name="rowid" value="#{interaction.id}" />
            <%-- Referenced field --%>
            <h:outputText value="#{interaction.project.name}" />
            </t:commandLink>
          </h:column>

          <%-- Field: type --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="type.name">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['interaction.type']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <t:commandLink action="#{interactionBean.detail}" immediate="true">
              <f:param name="rowid" value="#{interaction.id}" />
            <%-- Referenced field --%>
            <h:outputText value="#{interaction.type.name}" />
            </t:commandLink>
          </h:column>
		  
          <%-- Field: creationDate --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="creationDate">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['interaction.creationDate']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <t:commandLink action="#{interactionBean.detail}" immediate="true">
              <f:param name="rowid" value="#{interaction.id}" />
            <%-- Date field --%>
            <h:outputText value="#{interaction.creationDate}" converter="autentia.dateConverter"/>
            </t:commandLink>
          </h:column>

          <%-- Field: interest --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="interest">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['interaction.interest']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Enumerated field --%>
            <t:commandLink action="#{interactionBean.detail}" immediate="true">
              <f:param name="rowid" value="#{interaction.id}" />
            <h:outputText value="#{interaction.interest}">
              <f:converter converterId="autentia.EnumTranslator"/>
            </h:outputText>
            </t:commandLink>
          </h:column>

          <%-- Field: description --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="description">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['interaction.description']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <t:commandLink action="#{interactionBean.detail}" immediate="true">
              <f:param name="rowid" value="#{interaction.id}" />
            <%-- String field --%>
            <h:outputText value="#{interaction.description}">
            	<f:converter converterId="autentia.CutStringTranslator"/>
            </h:outputText>
            </t:commandLink>
          </h:column>

          <%-- Ignored field: file --%>

          <%-- Ignored field: fileMime --%>
        

          <%-- Field: user --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="user.name">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['interaction.user']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <t:commandLink action="#{interactionBean.detail}" immediate="true">
              <f:param name="rowid" value="#{interaction.id}" />
            <%-- Referenced field --%>
            <h:outputText value="#{interaction.user.name}" />
            </t:commandLink>
          </h:column>

        </t:dataTable>
          
        <%-- Paginator control --%>
        <%@include file="/inc/paginator.jsp" %>
        
      </h:form>
    </f:view>
    
  </body>
</html>  		

