<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>
    
    <!-- searchInteraction.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="searchInteraction" msg="${msg}"/> 
    
    <f:view>
        <%@include file="/inc/header.jsp" %>
      <h:form id="search" enctype="multipart/form-data">
        
        <%-- Header --%>
        <i:titleBar msg="${msg}">
          <h:commandLink action="#{interactionBean.list}">
            <h:graphicImage title="#{msg.entityActions_run}"  value="/img/run.png" styleClass="titleImg" />
          </h:commandLink>
        </i:titleBar>
        
        <%-- Search form --%>
        <table class="searchTable" cellpadding="0" cellspacing="0">

          
      <%-- Ignored field: id --%>

                        
      <%-- Field: creationDate --%>
    <tr>
      <td class="searchLabel">${msg['interaction.creationDate']}:</td>
      <td class="searchFieldCell">

        
                    
          <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="startCreationDate" />
            <h:selectBooleanCheckbox id="startCreationDateValid" value="#{interactionBean.searchStartCreationDateValid}" 
                                      onclick="setEnabled('search:startCreationDate',this.checked)"/>
            <t:inputCalendar id="startCreationDate" value="#{interactionBean.searchStartCreationDate}"
                             renderAsPopup="true" popupDateFormat="d/MM/yyyy" renderPopupButtonAsImage="true" 
                             popupTodayString="#{msg['calendar.today']}" popupWeekString="#{msg['calendar.week']}"
                             onchange="setEnabled('search:startCreationDate',true);setChecked('search:startCreationDateValid',true);"
                             >
				<f:validator validatorId="autentia.dateValidator"/>
			</t:inputCalendar>
          </h:panelGroup>
          -
          <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="endCreationDate" />
            <h:selectBooleanCheckbox id="endCreationDateValid" value="#{interactionBean.searchEndCreationDateValid}" 
                                      onclick="setEnabled('search:endCreationDate',this.checked)"/>
            <t:inputCalendar id="endCreationDate" value="#{interactionBean.searchEndCreationDate}"
                             renderAsPopup="true" popupDateFormat="d/MM/yyyy" renderPopupButtonAsImage="true" 
                             popupTodayString="#{msg['calendar.today']}" popupWeekString="#{msg['calendar.week']}"
                             onchange="setEnabled('search:endCreationDate',true);setChecked('search:endCreationDateValid',true);"
                             >
				<f:validator validatorId="autentia.dateValidator"/>
			</t:inputCalendar>
          </h:panelGroup>
          <script>
            setEnabled( 'search:startCreationDate', ${interactionBean.searchStartCreationDateValid} )
            setEnabled( 'search:endCreationDate', ${interactionBean.searchEndCreationDateValid} )
          </script>

        
      </td>
    </tr>
                        
      <%-- Field: interest --%>
    <tr>
      <td class="searchLabel">${msg['interaction.interest']}:</td>
      <td class="searchFieldCell">

        
          
          <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="interest" />
            <h:selectBooleanCheckbox id="interestValid" value="#{interactionBean.searchInterestValid}" 
                                      onclick="setEnabled('search:interest',this.checked)"/>
            <h:selectOneMenu id="interest" value="#{interactionBean.searchInterest}" onclick="setEnabled('search:interest',true)">
              <f:converter converterId="autentia.EnumConverter"/>
              <f:selectItems value="#{interactionBean.interests}" />
            </h:selectOneMenu>
          </h:panelGroup>
          <script>
            setEnabled( 'search:interest', ${interactionBean.searchInterestValid} )
          </script>

        
      </td>
    </tr>
                        
      <%-- Field: description --%>
    <tr>
      <td class="searchLabel">${msg['interaction.description']}:</td>
      <td class="searchFieldCell">

        
          
          <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="description" />
            <h:selectBooleanCheckbox id="descriptionValid" value="#{interactionBean.searchDescriptionValid}" 
                                      onclick="setEnabled('search:description',this.checked)"/>
            <h:inputText id="description" value="#{interactionBean.searchDescription}" size="70"/>
          </h:panelGroup>
          <script>
            setEnabled( 'search:description', ${interactionBean.searchDescriptionValid} )
          </script>

        
      </td>
    </tr>
                        
      <%-- Ignored field: file --%>

                        
      <%-- Ignored field: fileMime --%>
                        
      <%-- Ignored field: departmentId --%>

                        
      <%-- Ignored field: insertDate --%>

                        
      <%-- Ignored field: updateDate --%>

                                  
      <%-- Field: project --%>
    <tr>
      <td class="searchLabel">${msg['interaction.organization']} / ${msg['interaction.project']}:</td>
      <td class="searchFieldCell">

        
          
          <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="project" />
            <h:selectBooleanCheckbox id="projectValid" value="#{interactionBean.searchProjectValid}" 
                                      onclick="setEnabled('search:organization',this.checked);setEnabled('search:project',this.checked)"/>
            <h:selectOneMenu id="organization" value="#{interactionBean.selectedOrganization}" immediate="true" onchange="submit()"
                     valueChangeListener="#{interactionBean.onSelectedOrganizationSearchChanged}" onclick="setEnabled('search:organization',true);setEnabled('search:project',true)">
              <f:selectItems value="#{interactionBean.organizations}" />
              <f:converter converterId="autentia.EntityConverter"/>
            </h:selectOneMenu>
            <h:selectOneMenu id="project" value="#{interactionBean.searchProject}" onclick="setEnabled('search:organization',true);setEnabled('search:project',true)">
              <f:selectItems value="#{interactionBean.projectsBySelectedOrganization}" />
              <f:converter converterId="autentia.EntityConverter"/>
            </h:selectOneMenu>
          </h:panelGroup>
          <script>
          	setEnabled( 'search:project', ${interactionBean.searchProjectValid} );
            setEnabled( 'search:organization', ${interactionBean.searchProjectValid} );
          </script>

        
      </td>
    </tr> 
                        
      <%-- Field: type --%>
    <tr>
      <td class="searchLabel">${msg['interaction.type']}:</td>
      <td class="searchFieldCell">

        
          
          <h:panelGroup>
            <h:message styleClass="error" showSummary="true" showDetail="false" for="type" />
            <h:selectBooleanCheckbox id="typeValid" value="#{interactionBean.searchTypeValid}" 
                                      onclick="setEnabled('search:type',this.checked)"/>
            <h:selectOneMenu id="type" value="#{interactionBean.searchType}" onclick="setEnabled('search:type',true)">
              <f:selectItems value="#{interactionBean.types}" />
              <f:converter converterId="autentia.EntityConverter"/>
            </h:selectOneMenu>
          </h:panelGroup>
          <script>
            setEnabled( 'search:type', ${interactionBean.searchTypeValid} )
          </script>

        
      </td>
    </tr>
                        
      <%-- Ignored field: user --%>

                        
      <%-- Ignored field: offer --%>

                                
        </table>
        
      </h:form>
    </f:view>
    
  </body>
</html>  		
