<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

 <%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>

    <!-- documentCategorys.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="documentCategorys" msg="${msg}"/> 
    
    <f:view>
      <%@include file="/inc/header.jsp" %>
      <h:form id="documentCategorys">
        
        <%-- Header --%>
        <i:titleBar msg="${msg}">
          <h:commandLink action="#{documentCategoryBean.search}">
            <h:graphicImage rendered="#{ documentCategoryBean.search.searchActive}" title="#{msg.entityActions_filtered}"  value="/img/search_applied.gif" styleClass="titleImg" />
            <h:graphicImage rendered="#{!documentCategoryBean.search.searchActive}" title="#{msg.entityActions_search}"    value="/img/search.gif"         styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{documentCategoryBean.reset}">
            <h:graphicImage rendered="#{documentCategoryBean.search.searchActive}" title="#{msg.entityActions_reset}"  value="/img/eraser.png" styleClass="titleImg" />           
          </h:commandLink>
          <h:commandLink action="#{documentCategoryBean.create}">
            <h:graphicImage title="#{msg.entityActions_create}"  value="/img/new.gif" styleClass="titleImg" />
          </h:commandLink>
        </i:titleBar>
        
        <%-- ABC quick pager --%>
          <div class="abcPager">
            <h:outputText value="#{msg['abcPager.title']}" styleClass="abcPagerTitle"/>
            <a:abcPager styleClass="abcPagerLetter" selectedStyleClass="abcPagerSelectedLetter" 
                        value="#{documentCategoryBean.letter}" action="#{documentCategoryBean.letterClicked}"
                        allowUnselect="true" unselectImage="/img/no_funnel.png"/>
          </div>
        
        <%-- List of documentCategorys --%>
        <t:dataTable id="list" var="documentCategory" value="#{documentCategoryBean.all}" preserveDataModel="false" 
            cellpadding="0" cellspacing="0" styleClass="listTable" 
            headerClass="listHeaderCell" footerClass="listFooter" 
            rows="#{settingBean.mySettings.listSize}" rowClasses="listRowO,listRowE"
            columnClasses="listCmdCell,listDocumentCategoryName,listDocumentCategoryUpdated,listDocumentCategoryCode,listDocumentCategoryPadre"
            sortColumn="#{documentCategoryBean.sortColumn}" sortAscending="#{documentCategoryBean.sortAscending}">
          
          
          <%-- Commands --%>
          <h:column>
            <f:facet name="header">
              <f:verbatim>-</f:verbatim>
            </f:facet>
            <t:commandLink action="#{documentCategoryBean.documents}" immediate="true">
              <f:param name="rowid" value="#{documentCategory.id}" />
              <h:graphicImage value="/img/blue-folder-closed.png" styleClass="cmdImg" />
            </t:commandLink>
            <t:commandLink action="#{documentCategoryBean.detail}" immediate="true">
              <f:param name="rowid" value="#{documentCategory.id}" />
              <h:graphicImage title="#{msg.entityActions_detail}"  value="/img/detail.gif" styleClass="cmdImg" />
            </t:commandLink>
          </h:column>

          <%-- Ignored field: id --%>

          <%-- Field: name --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="name">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['documentCategory.name']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
<%-- !!! MODIFICACIÓN MANUAL !!! --%>
            <t:commandLink action="#{documentCategoryBean.documents}" immediate="true">
                <f:param name="rowid" value="#{documentCategory.id}" />
	            <h:outputText value="#{documentCategory.name}" />
            </t:commandLink>
          </h:column>

          <h:column>
      		<f:verbatim>
            	<h:graphicImage title="#{msg.entityActions_hasUpdates}" value="/img/updated.gif" styleClass="titleImg" rendered="#{documentCategory.hasUpdatedDocuments}" />
			</f:verbatim>
          </h:column>
<%-- !!! MODIFICACIÓN MANUAL !!! --%>

          <%-- Ignored field: description --%>

          <%-- Field: code --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="code">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['documentCategory.code']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- String field --%>
            <h:outputText value="#{documentCategory.code}"/>
          </h:column>

          <%-- Field: padre --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="padre.name">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['documentCategory.padre']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Referenced field --%>
            <h:outputText value="#{documentCategory.padre.name}" />
          </h:column>

        </t:dataTable>
          
        <%-- Paginator control --%>
        <%@include file="/inc/paginator.jsp" %>
        
      </h:form>
    </f:view>
    
  </body>
</html>  		

