<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

 <%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>

    <!-- documents.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="documents" msg="${msg}"/> 
    
    <f:view>
      <%@include file="/inc/header.jsp" %>
      <h:form id="documents">
        
        <%-- Header --%>
        <i:titleBar msg="${msg}">
          <h:commandLink action="#{documentBean.search}">
            <h:graphicImage rendered="#{ documentBean.search.searchActive}" title="#{msg.entityActions_filtered}"  value="/img/search_applied.gif" styleClass="titleImg" />
            <h:graphicImage rendered="#{!documentBean.search.searchActive}" title="#{msg.entityActions_search}"    value="/img/search.gif"         styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{documentBean.reset}">
            <h:graphicImage rendered="#{documentBean.search.searchActive}" title="#{msg.entityActions_reset}"  value="/img/eraser.png" styleClass="titleImg" />           
          </h:commandLink>
          <h:commandLink action="#{documentBean.create}">
            <h:graphicImage title="#{msg.entityActions_create}"  value="/img/new.gif" styleClass="titleImg" />
          </h:commandLink>
        </i:titleBar>
        
         <%-- ABC quick pager --%>
          <div class="abcPager">
            <h:outputText value="#{msg['abcPager.title']}" styleClass="abcPagerTitle"/>
            <a:abcPager styleClass="abcPagerLetter" selectedStyleClass="abcPagerSelectedLetter" 
                        value="#{documentBean.letter}" action="#{documentBean.letterClicked}"
                        allowUnselect="true" unselectImage="/img/no_funnel.png"/>
          </div>
        
        <%-- List of documents --%>
        <t:dataTable id="list" var="document" value="#{documentBean.all}" preserveDataModel="false" 
            cellpadding="0" cellspacing="0" styleClass="listTable" 
            headerClass="listHeaderCell" footerClass="listFooter" 
            rows="#{settingBean.mySettings.listSize}" rowClasses="listRowO,listRowE"
            columnClasses="listCmdCell,listDocumentCreationDate,listDocumentName"
            sortColumn="#{documentBean.sortColumn}" sortAscending="#{documentBean.sortAscending}">
          
         <%-- Commands --%>
          <h:column>
            <f:facet name="header">
              <f:verbatim>-</f:verbatim>
            </f:facet>
            <t:commandLink action="#{documentBean.detail}" immediate="true">
              <f:param name="rowid" value="#{document.id}" />
              <h:graphicImage title="#{msg.entityActions_detail}"  value="/img/detail.gif" styleClass="cmdImg" />
            </t:commandLink>
          </h:column>

          <%-- Ignored field: id --%>

          <%-- Field: creationDate --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="creationDate">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['document.creationDate']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- Date field --%>
            <h:outputText value="#{document.creationDate}" converter="autentia.dateConverter"/>
          </h:column>

          <%-- Field: name --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="name">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['document.name']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- String field --%>
            <h:outputText value="#{document.name}" />
          </h:column>

          <%-- !!! MODIFICACIÓN MANUAL !!! --%>
          <h:column>
            <f:facet name="header">
              <t:commandSortHeader styleClass="listHeader" columnName="name">
                <f:facet name="ascending">
                  <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
                </f:facet>
                <f:facet name="descending">
                  <t:graphicImage value="/img/descending-arrow.gif" border="0" />
                </f:facet>
                <f:verbatim>${msg['document.lastVersion']}</f:verbatim>
              </t:commandSortHeader>
            </f:facet>
            <%-- File field --%>
      		<f:verbatim>
				<h:outputText rendered="#{document.lastVersionDocumentPath!=null}" value="<a href=\"#\" onclick=\"openDocumentFile('#{document.lastVersionDocumentPath}');return false;\"><img src='../../img/yellow-folder-open.png' style='border:0; vertical-align:middle;'>&nbsp;#{document.lastVersionNumber}</a>" escape="false"/>
			</f:verbatim>
          </h:column>
          <%-- !!! MODIFICACIÓN MANUAL !!! --%>

        </t:dataTable>
          
        <%-- Paginator control --%>
        <%@include file="/inc/paginator.jsp" %>
        
      </h:form>
    </f:view>
    
  </body>
</html>  		

