<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>

    <!-- adminHolidays.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="adminHolidays" msg="${msg}"/> 
    
    <f:view>
     <%@include file="/inc/header.jsp" %>
      <h:form id="adminHolidays">
        
        <%-- Header --%>
        <i:titleBar msg="${msg}">
          <h:commandLink action="#{adminHolidayBean.search}">
            <h:graphicImage rendered="#{ adminHolidayBean.search.searchActive}" title="#{msg.entityActions_filtered}"  value="/img/search_applied.gif" styleClass="titleImg" />
            <h:graphicImage rendered="#{!adminHolidayBean.search.searchActive}" title="#{msg.entityActions_search}"    value="/img/search.gif"         styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{adminHolidayBean.reset}">
            <h:graphicImage rendered="#{adminHolidayBean.search.searchActive}" title="#{msg.entityActions_reset}"  value="/img/eraser.png" styleClass="titleImg" />           
          </h:commandLink>
          <h:commandLink action="#{adminHolidayBean.create}" rendered="#{adminHolidayBean.createAvailable}">
            <h:graphicImage title="#{msg.entityActions_create}"  value="/img/new.gif" styleClass="titleImg" />
          </h:commandLink>
        </i:titleBar>
        
        
        <%-- List of adminHolidays --%>
        <t:dataTable id="list" var="adminHoliday" value="#{adminHolidayBean.all}" preserveDataModel="false" 
            cellpadding="0" cellspacing="0" styleClass="listTable" 
            headerClass="listHeaderCell" footerClass="listFooter" 
            rows="#{settingBean.mySettings.listSize}" rowClasses="listRowO,listRowE"
            columnClasses="listCmdCell,listAdminHolidayBeginDate,listAdminHolidayFinalDate,listAdminHolidayState,listAdminHolidayObservations,listAdminHolidayUserComment,listAdminHolidayChargeYear,listAdminHolidayUserRequest"
            sortColumn="#{adminHolidayBean.sortColumn}" sortAscending="#{adminHolidayBean.sortAscending}"
	    rowOnMouseOver="this.savedClassName=this.className;this.className='listRowSel';" 
	    rowOnMouseOut="this.className=this.savedClassName;">
          
          <%-- Commands --%>
          <h:column>
            <f:facet name="header">
              <f:verbatim>-</f:verbatim>
            </f:facet>
            <t:commandLink action="#{adminHolidayBean.detail}" immediate="true">
              <f:param name="rowid" value="#{adminHoliday.id}" />
              <h:graphicImage title="#{msg.entityActions_detail}"  value="/img/detail.gif" styleClass="cmdImg" />
            </t:commandLink>
          </h:column>


      <%-- Ignored field: id --%>
  

      <%-- Field: beginDate --%>
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="beginDate">
                 <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['adminHoliday.beginDate']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{adminHolidayBean.detail}" immediate="true">
	<f:param name="rowid" value="#{adminHoliday.id}" />
		  <%-- Date field --%>
	  <h:outputText value="#{adminHoliday.beginDate}" converter="autentia.dateConverter"/>

	      </t:commandLink>

    </h:column>
  

      <%-- Field: finalDate --%>
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="finalDate">
                 <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['adminHoliday.finalDate']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{adminHolidayBean.detail}" immediate="true">
	<f:param name="rowid" value="#{adminHoliday.id}" />
		  <%-- Date field --%>
	  <h:outputText value="#{adminHoliday.finalDate}" converter="autentia.dateConverter"/>

	      </t:commandLink>

    </h:column>
  

      <%-- Field: state --%>
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="state">
                 <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['adminHoliday.state']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{adminHolidayBean.detail}" immediate="true">
	<f:param name="rowid" value="#{adminHoliday.id}" />
		  <%-- Enumerated field --%>
	  <h:outputText value="#{adminHoliday.state}">
	    <f:converter converterId="autentia.EnumTranslator"/>
	  </h:outputText>
	      </t:commandLink>

    </h:column>
  

      <%-- Field: observations --%>
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="observations">
                 <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['adminHoliday.observations']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{adminHolidayBean.detail}" immediate="true">
	<f:param name="rowid" value="#{adminHoliday.id}" />
		  <%-- String field --%>
	  <h:outputText value="#{adminHoliday.observations}" />
	      </t:commandLink>

    </h:column>
  

      <%-- Field: userComment --%>
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="userComment">
                 <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['adminHoliday.userComment']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{adminHolidayBean.detail}" immediate="true">
	<f:param name="rowid" value="#{adminHoliday.id}" />
		  <%-- String field --%>
	  <h:outputText value="#{adminHoliday.userComment}" />
	      </t:commandLink>

    </h:column>
  

      <%-- Field: chargeYear --%>
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="chargeYear">
                 <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['adminHoliday.chargeYear']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{adminHolidayBean.detail}" immediate="true">
	<f:param name="rowid" value="#{adminHoliday.id}" />
		  <%-- Date field --%>
	  <h:outputText value="#{adminHoliday.chargeYear}" converter="autentia.date2YearConverter"/>

	      </t:commandLink>

    </h:column>
  

      <%-- Ignored field: departmentId --%>
  

      <%-- Ignored field: insertDate --%>
  

      <%-- Ignored field: updateDate --%>
  

      <%-- Field: userRequest --%>
    <h:column>
      <f:facet name="header">
      	        <t:commandSortHeader styleClass="listHeader" columnName="userRequest.name">
                 <f:facet name="ascending">
            <t:graphicImage value="/img/ascending-arrow.gif" border="0" />
          </f:facet>
          <f:facet name="descending">
            <t:graphicImage value="/img/descending-arrow.gif" border="0" />
          </f:facet>
          <f:verbatim>${msg['adminHoliday.userRequest']}</f:verbatim>
        </t:commandSortHeader>
      </f:facet>

      <t:commandLink action="#{adminHolidayBean.detail}" immediate="true">
	<f:param name="rowid" value="#{adminHoliday.id}" />
		  <%-- Referenced field --%>
	  <h:outputText value="#{adminHoliday.userRequest.name}" />

	      </t:commandLink>

    </h:column>
  
        </t:dataTable>
          
        <%-- Paginator control --%>
        <%@include file="/inc/paginator.jsp" %>
        
      </h:form>
    </f:view>
    
  </body>
</html>  		

