<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp"%>

<html>
<head>
<%@include file="/inc/uiCore.jsp"%>
</head>
<body>

<!-- editTag.jsp: generated by stajanov code generator -->
<f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
<i:location place="detailTag" msg="${msg}" />

<f:view>
	<%@include file="/inc/header.jsp"%>
	<h:form id="tag" enctype="multipart/form-data">

		<%-- Header --%>
		<i:titleBar name="${tagBean.${desc-props.getProperty("
			editTitleField")}}" msg="${msg}">
			<t:commandLink action="#{tagBean.edit}" immediate="true"
				rendered="#{tagBean.editAvailable}">
				<f:param name="id" value="#{tagBean.id}" />
				<h:graphicImage title="#{msg.entityActions_edit}"
					value="/img/edit.gif" styleClass="cmdImg" />
			</t:commandLink>
			<h:commandLink action="#{tagBean.delete}"
				rendered="#{tagBean.deleteAvailable}"
				onclick="if( !confirm('#{msg['question.confirmDelete']}') ) return false;">
				<h:graphicImage title="#{msg.entityActions_delete}"
					value="/img/delete.gif" styleClass="titleImg" />
			</h:commandLink>
			<h:commandLink action="#{tagBean.list}" immediate="true">
				<h:graphicImage title="#{msg.entityActions_back}"
					value="/img/back.gif" styleClass="titleImg" />
			</h:commandLink>
		</i:titleBar>


		<%-- Detail form --%>
		<table class="detailTable" cellpadding="0" cellspacing="0">





			<%-- Field: id --%>
			<tr>
				<td class="detailLabelRW">${msg['tag.id']}:</td>
				<td class="detailFieldCell"><h:outputText value="#{tagBean.id}" />
				</td>
			</tr>




			<%-- Field: name --%>
			<tr>
				<td class="detailLabelRW">${msg['tag.name']}:</td>
				<td class="detailFieldCell"><h:outputText
					value="#{tagBean.name}" /></td>
			</tr>




			<%-- Field: description --%>
			<tr>
				<td class="detailLabelRW">${msg['tag.description']}:</td>
				<td class="detailFieldCell"><h:outputText
					value="#{tagBean.description}" /></td>
			</tr>




			<%-- Field: ownerId --%>
			<tr>
				<td class="detailLabelRW">${msg['tag.ownerId']}:</td>
				<td class="detailFieldCell"><h:outputText
					value="#{tagBean.ownerId}" /></td>
			</tr>




			<%-- Field: departmentId --%>
			<tr>
				<td class="detailLabelRW">${msg['tag.departmentId']}:</td>
				<td class="detailFieldCell"><h:outputText
					value="#{tagBean.departmentId}" /></td>
			</tr>




			<%-- Field: insertDate --%>
			<tr>
				<td class="detailLabelRW">${msg['tag.insertDate']}:</td>
				<td class="detailFieldCell"><h:outputText
					value="#{tagBean.insertDate}" converter="autentia.dateConverter" />
				</td>
			</tr>




			<%-- Field: updateDate --%>
			<tr>
				<td class="detailLabelRW">${msg['tag.updateDate']}:</td>
				<td class="detailFieldCell"><h:outputText
					value="#{tagBean.updateDate}" converter="autentia.dateConverter" />
				</td>
			</tr>




			<%-- Field: deleteDate --%>
			<tr>
				<td class="detailLabelRW">${msg['tag.deleteDate']}:</td>
				<td class="detailFieldCell"><h:outputText
					value="#{tagBean.deleteDate}" converter="autentia.dateConverter" />
				</td>
			</tr>




			<%-- Field: contactTags --%>
			<tr>
				<td class="detailLabelRW">${msg['tag.contactTags']}:</td>
				<td class="detailFieldCell"><h:selectManyListbox
					id="contactTags" size="4">
					<f:selectItems value="#{tagBean.contactTagsSelected}" />
					<f:converter converterId="autentia.EntityConverter" />
					<f:attribute
						name="com.autentia.tnt.converter.EntityConverter.valueClass"
						value="com.autentia.tnt.businessobject.Contact" />
				</h:selectManyListbox></td>
			</tr>




			<%-- Field: positionTags --%>
			<tr>
				<td class="detailLabelRW">${msg['tag.positionTags']}:</td>
				<td class="detailFieldCell"><h:selectManyListbox
					id="positionTags" size="4">
					<f:selectItems value="#{tagBean.positionTagsSelected}" />
					<f:converter converterId="autentia.EntityConverter" />
					<f:attribute
						name="com.autentia.tnt.converter.EntityConverter.valueClass"
						value="com.autentia.tnt.businessobject.Position" />
				</h:selectManyListbox></td>
			</tr>




			<%-- Field: departmentTags --%>
			<tr>
				<td class="detailLabelRW">${msg['tag.departmentTags']}:</td>
				<td class="detailFieldCell"><h:selectManyListbox
					id="departmentTags" size="4">
					<f:selectItems value="#{tagBean.departmentTagsSelected}" />
					<f:converter converterId="autentia.EntityConverter" />
					<f:attribute
						name="com.autentia.tnt.converter.EntityConverter.valueClass"
						value="com.autentia.tnt.businessobject.Department" />
				</h:selectManyListbox></td>
			</tr>




			<%-- Field: organizationTags --%>
			<tr>
				<td class="detailLabelRW">${msg['tag.organizationTags']}:</td>
				<td class="detailFieldCell"><h:selectManyListbox
					id="organizationTags" size="4">
					<f:selectItems value="#{tagBean.organizationTagsSelected}" />
					<f:converter converterId="autentia.EntityConverter" />
					<f:attribute
						name="com.autentia.tnt.converter.EntityConverter.valueClass"
						value="com.autentia.tnt.businessobject.Organization" />
				</h:selectManyListbox></td>
			</tr>

		</table>

	</h:form>
</f:view>

</body>
</html>

<%-- Tag - generated by stajanov (do not edit/delete) --%>
