<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp"%>

<html>
<head>
<%@include file="/inc/uiCore.jsp"%>
</head>
<body>

<!-- tags.jsp: generated by stajanov code generator -->
<f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
<i:location place="tags" msg="${msg}" />

<f:view>
	<%@include file="/inc/header.jsp"%>
	<h:form id="tags">

		<%-- Header --%>
		<i:titleBar msg="${msg}">
			<h:commandLink action="#{tagBean.search}">
				<h:graphicImage rendered="#{ tagBean.search.searchActive}"
					title="#{msg.entityActions_filtered}"
					value="/img/search_applied.gif" styleClass="titleImg" />
				<h:graphicImage rendered="#{!tagBean.search.searchActive}"
					title="#{msg.entityActions_search}" value="/img/search.gif"
					styleClass="titleImg" />
			</h:commandLink>
			<h:commandLink action="#{tagBean.reset}">
				<h:graphicImage rendered="#{tagBean.search.searchActive}"
					title="#{msg.entityActions_reset}" value="/img/eraser.png"
					styleClass="titleImg" />
			</h:commandLink>
			<h:commandLink action="#{tagBean.create}"
				rendered="#{tagBean.createAvailable}">
				<h:graphicImage title="#{msg.entityActions_create}"
					value="/img/new.gif" styleClass="titleImg" />
			</h:commandLink>
		</i:titleBar>


		<%-- List of tags --%>
		<t:dataTable id="list" var="tag" value="#{tagBean.all}"
			preserveDataModel="false" cellpadding="0" cellspacing="0"
			styleClass="listTable" headerClass="listHeaderCell"
			footerClass="listFooter" rows="#{settingBean.mySettings.listSize}"
			rowClasses="listRowO,listRowE"
			columnClasses="listCmdCell,listTagName,listTagDescription"
			sortColumn="#{tagBean.sortColumn}"
			sortAscending="#{tagBean.sortAscending}"
			rowOnMouseOver="this.savedClassName=this.className;this.className='listRowSel';"
			rowOnMouseOut="this.className=this.savedClassName;">

			<%-- Commands --%>
			<h:column>
				<f:facet name="header">
					<f:verbatim>-</f:verbatim>
				</f:facet>
				<t:commandLink action="#{tagBean.detail}" immediate="true">
					<f:param name="rowid" value="#{tag.id}" />
					<h:graphicImage title="#{msg.entityActions_detail}"
						value="/img/detail.gif" styleClass="cmdImg" />
				</t:commandLink>
			</h:column>




			<%-- Field: name --%>
			<h:column>
				<f:facet name="header">
					<t:commandSortHeader styleClass="listHeader" columnName="name">
						<f:facet name="ascending">
							<t:graphicImage value="/img/ascending-arrow.gif" border="0" />
						</f:facet>
						<f:facet name="descending">
							<t:graphicImage value="/img/descending-arrow.gif" border="0" />
						</f:facet>
						<f:verbatim>${msg['tag.name']}</f:verbatim>
					</t:commandSortHeader>
				</f:facet>

				<t:commandLink action="#{tagBean.detail}" immediate="true">
					<f:param name="rowid" value="#{tag.id}" />
					<%-- String field --%>
					<h:outputText value="#{tag.name}" />
				</t:commandLink>

			</h:column>


			<%-- Field: description --%>
			<h:column>
				<f:facet name="header">
					<t:commandSortHeader styleClass="listHeader"
						columnName="description">
						<f:facet name="ascending">
							<t:graphicImage value="/img/ascending-arrow.gif" border="0" />
						</f:facet>
						<f:facet name="descending">
							<t:graphicImage value="/img/descending-arrow.gif" border="0" />
						</f:facet>
						<f:verbatim>${msg['tag.description']}</f:verbatim>
					</t:commandSortHeader>
				</f:facet>

				<t:commandLink action="#{tagBean.detail}" immediate="true">
					<f:param name="rowid" value="#{tag.id}" />
					<%-- String field --%>
					<h:outputText value="#{tag.description}" />
				</t:commandLink>

			</h:column>


		</t:dataTable>

		<%-- Paginator control --%>
		<%@include file="/inc/paginator.jsp"%>

	</h:form>
</f:view>

</body>
</html>

