<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>
    
    <!-- propagateObjective.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="propagateObjective" msg="${msg}"/> 
    
    <f:view>
        <%@include file="/inc/header.jsp" %>
      <h:form id="objective" enctype="multipart/form-data">
        
		<jp:table id="table01" query="#{jpivotBean.olapModel}" />
		<jp:navigator id="navi01" query="#{jpivotBean.olapModel}"
			visible="false" />
		<wcf:form id="sortform01" xmlUri="/WEB-INF/jpivot/table/sortform.xml"
			model="#{table01}" visible="false" />
		<wcf:form id="mdxedit01" xmlUri="/WEB-INF/jpivot/table/mdxedit.xml"
			model="#{jpivotBean.olapModel}" visible="false" />

		<jp:print id="print01" />
		<wcf:form id="printform01"
			xmlUri="/WEB-INF/jpivot/print/printpropertiesform.xml"
			model="#{print01}" visible="false" />

		<jp:chart id="chart01" query="#{jpivotBean.olapModel}" visible="false" />
		<wcf:form id="chartform01"
			xmlUri="/WEB-INF/jpivot/chart/chartpropertiesform.xml"
			model="#{chart01}" visible="false" />
        
		<!-- define a toolbar -->
		<wcf:toolbar id="toolbar01"
			bundle="com.tonbeller.jpivot.toolbar.resources">
			<wcf:scriptbutton id="cubeNaviButton" tooltip="toolb.cube" img="cube"
				model="#{navi01.visible}" />
			<wcf:scriptbutton id="sortConfigButton" tooltip="toolb.table.config"
				img="sort-asc" model="#{sortform01.visible}" />
			<wcf:scriptbutton id="swapAxes" tooltip="toolb.swap.axes"
				img="swap-axes" model="#{table01.extensions.swapAxes.buttonPressed}" />
			<wcf:separator />
			<wcf:scriptbutton id="chartButton01" tooltip="toolb.chart"
				img="chart" model="#{chart01.visible}" />
			<wcf:scriptbutton id="chartPropertiesButton01"
				tooltip="toolb.chart.config" img="chart-config"
				model="#{chartform01.visible}" />
			<wcf:separator />
			<wcf:scriptbutton id="printPropertiesButton01"
				tooltip="toolb.print.config" img="print-config"
				model="#{printform01.visible}" />
			<wcf:imgbutton id="printpdf" tooltip="toolb.print" img="print"
				href="../Print?cube=01&type=1" />
			<wcf:imgbutton id="printxls" tooltip="toolb.excel" img="excel"
				href="../Print?cube=01&type=0" />
		</wcf:toolbar>        
        
		<!-- render toolbar -->
		<wcf:render ref="toolbar01"
			xslUri="/WEB-INF/jpivot/toolbar/htoolbar.xsl" xslCache="true"
			id="toolbarJPivot" />
		<p>
		
		<!-- if there was an overflow, show error message --> 
		<c:if
			test="${jpivotBean.olapModel.result.overflowOccured}">
			<p><strong style="color: red"><h:outputText
				value="#{msg['customer.jpivot.overflow']}"></h:outputText></strong>
			<p>
		</c:if> 
		
		<!-- render navigator --> 
		<wcf:render ref="navi01"
			xslUri="/WEB-INF/jpivot/navi/navigator.xsl" xslCache="true" /> <!-- sort properties -->
		<wcf:render ref="sortform01" xslUri="/WEB-INF/wcf/wcf.xsl"
			xslCache="true" /> <!-- chart properties --> <wcf:render
			ref="chartform01" xslUri="/WEB-INF/wcf/wcf.xsl" xslCache="true" /> <!-- print properties -->
		<wcf:render ref="printform01" xslUri="/WEB-INF/wcf/wcf.xsl"
			xslCache="true" /> <%-- edit mdx --%> 
		<c:if
			test="${mdxedit01.visible}">
			<h3>MDX Query Editor</h3>
			<wcf:render ref="mdxedit01" xslUri="/WEB-INF/wcf/wcf.xsl"
				xslCache="true" />
		</c:if> 
		
		<!-- render the table -->
		<p>
			<wcf:render ref="table01" xslUri="/WEB-INF/jpivot/table/mdxtable.xsl" xslCache="true" /> 
		<p>
		<p>

		<!-- render chart --> 
		<div style="text-align: center">
			<wcf:render
				ref="chart01" xslUri="/WEB-INF/jpivot/chart/chart.xsl"
				xslCache="true" />
		</div>
        
      </h:form>
    </f:view>
    
  </body>
</html>  		

