<%--

    TNTConcept Easy Enterprise Management by Autentia Real Bussiness Solution S.L.
    Copyright (C) 2007 Autentia Real Bussiness Solution S.L.

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

--%>

<%@page language="java" contentType="text/html; charset=UTF-8"%>

<%@include file="/inc/tlibs.jsp" %>

<html>
  <head>
    <%@include file="/inc/uiCore.jsp" %>
  </head>	
  <body>
    
    <!-- sendMail.jsp: generated by stajanov code generator -->
    <f:loadBundle basename="com.autentia.tnt.resources.messages" var="msg" />
    <i:location place="sendMail" msg="${msg}"/> 
    
    <f:view>
        <%@include file="/inc/header.jsp" %>
      <h:form id="sendMail" enctype="multipart/form-data">
        
        <%-- Header --%>
        <i:titleBar name="${sendMailBean.subject}" msg="${msg}">
          <h:commandLink action="#{sendMailBean.send}">
            <h:graphicImage value="/img/envelope.png" styleClass="titleImg" />
          </h:commandLink>
          <h:commandLink action="#{sendMailBean.discard}" onclick="if( !confirm('#{msg['sendMail.confirmDiscard']}') ) return false;">
            <h:graphicImage value="/img/delete.gif" styleClass="titleImg" />
          </h:commandLink>
        </i:titleBar>
        
        <%-- Edition form --%>
        <table class="editTable" cellpadding="0" cellspacing="0">

          <%-- Field: from --%>
          <tr>
            <td class="editLabelRW">${msg['sendMail.from']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:outputText value="#{sendMailBean.from}"/>
              </h:panelGroup>
            </td>
          </tr>

          <%-- Field: to --%>
          <tr>
            <td class="editLabelRW">${msg['sendMail.to']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <t:dataTable id="to" var="address" value="#{sendMailBean.to}" preserveDataModel="false" 
                              cellpadding="0" cellspacing="0">
                  <h:column>
                    <h:outputText value="#{address}"/>
                  </h:column>
                </t:dataTable>
              </h:panelGroup>
            </td>
          </tr>

          <%-- Field: cc --%>
          <c:if test="${sendMailBean.bcc!=null && sendMailBean.cc.size>0}">
            <tr>
              <td class="editLabelRW">${msg['sendMail.cc']}:</td>
              <td class="editFieldCell">
                <h:panelGroup>
                  <t:dataTable id="cc" var="address" value="#{sendMailBean.cc}" preserveDataModel="false" 
                                cellpadding="0" cellspacing="0">
                    <h:column>
                      <h:outputText value="#{address}"/>
                    </h:column>
                  </t:dataTable>
                </h:panelGroup>
              </td>
            </tr>
          </c:if>

          <%-- Field: bcc --%>
          <c:if test="${sendMailBean.bcc!=null && sendMailBean.bcc.size>0}">
            <tr>
              <td class="editLabelRW">${msg['sendMail.bcc']}:</td>
              <td class="editFieldCell">
                <h:panelGroup>
                  <t:dataTable id="bcc" var="address" value="#{sendMailBean.bcc}" preserveDataModel="false" 
                               cellpadding="0" cellspacing="0">
                    <h:column>
                      <h:outputText value="#{address}"/>
                    </h:column>
                  </t:dataTable>
                </h:panelGroup>
              </td>
            </tr>
          </c:if>

          <%-- Field: subject --%>
          <tr>
            <td class="editLabelRW">${msg['sendMail.subject']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:inputText value="#{sendMailBean.subject}" size="80"/>
              </h:panelGroup>
            </td>
          </tr>

          <%-- Field: message --%>
          <tr>
            <td class="editLabelRW">${msg['sendMail.message']}:</td>
            <td class="editFieldCell">
              <h:panelGroup>
                <h:inputTextarea rows="12" cols="78" value="#{sendMailBean.message}"/>
              </h:panelGroup>
            </td>
          </tr>

        </table>
        
      </h:form>
    </f:view>
    
  </body>
</html>  		

